﻿//revision 14.0.0
/********************************************************************
 title : JavaScript for PhotShop CC,CC2014,CC2015,CC2017,CC2018,CC2019,CC2020,CC2021
 		 ファイルサイズ変換スクリプト
 author: ASUKANET Co., Ltd. 
 
 made  : 2007.11.30		k.itabashi	rev 2.0.0
 modify  : 2008.12.09	t.kizaki	rev 2.1.0
 modify  : 2009.02.13	t.kizaki	rev 2.1.1
 modify  : 2009.04.29	t.kizaki	rev 2.1.2
 modify  : 2009.05.09	t.kizaki	rev 3.0.0
 modify  : 2009.12.04	t.kizaki	rev 4.0.0
 modify  : 2012.08.02    Dreamonline,Inc     rev 5.0.0
 modify  : 2012.11.27    Dreamonline,Inc     rev 5.0.1
 modify  : 2013.05.22    Dreamonline,Inc     rev 6.0.0
 modify  : 2014.04.25    Dreamonline,Inc     rev 7.0.0
 modify  : 2014.07.15    Dreamonline,Inc     rev 7.0.1
 modify  : 2015.04.21    Dreamonline,Inc     rev 8.0.0
 modify  : 2016.05.10    Dreamonline,Inc     rev 9.0.0
 modify  : 2017.04.17    Dreamonline,Inc     rev 10.0.0
 modify  : 2018.05.25    Dreamonline,Inc     rev 11.0.0
 modify  : 2019.02.19    Dreamonline,Inc     rev 11.0.1
 modify  : 2019.04.26    Dreamonline,Inc     rev 12.0.0
 modify  : 2019.08.22    Dreamonline,Inc     rev 12.5.0
 modify  : 2020.05.11    Dreamonline,Inc     rev 13.0.0
 modify  : 2021.05.31    Dreamonline,Inc     rev 14.0.0
 
 note  : PhotoShop CC, CC2014, CC2015, CC2017, CC2018, CC2019, CC2020, CC2021 Support
 requirements: 1280 × 960 display
 
********************************************************************/

/********************************************************************
 Constants.
********************************************************************/
var ACTION_FILE_NAME = 'resize14.atn';   //v14 fix
var ACTION_FILE_PATH = './' + ACTION_FILE_NAME;

/********************************************************************
 Debug flags.
********************************************************************/

// Set to 'true' to display debug messages.
var SHOW_DEBUG_MESSAGES = false;

/********************************************************************
 Script version.
********************************************************************/
var sver     = scriptingVersion.split('.');
var verMajor = sver[0];
var verMinor = sver[1];
var verRev   = sver[2];

/********************************************************************
 value list.
********************************************************************/
var m_BaseType = new Array('ZENレイフラット ART LX ','ZENレイフラット ART EXD(ラミネート)','ZENレイフラット ART EXD(ニス)','ZENレイフラット ART EX スライドアップケース付き(ラミネート)','ZENレイフラット ART EX スライドアップケース付き(ニス)',
                           'ZENレイフラット ART EX(ラミネート)','ZENレイフラット ART EX(ニス)','ZENレイフラット ハードカバー スライドアップケース付き(ラミネート)','ZENレイフラット ハードカバー スライドアップケース付き(ニス)','ZENレイフラット ハードカバー(ラミネート)',
                           'ZENレイフラット ハードカバー(ニス)','ART LX本革仕様','ART LX','ART EXD(ラミネート)','ART EXD(ニス)','ART EXレイフラット仕様(ラミネート)','ART EX(ラミネート)','ART EX(ニス)','ハードカバーレイフラット仕様(ラミネート)',
                           'ハードカバー(ラミネート)','ハードカバー(ニス)','アタッチカバー(ラミネート)','アタッチカバー(ニス)','ソフトカバー','ボードプレミアム → ハードカバー','ボードプレミアム → ZENレイフラット ハードカバー(ラミネート)',
                           'ボード（ボードへ変換します）','ボード → ステッチ','プロモーションブックDVD/CD', 'KINARIプレミアム', 'えほんBOOK', 'conté', 'ボードライト', 'ZENレイフラット ART FBX', 'SHIRONARIプレミアム',
                           'ZENレイフラット ART ACX','ZENレイフラット ART ACX → ボード ACX','ボード ACX','ボード ACX → ZENレイフラット ART ACX',
                           'プラチナクロス七五三 → ボードライト','ボードライト → プラチナクロス七五三','Photolet','BrilliArt',
                           'ZENレイフラット ハードカバー(ラミネート) → BrilliArt','ZENレイフラット ハードカバー(ニス）→ BrilliArt','BrilliArt → ZENレイフラット ハードカバー(ラミネート) ','BrilliArt → ZENレイフラット ハードカバー(ニス)',
                           'ボード (ボードmist (ラミネート)へ変換します)','ボードライトCloth','ボードmist → ZENレイフラット ハードカバー(ラミネート)','ボードmist → ZENレイフラット ハードカバー(ニス)',
                           'ZENレイフラット ART mist','ZENレイフラット ART mist → ZENレイフラット ハードカバー(ラミネート）','ZENレイフラット ART mist → ZENレイフラット ハードカバー(ニス)','ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ラミネート)','ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ニス)',
                           'ボード ACX  → ZENレイフラット ハードカバー(ラミネート)','ボード ACX  → ZENレイフラット ハードカバー(ニス)','ボードmist','conté → ZENレイフラット ハードカバー(ラミネート)');    //v14 fix
//LXの並びは前が本革用
//SHIRONARI プレミアムはKINARIプレミアムと同サイズのためアクションは共通   v9 New
//ZENレイフラット　ART ACX、ボードACXは同一アクション //v11 new
var m_ActionNameID = new Array('ZEN-LX-F','ZEN-EXD-Fラミ','ZEN-EXD-Fニス','ZEN-EX-F-SUCラミ','ZEN-EX-F-SUCニス','ZEN-EX-Fラミ','ZEN-EX-Fニス','ZEN-H-F-SUCラミ','ZEN-H-F-SUCニス','ZEN-H-Fラミ','ZEN-H-Fニス','LX','LX','EXDcaseラミ',
                               'EXDcaseニス','EX-Fラミ','EXラミ','EXニス','H-Fラミ','Hラミ','Hニス','ATラミ','ATニス','S','BDPラミ','BDPZEN-H-Fラミ','BD2BD','BD2ST','PB','KINARI-P','PICTURE-B', 'CONTE', 'BDL', 'ZEN-FBX' ,'KINARI-P',
                               'ACX','ACX','ACX','ACX','PX2BDL','BDL2PX753','PHOTOLET','BRILLIART','ZEN-F-Hラミ2BRI','ZEN-F-Hニス2BRI','BRI2ZEN-F-Hラミ','BRI2ZEN-F-Hニス',
                               'BD2BDMIST','BDLCLOTH','BDMIST2ZEN-F-Hラミ','BDMIST2ZEN-F-Hニス',
                               'ZEN-F-MIST','ZEN-F-MIST2ZEN-F-Hラミ','ZEN-F-MIST2ZEN-F-Hニス','ZEN-F-ACX2ZEN-F-Hラミ','ZEN-F-ACX2ZEN-F-Hニス','BDACX2ZEN-F-Hラミ','BDACX2ZEN-F-Hニス','BDMIST','CONTE2ZEN-F-Hラミ');    //v14 fix
var m_BaseTypeIdx = 33; //v9 fix
var m_BaseSize= new Array('B4W','A3V','A3T','30Q','A3Q','A4Q','B5Q','CD','A4','A4S','A4W','A4SW','A4Y','A4YW'); //v14 fix
var m_BaseSizeIdx = 0;
var m_ConvSize= new Array('30Q','A3Q','A4Q','B5Q','CD','A4','A4S','A4W','A5','A4SW','A5W','A5T','B6W','A5Y','A5YW');   //v12 fix
var m_ConvSizeIdx = 0;
var m_Pages= new Array(4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36,38,40,50,60,70,80,90,100); //v11 fix
//用紙サイズはm_Pagesの10,20,30,40,50,60,70,80,90,100と同等のためm_Pagesと配列数を合わせる
var m_Pages2= [[0,0],[0,0],[0,0],[10,14],[10,40],[10,100],[0,0],[0,0],[16,24],[0,0],[0,0],[0,0],[0,0],[26,34],[0,0],[0,0],[0,0],[0,0],[36,44],[46,54],[56,64],[66,74],[76,84],[86,94],[96,100]]; //v13 fix
var m_Pages3= [[0,0],[0,0],[0,0],[10,12],[0,0],[0,0],[0,0],[0,0],[14,20],[0,0],[0,0],[22,26],[0,0],[0,0],[0,0],[0,0],[0,0],[28,38],[40,44],[46,56],[58,66],[68,76],[78,86],[0,0],[88,100]]; //v13 fix
var m_PagesIdx  = 0;

/********************************************************************
    PageIndexDefeine
    ページインデックスの定義    v8 fix
********************************************************************/
var PAGE = {
    P4      : 0,
    P6      : 1,
    P8      : 2,
    P10     : 3,
    P12     : 4,
    P14     : 5,
    P16     : 6,
    P18     : 7,
    P20     : 8,
    P22     : 9,
    P24     : 10,
    P26     : 11,
    P28     : 12,
    P30     : 13,
    P32     : 14,
    P34     : 15,
    P36     : 16,
    P38     : 17,
    P40     : 18,
    P50     : 19,
    P60     : 20,
    P70     : 21,
    P80     : 22,
    P90     : 23,
    P100    : 24,
};

/********************************************************************
    PageIndexDefeine
    可変ページインデックスの定義  v11 fix
********************************************************************/
var PAGE2 = {
    P10_14      : PAGE.P10,
    P10_40      : PAGE.P12,
    P10_100     : PAGE.P14,
    P16_24      : PAGE.P20,
    P26_34      : PAGE.P30,
    P36_44      : PAGE.P40,
    P46_54      : PAGE.P50,
    P56_64      : PAGE.P60,
    P66_74      : PAGE.P70,
    P76_84      : PAGE.P80,
    P86_94      : PAGE.P90,
    P96_100     : PAGE.P100,
};

/********************************************************************
    PageIndexDefeine
    可変ページインデックスの定義2  v1 new
********************************************************************/
var PAGE3 = {
    P10_12     : PAGE.P10,
    P14_20     : PAGE.P20,
    P22_26     : PAGE.P26,
    P28_38     : PAGE.P38,
    P40_44     : PAGE.P40,
    P46_56     : PAGE.P50,
    P58_66     : PAGE.P60,
    P68_76     : PAGE.P70,
    P78_86     : PAGE.P80,
    P88_100    : PAGE.P100
};

/********************************************************************
    BaseTypeIndexDefeine
    ファイル種類インデックスの定義     v14 fix
********************************************************************/
var BT = {
    ZEN_F_LX             : 0,
    ZEN_F_EXD_LAMI       : 1,
    ZEN_F_EXD_VNS        : 2,
    ZEN_F_EX_SUC_LAMI    : 3,
    ZEN_F_EX_SUC_VNS     : 4,
    ZEN_F_EX_LAMI        : 5,
    ZEN_F_EX_VNS         : 6,
    ZEN_F_H_SUC_LAMI     : 7,
    ZEN_F_H_SUC_VNS      : 8,
    ZEN_F_H_LAMI         : 9,
    ZEN_F_H_VNS          : 10,
    LX_G                 : 11,
    LX                   : 12,
    EXDcase_LAMI         : 13,
    EXDcase_VNS          : 14,
    EX_F_LAMI            : 15,
    EX_LAMI              : 16,
    EX_VNS               : 17,
    H_F_LAMI             : 18,
    H_LAMI               : 19,
    H_VNS                : 20,
    AT_LAMI              : 21,
    AT_VNS               : 22,
    SOFT                 : 23,
    BDP_LAMI             : 24,
    BDPZEN_F_H_LAMI      : 25,
    BD2BD                : 26,
    BD2ST                : 27,
    PB                   : 28,
    KINARI_P             : 29,
    PICTURE_B            : 30,
    CONTE                : 31,
    BDLIGHT              : 32,
    ZEN_FBX              : 33,
    SHIRONARI_P          : 34,
    ZEN_F_ACX            : 35,
    ZEN_F_ACX2BD_ACT     : 36,
    BD_ACX               : 37,
    BD_ACX2ZEN_F_ACX     : 38,
    PX2BDL               : 39,
    BDL2PX               : 40,
    PHOTOLET             : 41,
    BRILLIART            : 42,
    ZEN_F_H_LAMI2BRI     : 43,
    ZEN_F_H_VNS2BRI      : 44,
    BRI2ZEN_F_H_LAMI     : 45,
    BRI2ZEN_F_H_VNS      : 46,
    BD2BDMIST            : 47,
    BDLCLOTH             : 48,
    BDMT2ZEN_F_H_LAMI    : 49,
    BDMT2ZEN_F_H_VNS     : 50,
    ZEN_F_MT                : 51,
    ZEN_F_MT2ZEN_F_H_LAMI   : 52,
    ZEN_F_MT2ZEN_F_H_VNS    : 53,
    ZEN_F_ACX2ZEN_F_H_LAMI  : 54,
    ZEN_F_ACX2ZEN_F_H_VNS   : 55,
    BD_ACX2ZEN_F_H_LAMI     : 56,
    BD_ACX2ZEN_F_H_VNS      : 57,
    BDMT                    : 58,
    CONTE2ZEN_F_H_LAMI      : 59
};

/********************************************************************
    BaseSizeIndexDefeine
    変換元サイズインデックスの定義  v14 fix
********************************************************************/
var BS = {
    B4W     : 0,
    A3V     : 1,
    A3T     : 2,
    BS_30Q  : 3,
    A3Q     : 4,
    A4Q     : 5,
    B5Q     : 6,
    CD      : 7,
    A4      : 8,
    A4S     : 9,
    A4W     : 10,
    A4SW    : 11,
    A4Y     : 12,
    A4YW    : 13,
};

/********************************************************************
    ConvSizeIndexDefeine
    変換先サイズインデックスの定義
********************************************************************/
var CS = {
    CS_30Q  : 0,
    A3Q     : 1,
    A4Q     : 2,
    B5Q     : 3,
    CD      : 4,
    A4      : 5,
    A4S     : 6,
    A4W     : 7,
    A5      : 8,
    A4SW    : 9,
    A5W     : 10,
    A5T     : 11,
    B6W     : 12,
    A5Y     : 13,
    A5YW    : 14,
};

//Enable設定
//'B4W','A3V','A3T','30Q','A3Q','A4Q','B5Q','CD','A4','A4S','A4W','A4SW','A4Y','A4YW'
var m_BaseSizeEnable = new Array(m_ActionNameID.length);
m_BaseSizeEnable[BT.ZEN_F_LX]           =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-LX-F
m_BaseSizeEnable[BT.ZEN_F_EXD_LAMI]     =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EXD-F lami
m_BaseSizeEnable[BT.ZEN_F_EXD_VNS]      =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EXD-F vns
m_BaseSizeEnable[BT.ZEN_F_EX_SUC_LAMI]  =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EX-F-SUC lami
m_BaseSizeEnable[BT.ZEN_F_EX_SUC_VNS]   =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EX-F-SUC vns
m_BaseSizeEnable[BT.ZEN_F_EX_LAMI]      =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EX-F lami
m_BaseSizeEnable[BT.ZEN_F_EX_VNS]       =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-EX-F vns
m_BaseSizeEnable[BT.ZEN_F_H_SUC_LAMI]   =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-HARD-F-SUC lami
m_BaseSizeEnable[BT.ZEN_F_H_SUC_VNS]    =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-HARD-F-SUC vns
m_BaseSizeEnable[BT.ZEN_F_H_LAMI]       =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-HARD-F lami
m_BaseSizeEnable[BT.ZEN_F_H_VNS]        =  new Array(1,0,0,1,1,1,1,0,1,1,1,1,0,0);//ZEN-HARD-F vns

m_BaseSizeEnable[BT.LX_G]               =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//LX G  //v14 廃盤
m_BaseSizeEnable[BT.LX]                 =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//LX  //v14 廃盤
m_BaseSizeEnable[BT.EXDcase_LAMI]       =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//EXD lami  //v14 廃盤
m_BaseSizeEnable[BT.EXDcase_VNS]        =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//EXD vns  //v14 廃盤
m_BaseSizeEnable[BT.EX_F_LAMI]          =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//EX FLAT lami
m_BaseSizeEnable[BT.EX_LAMI]            =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//EX lami  //v14 廃盤
m_BaseSizeEnable[BT.EX_VNS]             =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//EX vns  //v14 廃盤
m_BaseSizeEnable[BT.H_F_LAMI]           =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//HARD FLAT lami
m_BaseSizeEnable[BT.H_LAMI]             =  new Array(0,0,0,1,1,1,1,0,1,1,1,1,0,0);//HARD lami
m_BaseSizeEnable[BT.H_VNS]              =  new Array(0,0,0,1,1,1,1,0,1,1,1,1,0,0);//HARD vns
m_BaseSizeEnable[BT.AT_LAMI]            =  new Array(0,0,0,0,1,1,1,0,1,1,1,1,0,0);//ATTACH lami
m_BaseSizeEnable[BT.AT_VNS]             =  new Array(0,0,0,0,1,1,1,0,1,1,1,1,0,0);//ATTACH vns
m_BaseSizeEnable[BT.SOFT]               =  new Array(0,0,0,0,1,1,0,0,0,0,0,0,0,0);//SOFT vns

m_BaseSizeEnable[BT.BDP_LAMI]           =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BOARD to HARD //v6 fix
m_BaseSizeEnable[BT.BDPZEN_F_H_LAMI]    =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BOARD to ZEN-HARD-F lami //v6New
m_BaseSizeEnable[BT.BD2BD]              =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BOARD to BOARD // v14 廃盤
m_BaseSizeEnable[BT.BD2ST]              =  new Array(0,1,0,0,1,1,0,0,1,0,0,0,0,0);//BOARD to STICH //v9 fix
m_BaseSizeEnable[BT.PB]                 =  new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0);//P-BOOK
m_BaseSizeEnable[BT.KINARI_P]           =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,1);//KINARI PREMIUM //v7 New
m_BaseSizeEnable[BT.PICTURE_B]          =  new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0);//PICTURE BOOK //v7 New
m_BaseSizeEnable[BT.CONTE]              =  new Array(0,0,0,0,1,1,0,0,0,0,0,0,0,0);//CONTE //v8 New
m_BaseSizeEnable[BT.BDLIGHT]            =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BOARD LIGHT //v13 fix
m_BaseSizeEnable[BT.ZEN_FBX]            =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//ZEN_FBX //v9 New
m_BaseSizeEnable[BT.SHIRONARI_P]            =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,1);//SHIRONARI PREMIUM KINARI PREMIUMと仕様は同じ//v9 New
m_BaseSizeEnable[BT.ZEN_F_ACX]              =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX //v11 new
m_BaseSizeEnable[BT.ZEN_F_ACX2BD_ACT]       =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX to BD_ACT //v11 new
m_BaseSizeEnable[BT.BD_ACX]                 =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//BD_ACX //v11 new
m_BaseSizeEnable[BT.BD_ACX2ZEN_F_ACX]       =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//BD_ACX to ZEN_F_ACX //v11 new
m_BaseSizeEnable[BT.PX2BDL]                 =  new Array(0,0,0,0,1,0,0,0,1,0,0,0,0,0);//PX to BDL //v13 fix
m_BaseSizeEnable[BT.BDL2PX]                 =  new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0);//BDL to PX //v11 new
m_BaseSizeEnable[BT.PHOTOLET]               =  new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0);//PHOTOLET //v11 new
m_BaseSizeEnable[BT.BRILLIART]              =  new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0);//BrilliArt //v12 new
m_BaseSizeEnable[BT.ZEN_F_H_LAMI2BRI]       =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//ZEN-HARD-F lami to BrilliArt //v12 new
m_BaseSizeEnable[BT.ZEN_F_H_VNS2BRI]        =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//ZEN-HARD-F vns to BrilliArt //v12 new
m_BaseSizeEnable[BT.BRI2ZEN_F_H_LAMI]       =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BrilliArt to ZEN-HARD-F lami //v12 new
m_BaseSizeEnable[BT.BRI2ZEN_F_H_VNS]        =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BrilliArt to ZEN-HARD-F vns //v12 new
m_BaseSizeEnable[BT.BD2BDMIST]              =  new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BOARD to BOARD mist //v14 廃盤
m_BaseSizeEnable[BT.BDLCLOTH]               =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BOARD Cloth //v13 new
m_BaseSizeEnable[BT.BDMT2ZEN_F_H_LAMI]      =  new Array(0,0,0,0,1,1,0,0,1,0,1,0,0,0);//BOARD mist to ZEN-HARD-F lami //v13 new
m_BaseSizeEnable[BT.BDMT2ZEN_F_H_VNS]       =  new Array(0,0,0,0,1,1,0,0,1,0,1,0,0,0);//BOARD mist to ZEN-HARD-F vns //v13 new

m_BaseSizeEnable[BT.ZEN_F_MT]               =  new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0);//ZEN_F_MT  //v14 new
m_BaseSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI]  =  new Array(0,0,0,0,1,1,0,0,1,0,1,0,0,0);//ZEN_F_MT to  ZEN-HARD-F lami //v14 new
m_BaseSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS]   =  new Array(0,0,0,0,1,1,0,0,1,0,1,0,0,0);//ZEN_F_MT to  ZEN-HARD-F vns //v14 new
m_BaseSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI] =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//ZEN_F_ACX to  ZEN-HARD-F lami //v14 new
m_BaseSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS]  =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//ZEN_F_ACX to  ZEN-HARD-F vns //v14 new
m_BaseSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI]    =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BD_ACX to  ZEN-HARD-F lami //v14 new
m_BaseSizeEnable[BT.BD_ACX2ZEN_F_H_VNS]     =  new Array(0,0,0,1,1,1,0,0,1,0,1,0,0,0);//BD_ACX to  ZEN-HARD-F vns //v14 new
m_BaseSizeEnable[BT.BDMT]                   =  new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0);//BOARD mist  //v14 new
m_BaseSizeEnable[BT.CONTE2ZEN_F_H_LAMI]     =  new Array(0,0,0,0,1,1,0,1,0,0,0,0,0,0);//CONTE to  ZEN-HARD-F lami //v14 new

//変換先サイズの有効設定
var m_ConvSizeEnable = new Array(m_ActionNameID.length);
m_ConvSizeEnable[BT.ZEN_FBX]            = new Array(m_BaseSize.length);     //v9 New
m_ConvSizeEnable[BT.ZEN_F_LX]           = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI]     = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS]      = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI]  = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS]   = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI]      = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_EX_VNS]       = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI]   = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS]    = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_H_LAMI]       = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.ZEN_F_H_VNS]        = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.LX_G]               = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.LX]                 = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.EXDcase_LAMI]       = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.EXDcase_VNS]        = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.EX_F_LAMI]          = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.EX_LAMI]            = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.EX_VNS]             = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.H_F_LAMI]           = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.H_LAMI]             = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.H_VNS]              = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.AT_LAMI]            = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.AT_VNS]             = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.SOFT]               = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.BDP_LAMI]           = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI]    = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.BD2BD]              = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.BD2ST]              = new Array(m_BaseSize.length);
m_ConvSizeEnable[BT.PB]                 = new Array(m_BaseSize.length);    //v6 New
m_ConvSizeEnable[BT.KINARI_P]           = new Array(m_BaseSize.length);    //v7 New
m_ConvSizeEnable[BT.PICTURE_B]          = new Array(m_BaseSize.length);    //v7 New
m_ConvSizeEnable[BT.CONTE]              = new Array(m_BaseSize.length);    //v8 New
m_ConvSizeEnable[BT.BDLIGHT]            = new Array(m_BaseSize.length);    //v8 New
m_ConvSizeEnable[BT.SHIRONARI_P]        = new Array(m_BaseSize.length);    //v9 New
m_ConvSizeEnable[BT.ZEN_F_ACX]          = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT]   = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.BD_ACX]             = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX]   = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.PX2BDL]             = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.BDL2PX]             = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.PHOTOLET]           = new Array(m_BaseSize.length);    //v11 new
m_ConvSizeEnable[BT.BRILLIART]          = new Array(m_BaseSize.length);    //v12 new
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI]   = new Array(m_BaseSize.length);    //v12 new
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI]    = new Array(m_BaseSize.length);    //v12 new
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI]   = new Array(m_BaseSize.length);    //v12 new
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS]    = new Array(m_BaseSize.length);    //v12 new
m_ConvSizeEnable[BT.BD2BDMIST]          = new Array(m_BaseSize.length);    //v13 new
m_ConvSizeEnable[BT.BDLCLOTH]           = new Array(m_BaseSize.length);    //v13 new
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI]  = new Array(m_BaseSize.length);    //v13 new
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS]   = new Array(m_BaseSize.length);    //v13 new
m_ConvSizeEnable[BT.ZEN_F_MT]               = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI]  = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS]   = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI] = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS]  = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI]    = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS]     = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.BDMT]                   = new Array(m_BaseSize.length);    //v14 new
m_ConvSizeEnable[BT.CONTE2ZEN_F_H_LAMI]     = new Array(m_BaseSize.length);    //v14 new

//'30Q','A3Q','A4Q','B5Q','CD','A4','A4S','A4W','A5','A4SW','A5W','A5T','B6W','A5Y','A5YW'
//ZEN_FBX  //v9 New
m_ConvSizeEnable[BT.ZEN_FBX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_FBX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_FBX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_FBX][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_FBX][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_FBX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_FBX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-LX-F
m_ConvSizeEnable[BT.ZEN_F_LX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_LX][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_LX][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_LX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EXD-F lami
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EXD_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EXD-F vns
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EXD_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EX-F-SUC lami
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EX-F-SUC vns
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EX_SUC_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EX-F lami
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EX_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-EX-F vns
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_EX_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F-SUC lami
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_SUC_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F-SUC vns
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_SUC_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F lami
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F vns
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//LX G
m_ConvSizeEnable[BT.LX_G][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.LX_G][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.LX_G][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.LX_G][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.LX_G][BS.A3Q]       = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.LX_G][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.LX_G][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.LX_G][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.LX_G][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.LX_G][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.LX_G][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.LX_G][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.LX_G][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//LX
m_ConvSizeEnable[BT.LX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.LX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.LX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.LX][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.LX][BS.A3Q]       = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.LX][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.LX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.LX][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.LX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.LX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.LX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.LX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.LX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//EXD lami
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.EXDcase_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//EXD vns
m_ConvSizeEnable[BT.EXDcase_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.EXDcase_VNS][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.EXDcase_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.EXDcase_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//EX FLAT lami
m_ConvSizeEnable[BT.EX_F_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.EX_F_LAMI][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.EX_F_LAMI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.EX_F_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//EX lami
m_ConvSizeEnable[BT.EX_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.EX_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.EX_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,1,0,0,0);//A3T
m_ConvSizeEnable[BT.EX_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.EX_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.EX_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.EX_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.EX_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.EX_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.EX_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.EX_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.EX_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.EX_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//EX vns
m_ConvSizeEnable[BT.EX_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.EX_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.EX_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,1,0,0,0);//A3T
m_ConvSizeEnable[BT.EX_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.EX_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.EX_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.EX_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.EX_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.EX_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.EX_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.EX_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.EX_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.EX_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//HARD FLAT lami
m_ConvSizeEnable[BT.H_F_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.H_F_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.H_F_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.H_F_LAMI][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.H_F_LAMI][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.H_F_LAMI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.H_F_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//HARD lami
m_ConvSizeEnable[BT.H_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.H_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.H_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.H_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.H_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.H_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.H_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.H_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.H_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.H_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.H_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.H_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.H_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//HARD vns
m_ConvSizeEnable[BT.H_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.H_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.H_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.H_VNS][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.H_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.H_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.H_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.H_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.H_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.H_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.H_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.H_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.H_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ATTACH lami
m_ConvSizeEnable[BT.AT_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.AT_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.AT_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.AT_LAMI][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.AT_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.AT_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.AT_LAMI][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.AT_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.AT_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.AT_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.AT_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.AT_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.AT_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ATTACH vns
m_ConvSizeEnable[BT.AT_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.AT_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.AT_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.AT_VNS][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.AT_VNS][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.AT_VNS][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.AT_VNS][BS.B5Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.AT_VNS][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.AT_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.AT_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.AT_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.AT_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.AT_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//SOFT vns
m_ConvSizeEnable[BT.SOFT][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.SOFT][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.SOFT][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.SOFT][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.SOFT][BS.A3Q]       = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.SOFT][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.SOFT][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.SOFT][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.SOFT][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.SOFT][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.SOFT][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.SOFT][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.SOFT][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BOARD to HARD 
m_ConvSizeEnable[BT.BDP_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BDP_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BDP_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BDP_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BDP_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BDP_LAMI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BDP_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BOARD to ZEN-HARD-F   lami   //v6New
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.BS_30Q]    = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A3Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4Q]       = new Array(0,0,0,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4]        = new Array(0,0,0,0,0,0,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BDPZEN_F_H_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BOARD to BOARD
m_ConvSizeEnable[BT.BD2BD][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BD2BD][BS.A3V]       = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BD2BD][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BD2BD][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BD2BD][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BD2BD][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BD2BD][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BD2BD][BS.A4]        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BD2BD][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BD2BD][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BD2BD][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BD2BD][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BD2BD][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BOARD to STICH
m_ConvSizeEnable[BT.BD2ST][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BD2ST][BS.A3V]       = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BD2ST][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BD2ST][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BD2ST][BS.A3Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BD2ST][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BD2ST][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BD2ST][BS.A4]        = new Array(0,0,0,0,0,0,1,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BD2ST][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BD2ST][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BD2ST][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BD2ST][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BD2ST][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//P-BOOK
m_ConvSizeEnable[BT.PB][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.PB][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.PB][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.PB][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.PB][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.PB][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.PB][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.PB][BS.A4]        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.PB][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.PB][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.PB][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.PB][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.PB][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//KINARI-P  //v7 New
m_ConvSizeEnable[BT.KINARI_P][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.KINARI_P][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.KINARI_P][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.KINARI_P][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.KINARI_P][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.KINARI_P][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.KINARI_P][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.KINARI_P][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.KINARI_P][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.KINARI_P][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.KINARI_P][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.KINARI_P][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,1,0);//A4Y
m_ConvSizeEnable[BT.KINARI_P][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,1);//A4YW

//PICTURE BOOK  //v7 New
m_ConvSizeEnable[BT.PICTURE_B][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.PICTURE_B][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.PICTURE_B][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.PICTURE_B][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.PICTURE_B][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.PICTURE_B][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.PICTURE_B][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.PICTURE_B][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.PICTURE_B][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.PICTURE_B][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.PICTURE_B][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.PICTURE_B][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.PICTURE_B][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//'30Q','A3Q','A4Q','B5Q','CD','A4','A4S','A4W','A5','A4SW','A5W','A5T','B6W','A5Y','A5YW'
//CONTE     //v8 new
m_ConvSizeEnable[BT.CONTE][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.CONTE][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.CONTE][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.CONTE][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.CONTE][BS.A3Q]       = new Array(0,0,1,0,1,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.CONTE][BS.A4Q]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.CONTE][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.CONTE][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.CONTE][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.CONTE][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.CONTE][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.CONTE][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.CONTE][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BOARD LIGHT   //v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BDLIGHT][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BDLIGHT][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BDLIGHT][BS.BS_30Q]    = new Array(0,1,1,1,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q    v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.A3Q]       = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q       v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.A4Q]       = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0);//A4Q       v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BDLIGHT][BS.A4]        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4        v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BDLIGHT][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0);//A4W       v13 fix
m_ConvSizeEnable[BT.BDLIGHT][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BDLIGHT][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BDLIGHT][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//SHIRONARI_P  KINARI-Pと同一//v9 New
m_ConvSizeEnable[BT.SHIRONARI_P][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.SHIRONARI_P][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.SHIRONARI_P][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,1,0);//A4Y
m_ConvSizeEnable[BT.SHIRONARI_P][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,1);//A4YW

//ZEN_F_ACX //v11 new
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_ACX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN_F_ACX to BD_ACT   //v11 new
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_ACX2BD_ACT][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BD_ACX                //v11 new
m_ConvSizeEnable[BT.BD_ACX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BD_ACX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BD_ACX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BD_ACX][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BD_ACX][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BD_ACX][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BD_ACX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BD_ACX][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BD_ACX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BD_ACX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BD_ACX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BD_ACX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BD_ACX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BD_ACX to ZEN_F_ACX   //v11 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_ACX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//PX to BDL             //v13 fix
m_ConvSizeEnable[BT.PX2BDL][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.PX2BDL][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.PX2BDL][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.PX2BDL][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.PX2BDL][BS.A3Q]       = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0);//A3Q      v13 fix
m_ConvSizeEnable[BT.PX2BDL][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.PX2BDL][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.PX2BDL][BS.A4]        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4       v13 fix
m_ConvSizeEnable[BT.PX2BDL][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.PX2BDL][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.PX2BDL][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.PX2BDL][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.PX2BDL][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BDL to PX             //v11 new
m_ConvSizeEnable[BT.BDL2PX][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BDL2PX][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BDL2PX][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BDL2PX][BS.BS_30Q]    = new Array(0,1,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BDL2PX][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BDL2PX][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BDL2PX][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BDL2PX][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BDL2PX][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BDL2PX][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BDL2PX][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BDL2PX][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BDL2PX][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//PHOTOLET              //v11 new
m_ConvSizeEnable[BT.PHOTOLET][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.PHOTOLET][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.PHOTOLET][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.PHOTOLET][BS.BS_30Q]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.PHOTOLET][BS.A3Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.PHOTOLET][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.PHOTOLET][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.PHOTOLET][BS.A4]        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.PHOTOLET][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.PHOTOLET][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.PHOTOLET][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.PHOTOLET][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.PHOTOLET][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BrilliArt             //v12 new
m_ConvSizeEnable[BT.BRILLIART][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BRILLIART][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BRILLIART][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BRILLIART][BS.BS_30Q]    = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.BRILLIART][BS.A3Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.BRILLIART][BS.A4Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.BRILLIART][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BRILLIART][BS.A4]        = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BRILLIART][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BRILLIART][BS.A4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BRILLIART][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BRILLIART][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BRILLIART][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F lami to BrilliArt  //v12 new
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.BS_30Q]    = new Array(1,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A3Q]       = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4]        = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4W]       = new Array(0,0,0,0,0,0,0,1,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_LAMI2BRI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//ZEN-HARD-F vns to BrilliArt   //v12 new
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.BS_30Q]    = new Array(1,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//BS_30Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A3Q]       = new Array(0,1,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4Q]       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A4Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4]        = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4W]       = new Array(0,0,0,0,0,0,0,1,0,0,0,0,0,0,0);//A4W
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.ZEN_F_H_VNS2BRI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BrilliArt to ZEN-HARD-F lami  //v12 new
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.BS_30Q]    = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A3Q]       = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q    // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q    // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4]        = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4W]       = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BRI2ZEN_F_H_LAMI][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

//BrilliArt to ZEN-HARD-F vns   //v12 new
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.B4W]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B4W
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A3V]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3V
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A3T]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A3T
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.BS_30Q]    = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q  // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A3Q]       = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q     // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4Q]       = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q     // v12.5 fix
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.B5Q]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//B5Q
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4]        = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4S]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4S
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4W]       = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4SW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4SW
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4Y]       = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4Y
m_ConvSizeEnable[BT.BRI2ZEN_F_H_VNS][BS.A4YW]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//A4YW

// ボード → ボードmist（ラミ） //v13 new
m_ConvSizeEnable[BT.BD2BDMIST][BS.B4W]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B4W
m_ConvSizeEnable[BT.BD2BDMIST][BS.A3V]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3V
m_ConvSizeEnable[BT.BD2BDMIST][BS.A3T]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3T
m_ConvSizeEnable[BT.BD2BDMIST][BS.BS_30Q]          = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // BS_30Q
m_ConvSizeEnable[BT.BD2BDMIST][BS.A3Q]             = new Array(0,1,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3Q
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4Q]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4Q
m_ConvSizeEnable[BT.BD2BDMIST][BS.B5Q]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B5Q
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4]              = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0); // A4
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4S]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4S
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4W]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4W
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4SW]            = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4SW
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4Y]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4Y
m_ConvSizeEnable[BT.BD2BDMIST][BS.A4YW]            = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4YW

// ボードライトCloth → ボードライトCloth //v13 new
m_ConvSizeEnable[BT.BDLCLOTH][BS.B4W]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B4W
m_ConvSizeEnable[BT.BDLCLOTH][BS.A3V]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3V
m_ConvSizeEnable[BT.BDLCLOTH][BS.A3T]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3T
m_ConvSizeEnable[BT.BDLCLOTH][BS.BS_30Q]           = new Array(0,1,1,1,0,0,0,0,0,0,0,0,0,0,0); // BS_30Q
m_ConvSizeEnable[BT.BDLCLOTH][BS.A3Q]              = new Array(0,0,1,1,0,0,0,0,0,0,0,0,0,0,0); // A3Q
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4Q]              = new Array(0,0,0,1,0,0,0,0,0,0,0,0,0,0,0); // A4Q
m_ConvSizeEnable[BT.BDLCLOTH][BS.B5Q]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B5Q
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4]               = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,0,0); // A4
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4S]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4S
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4W]              = new Array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,0); // A4W
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4SW]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4SW
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4Y]              = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4Y
m_ConvSizeEnable[BT.BDLCLOTH][BS.A4YW]             = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4YW

// ボードmist （ラミ）→ ZENハード（ラミ） //v13 new
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.B4W]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B4W
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A3V]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3V
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A3T]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3T
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.BS_30Q]  = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // BS_30Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A3Q]     = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0); // A3Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4Q]     = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0); // A4Q  v14 fix
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.B5Q]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B5Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4]      = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0); // A4
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4S]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4S
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4W]     = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0); // A4W
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4SW]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4SW
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4Y]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4Y
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_LAMI][BS.A4YW]    = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4YW

// ボードmist （ラミ）→ ZENハード（ニス） //v13 new
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.B4W]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B4W
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A3V]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3V
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A3T]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A3T
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.BS_30Q]   = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // BS_30Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A3Q]      = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0); // A3Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4Q]      = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0); // A4Q  v14 fix
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.B5Q]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // B5Q
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4]       = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0); // A4
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4S]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4S
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4W]      = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0); // A4W
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4SW]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4SW
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4Y]      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4Y
m_ConvSizeEnable[BT.BDMT2ZEN_F_H_VNS][BS.A4YW]     = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); // A4YW

// ZENレイフラット ART mist //v14 new
m_ConvSizeEnable[BT.ZEN_F_MT][BS.A3Q]               = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new

// ZENレイフラット ART mist → ZENレイフラット ハードカバー(ラミネート） //v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI][BS.A3Q]  = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI][BS.A4Q]  = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI][BS.A4]   = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI][BS.A4W]  = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ZENレイフラット ART mist → ZENレイフラット ハードカバー(ニス) //v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS][BS.A3Q]   = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS][BS.A4Q]   = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS][BS.A4]    = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.ZEN_F_MT2ZEN_F_H_VNS][BS.A4W]   = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ラミネート) //v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI][BS.BS_30Q]  = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//30Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI][BS.A3Q]     = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI][BS.A4Q]     = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI][BS.A4]      = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI][BS.A4W]     = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ニス) //v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS][BS.BS_30Q]   = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS][BS.A3Q]      = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS][BS.A4Q]      = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS][BS.A4]       = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS][BS.A4W]      = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ボード ACX  → ZENレイフラット ハードカバー(ラミネート) //v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI][BS.BS_30Q]     = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI][BS.A3Q]        = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI][BS.A4Q]        = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI][BS.A4]         = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_LAMI][BS.A4W]        = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ボード ACX  → ZENレイフラット ハードカバー(ニス) //v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS][BS.BS_30Q]      = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//BS_30Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS][BS.A3Q]         = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS][BS.A4Q]         = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS][BS.A4]          = new Array(0,0,0,0,0,1,1,0,1,0,0,0,0,0,0);//A4 v14 new
m_ConvSizeEnable[BT.BD_ACX2ZEN_F_H_VNS][BS.A4W]         = new Array(0,0,0,0,0,0,0,1,0,1,1,0,0,0,0);//A4W v14 new

// ボードmist //v14 new
m_ConvSizeEnable[BT.BDMT][BS.A3Q]                       = new Array(0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new

// conté → ZENレイフラット ハードカバー（ラミネート） //v14 new
m_ConvSizeEnable[BT.CONTE2ZEN_F_H_LAMI][BS.A3Q]         = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0);//A3Q v14 new
m_ConvSizeEnable[BT.CONTE2ZEN_F_H_LAMI][BS.A4Q]         = new Array(0,0,1,1,1,0,0,0,0,0,0,0,0,0,0);//A4Q v14 new
m_ConvSizeEnable[BT.CONTE2ZEN_F_H_LAMI][BS.CD]          = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0);//CD v14 new


//v14 fix
var m_PagesEnable = new Array(m_ActionNameID.length);
//4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36,38,40,50,60,70,80,90,100
m_PagesEnable[BT.ZEN_FBX]                   = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN_FBX //v9 New
m_PagesEnable[BT.ZEN_F_LX]                  = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-LX-F
m_PagesEnable[BT.ZEN_F_EXD_LAMI]            = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EXD-F lami
m_PagesEnable[BT.ZEN_F_EXD_VNS]             = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EXD-F vns
m_PagesEnable[BT.ZEN_F_EX_SUC_LAMI]         = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EX-F-SUC lami
m_PagesEnable[BT.ZEN_F_EX_SUC_VNS]          = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EX-F-SUC vns
m_PagesEnable[BT.ZEN_F_EX_LAMI]             = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EX-F lami
m_PagesEnable[BT.ZEN_F_EX_VNS]              = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-EX-F vns
m_PagesEnable[BT.ZEN_F_H_SUC_LAMI]          = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F-SUC lami
m_PagesEnable[BT.ZEN_F_H_SUC_VNS]           = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F-SUC vns
m_PagesEnable[BT.ZEN_F_H_LAMI]              = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F lami
m_PagesEnable[BT.ZEN_F_H_VNS]               = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F vns
m_PagesEnable[BT.LX_G]                      = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//LX G
m_PagesEnable[BT.LX]                        = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//LX
m_PagesEnable[BT.EXDcase_LAMI]              = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//EXD lami
m_PagesEnable[BT.EXDcase_VNS]               = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//EXD vns
m_PagesEnable[BT.EX_F_LAMI]                 = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//EX FLAT lami
m_PagesEnable[BT.EX_LAMI]                   = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//EX lami
m_PagesEnable[BT.EX_VNS]                    = new Array(0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//EX vns
m_PagesEnable[BT.H_F_LAMI]                  = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//HARD FLAT lami
m_PagesEnable[BT.H_LAMI]                    = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//HARD lami
m_PagesEnable[BT.H_VNS]                     = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//HARD vns
m_PagesEnable[BT.AT_LAMI]                   = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ATTACH lami
m_PagesEnable[BT.AT_VNS]                    = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ATTACH vns
m_PagesEnable[BT.SOFT]                      = new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,0);//SOFT vns
m_PagesEnable[BT.BDP_LAMI]                  = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,0,0,0,0);//BOARD to HARD
m_PagesEnable[BT.BDPZEN_F_H_LAMI]           = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,0,0,0,0);//BOARD to ZEN-HARD-F lami //v6New
m_PagesEnable[BT.BD2BD]                     = new Array(0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//BOARD to BOARD
m_PagesEnable[BT.BD2ST]                     = new Array(0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0);//BOARD to STICH
m_PagesEnable[BT.PB]                        = new Array(0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//P-BOOK
m_PagesEnable[BT.KINARI_P]                  = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//KINARI-P //v7 New
m_PagesEnable[BT.PICTURE_B]                 = new Array(1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//PICTURE BOOK //v7 New
m_PagesEnable[BT.CONTE]                     = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,0,0,0,0);//CONTE //v8 New
m_PagesEnable[BT.BDLIGHT]                   = new Array(1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BOARD LIGHT //v8 New
m_PagesEnable[BT.SHIRONARI_P]               = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//SHIRONARI_P KINARI-Pと同一 //v9 New
m_PagesEnable[BT.ZEN_F_ACX]                 = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX //v11 new
m_PagesEnable[BT.ZEN_F_ACX2BD_ACT]          = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX to BD_ACT //v11 new
m_PagesEnable[BT.BD_ACX]                    = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BD_ACX //v11 new
m_PagesEnable[BT.BD_ACX2ZEN_F_ACX]          = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BD_ACX to ZEN_F_ACX //v11 new
m_PagesEnable[BT.PX2BDL]                    = new Array(1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//PX to BDL //v11 new
m_PagesEnable[BT.BDL2PX]                    = new Array(1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BDL to PX //v11 new
m_PagesEnable[BT.PHOTOLET]                  = new Array(0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0);//PHOTOLET //v11 new
m_PagesEnable[BT.BRILLIART]                 = new Array(0,0,0,1,0,0,0,0,1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1);//BRILLIART //v12 new
m_PagesEnable[BT.ZEN_F_H_LAMI2BRI]          = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F lami to BrilliArt //v12 new
m_PagesEnable[BT.ZEN_F_H_VNS2BRI]           = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN-HARD-F vns to BrilliArt //v12 new
m_PagesEnable[BT.BRI2ZEN_F_H_LAMI]          = new Array(0,0,0,1,0,0,0,0,1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1);//BrilliArt to ZEN-HARD-F lami //v12 new
m_PagesEnable[BT.BRI2ZEN_F_H_VNS]           = new Array(0,0,0,1,0,0,0,0,1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1);//BrilliArt to ZEN-HARD-F vns //v12 new
m_PagesEnable[BT.BD2BDMIST]                 = new Array(0,0,0,0,1,0,0,0,1,1,0,0,1,1,0,0,0,0,1,0,0,0,0,0,0);//BD to BD_Mist //v13 new
m_PagesEnable[BT.BDLCLOTH]                  = new Array(1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BDL_CLOTH //v13 new
m_PagesEnable[BT.BDMT2ZEN_F_H_LAMI]         = new Array(0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0);//BD_Mist to ZEN-HARD-F lami v13 new
m_PagesEnable[BT.BDMT2ZEN_F_H_VNS]          = new Array(0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0);//BD_Mist to ZEN-HARD-F vns v13 new
m_PagesEnable[BT.ZEN_F_MT]                  = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN_F_MT v14 new
m_PagesEnable[BT.ZEN_F_MT2ZEN_F_H_LAMI]     = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN_F_MT2ZEN_F_H_LAMI v14 new
m_PagesEnable[BT.ZEN_F_MT2ZEN_F_H_VNS]      = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,1);//ZEN_F_MT2ZEN_F_H_VNS v14 new
m_PagesEnable[BT.ZEN_F_ACX2ZEN_F_H_LAMI]    = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX2ZEN_F_H_LAMI v14 new
m_PagesEnable[BT.ZEN_F_ACX2ZEN_F_H_VNS]     = new Array(0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//ZEN_F_ACX2ZEN_F_H_VNS v14 new
m_PagesEnable[BT.BD_ACX2ZEN_F_H_LAMI]       = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BD_ACX2ZEN_F_H_LAMI v14 new
m_PagesEnable[BT.BD_ACX2ZEN_F_H_VNS]        = new Array(0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);//BD_ACX2ZEN_F_H_VNS v14 new
m_PagesEnable[BT.BDMT]                      = new Array(1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0);//BDMT v14 new
m_PagesEnable[BT.CONTE2ZEN_F_H_LAMI]        = new Array(0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,0,0,0,0);//CONTE2ZEN_F_H_LAMI v14 new

/******************************/
/*       Pixcel定義            */
/******************************/

//ZEN_FBX //v9 New
//ZEN_FBXは表紙(000000.*)が存在しないためケースのサイズ
var m_DocPixelsZENFBX = new Array(m_BaseSize.length);
m_DocPixelsZENFBX[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsZENFBX[BS.A4YW]      = new Array(m_Pages.length);
//B4W
m_DocPixelsZENFBX[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsZENFBX[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFBX[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A3T][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsZENFBX[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P10] = new Array(7861,3552);//  10
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P20] = new Array(7861,3552);//  20
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P30] = new Array(7861,3552);//  30
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P40] = new Array(7861,3552);//  40
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P50] = new Array(7861,3552);//  50
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P60] = new Array(7861,3552);//  60
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P70] = new Array(7861,3552);//  70
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P80] = new Array(7861,3552);//  80
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P90] = new Array(7861,3552);// 90
m_DocPixelsZENFBX[BS.BS_30Q][PAGE.P100] = new Array(7861,3552);// 100
//A3Q
m_DocPixelsZENFBX[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A3Q][PAGE.P10] = new Array(7063,3153);//  10
m_DocPixelsZENFBX[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A3Q][PAGE.P20] = new Array(7063,3153);//  20
m_DocPixelsZENFBX[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A3Q][PAGE.P30] = new Array(7063,3153);//  30
m_DocPixelsZENFBX[BS.A3Q][PAGE.P40] = new Array(7063,3153);//  40
m_DocPixelsZENFBX[BS.A3Q][PAGE.P50] = new Array(7063,3153);//  50
m_DocPixelsZENFBX[BS.A3Q][PAGE.P60] = new Array(7063,3153);//  60
m_DocPixelsZENFBX[BS.A3Q][PAGE.P70] = new Array(7063,3153);//  70
m_DocPixelsZENFBX[BS.A3Q][PAGE.P80] = new Array(7063,3153);//  80
m_DocPixelsZENFBX[BS.A3Q][PAGE.P90] = new Array(7063,3153);// 90
m_DocPixelsZENFBX[BS.A3Q][PAGE.P100] = new Array(7063,3153);// 100
//A4Q
m_DocPixelsZENFBX[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsZENFBX[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
//A4
m_DocPixelsZENFBX[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsZENFBX[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsZENFBX[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsZENFBX[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsZENFBX[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFBX[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsZENFBX[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFBX[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsZENFBX[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsZENFBX[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsZENFBX[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsZENFBX[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsZENFBX[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsZENFBX[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsZENFBX[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y
m_DocPixelsZENFBX[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW
m_DocPixelsZENFBX[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFBX[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFBX[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFBX[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFBX[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFBX[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14
m_DocPixelsZENFBX[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16
m_DocPixelsZENFBX[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18
m_DocPixelsZENFBX[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFBX[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFBX[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFBX[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFBX[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFBX[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFBX[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFBX[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFBX[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFBX[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//ZENレイフラット ART LX 
var m_DocPixelsZENFLX = new Array(m_BaseSize.length);
m_DocPixelsZENFLX[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsZENFLX[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsZENFLX[BS.A4YW]      = new Array(m_Pages.length);    //v7 New

//B4W
m_DocPixelsZENFLX[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.B4W][PAGE.P10] = new Array(8844,3030);//10
m_DocPixelsZENFLX[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.B4W][PAGE.P20] = new Array(8844,3030);//  20
m_DocPixelsZENFLX[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.B4W][PAGE.P30] = new Array(8844,3030);//  30
m_DocPixelsZENFLX[BS.B4W][PAGE.P40] = new Array(8844,3030);//  40
m_DocPixelsZENFLX[BS.B4W][PAGE.P50] = new Array(8844,3030);//  50
m_DocPixelsZENFLX[BS.B4W][PAGE.P60] = new Array(8844,3030);//  60
m_DocPixelsZENFLX[BS.B4W][PAGE.P70] = new Array(8844,3030);//  70
m_DocPixelsZENFLX[BS.B4W][PAGE.P80] = new Array(8844,3030);//  80
m_DocPixelsZENFLX[BS.B4W][PAGE.P90] = new Array(8844,3030);// 90
m_DocPixelsZENFLX[BS.B4W][PAGE.P100] = new Array(8844,3030);// 100
//A3V
m_DocPixelsZENFLX[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFLX[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFLX[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFLX[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFLX[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFLX[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFLX[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFLX[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFLX[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFLX[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFLX[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFLX[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFLX[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFLX[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFLX[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFLX[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFLX[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFLX[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFLX[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFLX[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P10] = new Array(7278,3552);//  10
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P20] = new Array(7278,3552);//  20
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P30] = new Array(7278,3552);//  30
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P40] = new Array(7278,3552);//  40
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P50] = new Array(7278,3552);//  50
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P60] = new Array(7278,3552);//  60
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P70] = new Array(7278,3552);//  70
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P80] = new Array(7278,3552);//  80
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P90] = new Array(7278,3552);// 90
m_DocPixelsZENFLX[BS.BS_30Q][PAGE.P100] = new Array(7278,3552);// 100
//A3Q
m_DocPixelsZENFLX[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A3Q][PAGE.P10] = new Array(6480,3153);//  10
m_DocPixelsZENFLX[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A3Q][PAGE.P20] = new Array(6480,3153);//  20
m_DocPixelsZENFLX[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A3Q][PAGE.P30] = new Array(6480,3153);//  30
m_DocPixelsZENFLX[BS.A3Q][PAGE.P40] = new Array(6480,3153);//  40
m_DocPixelsZENFLX[BS.A3Q][PAGE.P50] = new Array(6480,3153);//  50
m_DocPixelsZENFLX[BS.A3Q][PAGE.P60] = new Array(6480,3153);//  60
m_DocPixelsZENFLX[BS.A3Q][PAGE.P70] = new Array(6480,3153);//  70
m_DocPixelsZENFLX[BS.A3Q][PAGE.P80] = new Array(6480,3153);//  80
m_DocPixelsZENFLX[BS.A3Q][PAGE.P90] = new Array(6480,3153);// 90
m_DocPixelsZENFLX[BS.A3Q][PAGE.P100] = new Array(6480,3153);// 100
//A4Q
m_DocPixelsZENFLX[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4Q][PAGE.P10] = new Array(5456,2641);//  10
m_DocPixelsZENFLX[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4Q][PAGE.P20] = new Array(5456,2641);//  20
m_DocPixelsZENFLX[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4Q][PAGE.P30] = new Array(5456,2641);//  30
m_DocPixelsZENFLX[BS.A4Q][PAGE.P40] = new Array(5456,2641);//  40
m_DocPixelsZENFLX[BS.A4Q][PAGE.P50] = new Array(5456,2641);//  50
m_DocPixelsZENFLX[BS.A4Q][PAGE.P60] = new Array(5456,2641);//  60
m_DocPixelsZENFLX[BS.A4Q][PAGE.P70] = new Array(5456,2641);//  70
m_DocPixelsZENFLX[BS.A4Q][PAGE.P80] = new Array(5456,2641);//  80
m_DocPixelsZENFLX[BS.A4Q][PAGE.P90] = new Array(5456,2641);// 90
m_DocPixelsZENFLX[BS.A4Q][PAGE.P100] = new Array(5456,2641);// 100
//B5Q
m_DocPixelsZENFLX[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.B5Q][PAGE.P10] = new Array(4842,2334);//  10
m_DocPixelsZENFLX[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.B5Q][PAGE.P20] = new Array(4842,2334);//  20
m_DocPixelsZENFLX[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.B5Q][PAGE.P30] = new Array(4842,2334);//  30
m_DocPixelsZENFLX[BS.B5Q][PAGE.P40] = new Array(4842,2334);//  40
m_DocPixelsZENFLX[BS.B5Q][PAGE.P50] = new Array(4842,2334);//  50
m_DocPixelsZENFLX[BS.B5Q][PAGE.P60] = new Array(4842,2334);//  60
m_DocPixelsZENFLX[BS.B5Q][PAGE.P70] = new Array(4842,2334);//  70
m_DocPixelsZENFLX[BS.B5Q][PAGE.P80] = new Array(4842,2334);//  80
m_DocPixelsZENFLX[BS.B5Q][PAGE.P90] = new Array(4842,2334);// 90
m_DocPixelsZENFLX[BS.B5Q][PAGE.P100] = new Array(4842,2334);// 100
//A4
m_DocPixelsZENFLX[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4][PAGE.P10] = new Array(5333,3470);//nop  10
m_DocPixelsZENFLX[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4][PAGE.P20] = new Array(5333,3470);//nop  20
m_DocPixelsZENFLX[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4][PAGE.P30] = new Array(5333,3470);//nop  30
m_DocPixelsZENFLX[BS.A4][PAGE.P40] = new Array(5333,3470);//nop  40
m_DocPixelsZENFLX[BS.A4][PAGE.P50] = new Array(5333,3470);//nop  50
m_DocPixelsZENFLX[BS.A4][PAGE.P60] = new Array(5333,3470);//nop  60
m_DocPixelsZENFLX[BS.A4][PAGE.P70] = new Array(5333,3470);//nop  70
m_DocPixelsZENFLX[BS.A4][PAGE.P80] = new Array(5333,3470);//nop  80
m_DocPixelsZENFLX[BS.A4][PAGE.P90] = new Array(5333,3470);//nop 90
m_DocPixelsZENFLX[BS.A4][PAGE.P100] = new Array(5333,3470);//nop 100
//A4S
m_DocPixelsZENFLX[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4S][PAGE.P10] = new Array(4842,3122);//  10
m_DocPixelsZENFLX[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4S][PAGE.P20] = new Array(4842,3122);//  20
m_DocPixelsZENFLX[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4S][PAGE.P30] = new Array(4842,3122);//  30
m_DocPixelsZENFLX[BS.A4S][PAGE.P40] = new Array(4842,3122);//  40
m_DocPixelsZENFLX[BS.A4S][PAGE.P50] = new Array(4842,3122);//  50
m_DocPixelsZENFLX[BS.A4S][PAGE.P60] = new Array(4842,3122);//  60
m_DocPixelsZENFLX[BS.A4S][PAGE.P70] = new Array(4842,3122);//  70
m_DocPixelsZENFLX[BS.A4S][PAGE.P80] = new Array(4842,3122);//  80
m_DocPixelsZENFLX[BS.A4S][PAGE.P90] = new Array(4842,3122);// 90
m_DocPixelsZENFLX[BS.A4S][PAGE.P100] = new Array(4842,3122);// 100
//A4W
m_DocPixelsZENFLX[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4W][PAGE.P10] = new Array(7114,2580);//  10
m_DocPixelsZENFLX[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4W][PAGE.P20] = new Array(7114,2580);//  20
m_DocPixelsZENFLX[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4W][PAGE.P30] = new Array(7114,2580);//  30
m_DocPixelsZENFLX[BS.A4W][PAGE.P40] = new Array(7114,2580);//  40
m_DocPixelsZENFLX[BS.A4W][PAGE.P50] = new Array(7114,2580);//  50
m_DocPixelsZENFLX[BS.A4W][PAGE.P60] = new Array(7114,2580);//  60
m_DocPixelsZENFLX[BS.A4W][PAGE.P70] = new Array(7114,2580);//  70
m_DocPixelsZENFLX[BS.A4W][PAGE.P80] = new Array(7114,2580);//  80
m_DocPixelsZENFLX[BS.A4W][PAGE.P90] = new Array(7114,2580);// 90
m_DocPixelsZENFLX[BS.A4W][PAGE.P100] = new Array(7114,2580);// 100
//A4SW
m_DocPixelsZENFLX[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4SW][PAGE.P10] = new Array(6418,2334);// 10
m_DocPixelsZENFLX[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFLX[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4SW][PAGE.P20] = new Array(6418,2334);// 20
m_DocPixelsZENFLX[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFLX[BS.A4SW][PAGE.P30] = new Array(6418,2334);// 30
m_DocPixelsZENFLX[BS.A4SW][PAGE.P40] = new Array(6418,2334);// 40
m_DocPixelsZENFLX[BS.A4SW][PAGE.P50] = new Array(6418,2334);// 50
m_DocPixelsZENFLX[BS.A4SW][PAGE.P60] = new Array(6418,2334);// 60
m_DocPixelsZENFLX[BS.A4SW][PAGE.P70] = new Array(6418,2334);// 70
m_DocPixelsZENFLX[BS.A4SW][PAGE.P80] = new Array(6418,2334);// 80
m_DocPixelsZENFLX[BS.A4SW][PAGE.P90] = new Array(6418,2334);//    90
m_DocPixelsZENFLX[BS.A4SW][PAGE.P100] = new Array(6418,2334);//    100
//A4Y v7 New
m_DocPixelsZENFLX[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFLX[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFLX[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFLX[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFLX[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFLX[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFLX[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFLX[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFLX[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFLX[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsZENFLX[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFLX[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFLX[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFLX[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFLX[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFLX[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFLX[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFLX[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFLX[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFLX[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFLX[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFLX[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFLX[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFLX[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFLX[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFLX[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFLX[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFLX[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ZENレイフラット ART EX(ラミネート)
var m_DocPixelsZENFEXL = new Array(m_BaseSize.length);
m_DocPixelsZENFEXL[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsZENFEXL[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsZENFEXL[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsZENFEXL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.B4W][PAGE.P10] = new Array(11096,2764);//  10
m_DocPixelsZENFEXL[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.B4W][PAGE.P20] = new Array(11096,2764);//  20
m_DocPixelsZENFEXL[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.B4W][PAGE.P30] = new Array(11096,2764);//  30
m_DocPixelsZENFEXL[BS.B4W][PAGE.P40] = new Array(11096,2764);//  40
m_DocPixelsZENFEXL[BS.B4W][PAGE.P50] = new Array(11096,2764);//  50
m_DocPixelsZENFEXL[BS.B4W][PAGE.P60] = new Array(11096,2764);//  60
m_DocPixelsZENFEXL[BS.B4W][PAGE.P70] = new Array(11096,2764);//  70
m_DocPixelsZENFEXL[BS.B4W][PAGE.P80] = new Array(11096,2764);//  80
m_DocPixelsZENFEXL[BS.B4W][PAGE.P90] = new Array(11096,2764);// 90
m_DocPixelsZENFEXL[BS.B4W][PAGE.P100] = new Array(11096,2764);// 100
//A3V
m_DocPixelsZENFEXL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXL[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXL[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXL[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXL[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXL[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXL[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXL[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXL[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXL[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFEXL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXL[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXL[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXL[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXL[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXL[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXL[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXL[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXL[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXL[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P10] = new Array(9714,3235);//  10
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P20] = new Array(9714,3235);//  20
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P30] = new Array(9714,3235);//  30
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P40] = new Array(9714,3235);//  40
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P50] = new Array(9714,3235);//  50
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P60] = new Array(9714,3235);//  60
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P70] = new Array(9714,3235);//  70
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P80] = new Array(9714,3235);//  80
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P90] = new Array(9714,3235);// 90
m_DocPixelsZENFEXL[BS.BS_30Q][PAGE.P100] = new Array(9714,3235);// 100
//A3Q
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P10] = new Array(8916,2887);//  10
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P12] = new Array(0,0);//  12
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P20] = new Array(8916,2887);//  20
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P30] = new Array(8916,2887);//  30
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P40] = new Array(8916,2887);//  40
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P50] = new Array(8916,2887);//  50
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P60] = new Array(8916,2887);//  60
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P70] = new Array(8916,2887);//  70
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P80] = new Array(8916,2887);//  80
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P90] = new Array(8916,2887);// 90
m_DocPixelsZENFEXL[BS.A3Q][PAGE.P100] = new Array(8916,2887);// 100
//A4Q
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P10] = new Array(7278,2375);//  10
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P20] = new Array(7278,2375);//  20
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P30] = new Array(7278,2375);//  30
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P40] = new Array(7278,2375);//  40
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P50] = new Array(7278,2375);//  50
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P60] = new Array(7278,2375);//  60
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P70] = new Array(7278,2375);//  70
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P80] = new Array(7278,2375);//  80
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P90] = new Array(7278,2375);// 90
m_DocPixelsZENFEXL[BS.A4Q][PAGE.P100] = new Array(7278,2375);// 100
//B5Q
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P10] = new Array(6254,2068);//  10
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P20] = new Array(6254,2068);//  20
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P30] = new Array(6254,2068);//  30
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P40] = new Array(6254,2068);//  40
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P50] = new Array(6254,2068);//  50
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P60] = new Array(6254,2068);//  60
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P70] = new Array(6254,2068);//  70
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P80] = new Array(6254,2068);//  80
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P90] = new Array(6254,2068);// 90
m_DocPixelsZENFEXL[BS.B5Q][PAGE.P100] = new Array(6254,2068);// 100
//A4
m_DocPixelsZENFEXL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4][PAGE.P10] = new Array(7483,3204);//  10
m_DocPixelsZENFEXL[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4][PAGE.P20] = new Array(7483,3204);//  20
m_DocPixelsZENFEXL[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A4][PAGE.P30] = new Array(7483,3204);//  30
m_DocPixelsZENFEXL[BS.A4][PAGE.P40] = new Array(7483,3204);//  40
m_DocPixelsZENFEXL[BS.A4][PAGE.P50] = new Array(7483,3204);//  50
m_DocPixelsZENFEXL[BS.A4][PAGE.P60] = new Array(7483,3204);//  60
m_DocPixelsZENFEXL[BS.A4][PAGE.P70] = new Array(7483,3204);//  70
m_DocPixelsZENFEXL[BS.A4][PAGE.P80] = new Array(7483,3204);//  80
m_DocPixelsZENFEXL[BS.A4][PAGE.P90] = new Array(7483,3204);// 90
m_DocPixelsZENFEXL[BS.A4][PAGE.P100] = new Array(7483,3204);// 100
//A4S
m_DocPixelsZENFEXL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4S][PAGE.P10] = new Array(6582,2856);//  10
m_DocPixelsZENFEXL[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4S][PAGE.P20] = new Array(6582,2856);//  20
m_DocPixelsZENFEXL[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A4S][PAGE.P30] = new Array(6582,2856);//  30
m_DocPixelsZENFEXL[BS.A4S][PAGE.P40] = new Array(6582,2856);//  40
m_DocPixelsZENFEXL[BS.A4S][PAGE.P50] = new Array(6582,2856);//  50
m_DocPixelsZENFEXL[BS.A4S][PAGE.P60] = new Array(6582,2856);//  60
m_DocPixelsZENFEXL[BS.A4S][PAGE.P70] = new Array(6582,2856);//  70
m_DocPixelsZENFEXL[BS.A4S][PAGE.P80] = new Array(6582,2856);//  80
m_DocPixelsZENFEXL[BS.A4S][PAGE.P90] = new Array(6582,2856);// 90
m_DocPixelsZENFEXL[BS.A4S][PAGE.P100] = new Array(6582,2856);// 100
//A4W
m_DocPixelsZENFEXL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4W][PAGE.P10] = new Array(8957,2313);//  10
m_DocPixelsZENFEXL[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4W][PAGE.P20] = new Array(8957,2313);//  20
m_DocPixelsZENFEXL[BS.A4W][PAGE.P28] = new Array(8957,2313);//  28
m_DocPixelsZENFEXL[BS.A4W][PAGE.P30] = new Array(8957,2313);//  30
m_DocPixelsZENFEXL[BS.A4W][PAGE.P40] = new Array(8957,2313);//  40
m_DocPixelsZENFEXL[BS.A4W][PAGE.P50] = new Array(8957,2313);//  50
m_DocPixelsZENFEXL[BS.A4W][PAGE.P60] = new Array(8957,2313);//  60
m_DocPixelsZENFEXL[BS.A4W][PAGE.P70] = new Array(8957,2313);//  70
m_DocPixelsZENFEXL[BS.A4W][PAGE.P80] = new Array(8957,2313);//  80
m_DocPixelsZENFEXL[BS.A4W][PAGE.P90] = new Array(8957,2313);// 90
m_DocPixelsZENFEXL[BS.A4W][PAGE.P100] = new Array(8957,2313);// 100
//A4SW
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P10] = new Array(7954,2068);// 10
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P20] = new Array(7954,2068);// 20
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P30] = new Array(7954,2068);// 30
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P40] = new Array(7954,2068);// 40
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P50] = new Array(7954,2068);// 50
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P60] = new Array(7954,2068);// 60
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P70] = new Array(7954,2068);// 70
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P80] = new Array(7954,2068);// 80
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P90] = new Array(7954,2068);//    90
m_DocPixelsZENFEXL[BS.A4SW][PAGE.P100] = new Array(7954,2068);//    100
//A4Y v7 New
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//ZENレイフラット ART EX(ニス)
var m_DocPixelsZENFEXV = new Array(m_BaseSize.length);
m_DocPixelsZENFEXV[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsZENFEXV[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsZENFEXV[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsZENFEXV[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.B4W][PAGE.P10] = new Array(11096,2764);//  10
m_DocPixelsZENFEXV[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.B4W][PAGE.P20] = new Array(11096,2764);//  20
m_DocPixelsZENFEXV[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.B4W][PAGE.P30] = new Array(11096,2764);//  30
m_DocPixelsZENFEXV[BS.B4W][PAGE.P40] = new Array(11096,2764);//  40
m_DocPixelsZENFEXV[BS.B4W][PAGE.P50] = new Array(11096,2764);//  50
m_DocPixelsZENFEXV[BS.B4W][PAGE.P60] = new Array(11096,2764);//  60
m_DocPixelsZENFEXV[BS.B4W][PAGE.P70] = new Array(11096,2764);//  70
m_DocPixelsZENFEXV[BS.B4W][PAGE.P80] = new Array(11096,2764);//  80
m_DocPixelsZENFEXV[BS.B4W][PAGE.P90] = new Array(11096,2764);// 90
m_DocPixelsZENFEXV[BS.B4W][PAGE.P100] = new Array(11096,2764);// 100
//A3V
m_DocPixelsZENFEXV[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXV[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXV[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXV[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXV[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXV[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXV[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXV[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXV[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXV[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFEXV[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXV[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXV[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXV[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXV[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXV[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXV[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXV[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXV[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXV[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P10] = new Array(9714,3235);//  10
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P20] = new Array(9714,3235);//  20
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P30] = new Array(9714,3235);//  30
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P40] = new Array(9714,3235);//  40
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P50] = new Array(9714,3235);//  50
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P60] = new Array(9714,3235);//  60
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P70] = new Array(9714,3235);//  70
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P80] = new Array(9714,3235);//  80
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P90] = new Array(9714,3235);// 90
m_DocPixelsZENFEXV[BS.BS_30Q][PAGE.P100] = new Array(9714,3235);// 100
//A3Q
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P10] = new Array(8916,2887);//  10
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P20] = new Array(8916,2887);//  20
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P30] = new Array(8916,2887);//  30
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P40] = new Array(8916,2887);//  40
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P50] = new Array(8916,2887);//  50
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P60] = new Array(8916,2887);//  60
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P70] = new Array(8916,2887);//  70
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P80] = new Array(8916,2887);//  80
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P90] = new Array(8916,2887);// 90
m_DocPixelsZENFEXV[BS.A3Q][PAGE.P100] = new Array(8916,2887);// 100
//A4Q
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P10] = new Array(7278,2375);//  10
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P20] = new Array(7278,2375);//  20
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P30] = new Array(7278,2375);//  30
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P40] = new Array(7278,2375);//  40
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P50] = new Array(7278,2375);//  50
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P60] = new Array(7278,2375);//  60
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P70] = new Array(7278,2375);//  70
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P80] = new Array(7278,2375);//  80
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P90] = new Array(7278,2375);// 90
m_DocPixelsZENFEXV[BS.A4Q][PAGE.P100] = new Array(7278,2375);// 100
//B5Q
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P10] = new Array(6254,2068);//  10
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P20] = new Array(6254,2068);//  20
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P30] = new Array(6254,2068);//  30
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P40] = new Array(6254,2068);//  40
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P50] = new Array(6254,2068);//  50
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P60] = new Array(6254,2068);//  60
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P70] = new Array(6254,2068);//  70
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P80] = new Array(6254,2068);//  80
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P90] = new Array(6254,2068);// 90
m_DocPixelsZENFEXV[BS.B5Q][PAGE.P100] = new Array(6254,2068);// 100
//A4
m_DocPixelsZENFEXV[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4][PAGE.P10] = new Array(7483,3204);//  10
m_DocPixelsZENFEXV[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4][PAGE.P20] = new Array(7483,3204);//  20
m_DocPixelsZENFEXV[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4][PAGE.P30] = new Array(7483,3204);//  30
m_DocPixelsZENFEXV[BS.A4][PAGE.P40] = new Array(7483,3204);//  40
m_DocPixelsZENFEXV[BS.A4][PAGE.P50] = new Array(7483,3204);//  50
m_DocPixelsZENFEXV[BS.A4][PAGE.P60] = new Array(7483,3204);//  60
m_DocPixelsZENFEXV[BS.A4][PAGE.P70] = new Array(7483,3204);//  70
m_DocPixelsZENFEXV[BS.A4][PAGE.P80] = new Array(7483,3204);//  80
m_DocPixelsZENFEXV[BS.A4][PAGE.P90] = new Array(7483,3204);// 90
m_DocPixelsZENFEXV[BS.A4][PAGE.P100] = new Array(7483,3204);// 100
//A4S
m_DocPixelsZENFEXV[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4S][PAGE.P10] = new Array(6582,2856);//  10
m_DocPixelsZENFEXV[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4S][PAGE.P20] = new Array(6582,2856);//  20
m_DocPixelsZENFEXV[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4S][PAGE.P30] = new Array(6582,2856);//  30
m_DocPixelsZENFEXV[BS.A4S][PAGE.P40] = new Array(6582,2856);//  40
m_DocPixelsZENFEXV[BS.A4S][PAGE.P50] = new Array(6582,2856);//  50
m_DocPixelsZENFEXV[BS.A4S][PAGE.P60] = new Array(6582,2856);//  60
m_DocPixelsZENFEXV[BS.A4S][PAGE.P70] = new Array(6582,2856);//  70
m_DocPixelsZENFEXV[BS.A4S][PAGE.P80] = new Array(6582,2856);//  80
m_DocPixelsZENFEXV[BS.A4S][PAGE.P90] = new Array(6582,2856);// 90
m_DocPixelsZENFEXV[BS.A4S][PAGE.P100] = new Array(6582,2856);// 100
//A4W
m_DocPixelsZENFEXV[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4W][PAGE.P10] = new Array(8957,2313);//  10
m_DocPixelsZENFEXV[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4W][PAGE.P20] = new Array(8957,2313);//  20
m_DocPixelsZENFEXV[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4W][PAGE.P30] = new Array(8957,2313);//  30
m_DocPixelsZENFEXV[BS.A4W][PAGE.P40] = new Array(8957,2313);//  40
m_DocPixelsZENFEXV[BS.A4W][PAGE.P50] = new Array(8957,2313);//  50
m_DocPixelsZENFEXV[BS.A4W][PAGE.P60] = new Array(8957,2313);//  60
m_DocPixelsZENFEXV[BS.A4W][PAGE.P70] = new Array(8957,2313);//  70
m_DocPixelsZENFEXV[BS.A4W][PAGE.P80] = new Array(8957,2313);//  80
m_DocPixelsZENFEXV[BS.A4W][PAGE.P90] = new Array(8957,2313);// 90
m_DocPixelsZENFEXV[BS.A4W][PAGE.P100] = new Array(8957,2313);// 100
//A4SW
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P10] = new Array(7954,2068);// 10
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P20] = new Array(7954,2068);// 20
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P30] = new Array(7954,2068);// 30
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P40] = new Array(7954,2068);//40
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P50] = new Array(7954,2068);// 50
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P60] = new Array(7954,2068);// 60
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P70] = new Array(7954,2068);// 70
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P80] = new Array(7954,2068);// 80
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P90] = new Array(7954,2068);//    90
m_DocPixelsZENFEXV[BS.A4SW][PAGE.P100] = new Array(7954,2068);//    100
//A4Y v7 New
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXV[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFEXV[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ZENレイフラット ハードカバー (ラミネート)
var m_DocPixelsZENFHL = new Array(m_BaseSize.length);
m_DocPixelsZENFHL[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsZENFHL[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsZENFHL[BS.A4YW]      = new Array(m_Pages.length);    //v7 New

//B4W
m_DocPixelsZENFHL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.B4W][PAGE.P10] = new Array(8046,2764);//  10
m_DocPixelsZENFHL[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.B4W][PAGE.P20] = new Array(8056,2764);//  20
m_DocPixelsZENFHL[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.B4W][PAGE.P30] = new Array(8066,2764);//  30
m_DocPixelsZENFHL[BS.B4W][PAGE.P40] = new Array(8087,2764);//  40
m_DocPixelsZENFHL[BS.B4W][PAGE.P50] = new Array(8097,2764);//  50
m_DocPixelsZENFHL[BS.B4W][PAGE.P60] = new Array(8097,2764);//  60
m_DocPixelsZENFHL[BS.B4W][PAGE.P70] = new Array(8117,2764);//  70
m_DocPixelsZENFHL[BS.B4W][PAGE.P80] = new Array(8117,2764);//  80
m_DocPixelsZENFHL[BS.B4W][PAGE.P90] = new Array(8138,2764);// 90
m_DocPixelsZENFHL[BS.B4W][PAGE.P100] = new Array(8138,2764);// 100
//A3V
m_DocPixelsZENFHL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHL[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHL[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHL[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHL[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHL[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHL[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHL[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHL[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHL[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFHL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHL[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHL[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHL[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHL[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHL[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHL[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHL[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHL[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHL[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P10] = new Array(6490,3235);//  10
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P20] = new Array(6500,3235);//  20
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P30] = new Array(6510,3235);//  30
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P40] = new Array(6531,3235);//  40
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P50] = new Array(6541,3235);//  50
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P60] = new Array(6541,3235);//  60
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P70] = new Array(6561,3235);//  70
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P80] = new Array(6561,3235);//  80
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P90] = new Array(6582,3235);// 90
m_DocPixelsZENFHL[BS.BS_30Q][PAGE.P100] = new Array(6582,3235);// 100
//A3Q
m_DocPixelsZENFHL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A3Q][PAGE.P10] = new Array(5691,2887);//  10
m_DocPixelsZENFHL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A3Q][PAGE.P20] = new Array(5702,2887);//  20
m_DocPixelsZENFHL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A3Q][PAGE.P30] = new Array(5712,2887);//  30
m_DocPixelsZENFHL[BS.A3Q][PAGE.P40] = new Array(5732,2887);//  40
m_DocPixelsZENFHL[BS.A3Q][PAGE.P50] = new Array(5743,2887);//  50
m_DocPixelsZENFHL[BS.A3Q][PAGE.P60] = new Array(5743,2887);//  60
m_DocPixelsZENFHL[BS.A3Q][PAGE.P70] = new Array(5763,2887);//  70
m_DocPixelsZENFHL[BS.A3Q][PAGE.P80] = new Array(5763,2887);//80
m_DocPixelsZENFHL[BS.A3Q][PAGE.P90] = new Array(5783,2887);// 90
m_DocPixelsZENFHL[BS.A3Q][PAGE.P100] = new Array(5783,2887);// 100
//A4Q
m_DocPixelsZENFHL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4Q][PAGE.P10] = new Array(4668,2375);//  10
m_DocPixelsZENFHL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4Q][PAGE.P20] = new Array(4678,2375);//  20
m_DocPixelsZENFHL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4Q][PAGE.P30] = new Array(4688,2375);//  30
m_DocPixelsZENFHL[BS.A4Q][PAGE.P40] = new Array(4709,2375);//  40
m_DocPixelsZENFHL[BS.A4Q][PAGE.P50] = new Array(4719,2375);//  50
m_DocPixelsZENFHL[BS.A4Q][PAGE.P60] = new Array(4719,2375);//  60
m_DocPixelsZENFHL[BS.A4Q][PAGE.P70] = new Array(4739,2375);//  70
m_DocPixelsZENFHL[BS.A4Q][PAGE.P80] = new Array(4739,2375);//  80
m_DocPixelsZENFHL[BS.A4Q][PAGE.P90] = new Array(4760,2375);// 90
m_DocPixelsZENFHL[BS.A4Q][PAGE.P100] = new Array(4760,2375);// 100
//B5Q
m_DocPixelsZENFHL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.B5Q][PAGE.P10] = new Array(4054,2068);//  10
m_DocPixelsZENFHL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.B5Q][PAGE.P20] = new Array(4064,2068);//  20
m_DocPixelsZENFHL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.B5Q][PAGE.P30] = new Array(4074,2068);//  30
m_DocPixelsZENFHL[BS.B5Q][PAGE.P40] = new Array(4094,2068);//  40
m_DocPixelsZENFHL[BS.B5Q][PAGE.P50] = new Array(4105,2068);//  50
m_DocPixelsZENFHL[BS.B5Q][PAGE.P60] = new Array(4105,2068);//  60
m_DocPixelsZENFHL[BS.B5Q][PAGE.P70] = new Array(4125,2068);//  70
m_DocPixelsZENFHL[BS.B5Q][PAGE.P80] = new Array(4125,2068);//  80
m_DocPixelsZENFHL[BS.B5Q][PAGE.P90] = new Array(4146,2068);// 90
m_DocPixelsZENFHL[BS.B5Q][PAGE.P100] = new Array(4146,2068);// 100
//A4
m_DocPixelsZENFHL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4][PAGE.P10] = new Array(4545,3204);//  10
m_DocPixelsZENFHL[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4][PAGE.P20] = new Array(4555,3204);//  20
m_DocPixelsZENFHL[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4][PAGE.P30] = new Array(4565,3204);//  30
m_DocPixelsZENFHL[BS.A4][PAGE.P40] = new Array(4586,3204);//  40
m_DocPixelsZENFHL[BS.A4][PAGE.P50] = new Array(4596,3204);//  50
m_DocPixelsZENFHL[BS.A4][PAGE.P60] = new Array(4596,3204);//  60
m_DocPixelsZENFHL[BS.A4][PAGE.P70] = new Array(4617,3204);//  70
m_DocPixelsZENFHL[BS.A4][PAGE.P80] = new Array(4617,3204);//  80
m_DocPixelsZENFHL[BS.A4][PAGE.P90] = new Array(4637,3204);// 90
m_DocPixelsZENFHL[BS.A4][PAGE.P100] = new Array(4637,3204);// 100
//A4S
m_DocPixelsZENFHL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4S][PAGE.P10] = new Array(4054,2856);//  10
m_DocPixelsZENFHL[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4S][PAGE.P20] = new Array(4064,2856);//  20
m_DocPixelsZENFHL[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4S][PAGE.P30] = new Array(4074,2856);//  30
m_DocPixelsZENFHL[BS.A4S][PAGE.P40] = new Array(4094,2856);//  40
m_DocPixelsZENFHL[BS.A4S][PAGE.P50] = new Array(4105,2856);//  50
m_DocPixelsZENFHL[BS.A4S][PAGE.P60] = new Array(4105,2856);//  60
m_DocPixelsZENFHL[BS.A4S][PAGE.P70] = new Array(4125,2856);//  70
m_DocPixelsZENFHL[BS.A4S][PAGE.P80] = new Array(4125,2856);//80
m_DocPixelsZENFHL[BS.A4S][PAGE.P90] = new Array(4146,2856);// 90
m_DocPixelsZENFHL[BS.A4S][PAGE.P100] = new Array(4146,2856);// 100
//A4W
m_DocPixelsZENFHL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4W][PAGE.P10] = new Array(6326,2313);//  10
m_DocPixelsZENFHL[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4W][PAGE.P20] = new Array(6336,2313);//  20
m_DocPixelsZENFHL[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4W][PAGE.P30] = new Array(6346,2313);//  30
m_DocPixelsZENFHL[BS.A4W][PAGE.P40] = new Array(6367,2313);//  40
m_DocPixelsZENFHL[BS.A4W][PAGE.P50] = new Array(6377,2313);//  50
m_DocPixelsZENFHL[BS.A4W][PAGE.P60] = new Array(6377,2313);//  60
m_DocPixelsZENFHL[BS.A4W][PAGE.P70] = new Array(6398,2313);//  70
m_DocPixelsZENFHL[BS.A4W][PAGE.P80] = new Array(6398,2313);//  80
m_DocPixelsZENFHL[BS.A4W][PAGE.P90] = new Array(6418,2313);// 90
m_DocPixelsZENFHL[BS.A4W][PAGE.P100] = new Array(6418,2313);// 100
//A4SW
m_DocPixelsZENFHL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4SW][PAGE.P10] = new Array(5630,2068);// 10
m_DocPixelsZENFHL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFHL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4SW][PAGE.P20] = new Array(5640,2068);//20
m_DocPixelsZENFHL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFHL[BS.A4SW][PAGE.P30] = new Array(5650,2068);// 30
m_DocPixelsZENFHL[BS.A4SW][PAGE.P40] = new Array(5671,2068);// 40
m_DocPixelsZENFHL[BS.A4SW][PAGE.P50] = new Array(5681,2068);// 50
m_DocPixelsZENFHL[BS.A4SW][PAGE.P60] = new Array(5681,2068);// 60
m_DocPixelsZENFHL[BS.A4SW][PAGE.P70] = new Array(5702,2068);// 70
m_DocPixelsZENFHL[BS.A4SW][PAGE.P80] = new Array(5702,2068);// 80
m_DocPixelsZENFHL[BS.A4SW][PAGE.P90] = new Array(5722,2068);//    90
m_DocPixelsZENFHL[BS.A4SW][PAGE.P100] = new Array(5722,2068);//    100
//A4Y v7 New
m_DocPixelsZENFHL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsZENFHL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//ZENレイフラット ハードカバー (ニス)
var m_DocPixelsZENFHV = new Array(m_BaseSize.length);
m_DocPixelsZENFHV[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsZENFHV[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsZENFHV[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsZENFHV[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.B4W][PAGE.P10] = new Array(8046,2764);//  10
m_DocPixelsZENFHV[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.B4W][PAGE.P20] = new Array(8056,2764);//  20
m_DocPixelsZENFHV[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.B4W][PAGE.P30] = new Array(8066,2764);//  30
m_DocPixelsZENFHV[BS.B4W][PAGE.P40] = new Array(8066,2764);//  40
m_DocPixelsZENFHV[BS.B4W][PAGE.P50] = new Array(8076,2764);//  50
m_DocPixelsZENFHV[BS.B4W][PAGE.P60] = new Array(8076,2764);//  60
m_DocPixelsZENFHV[BS.B4W][PAGE.P70] = new Array(8097,2764);//  70
m_DocPixelsZENFHV[BS.B4W][PAGE.P80] = new Array(8097,2764);//  80
m_DocPixelsZENFHV[BS.B4W][PAGE.P90] = new Array(8117,2764);// 90
m_DocPixelsZENFHV[BS.B4W][PAGE.P100] = new Array(8117,2764);// 100
//A3V
m_DocPixelsZENFHV[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHV[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHV[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHV[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHV[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHV[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHV[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHV[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHV[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHV[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsZENFHV[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHV[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHV[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHV[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHV[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHV[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHV[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHV[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHV[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHV[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P10] = new Array(6490,3235);//  10
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P20] = new Array(6500,3235);//  20
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P30] = new Array(6510,3235);//  30
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P40] = new Array(6510,3235);//  40
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P50] = new Array(6520,3235);//  50
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P60] = new Array(6520,3235);//  60
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P70] = new Array(6541,3235);//  70
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P80] = new Array(6541,3235);//  80
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P90] = new Array(6561,3235);// 90
m_DocPixelsZENFHV[BS.BS_30Q][PAGE.P100] = new Array(6561,3235);// 100
//A3Q
m_DocPixelsZENFHV[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A3Q][PAGE.P10] = new Array(5691,2887);//  10
m_DocPixelsZENFHV[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A3Q][PAGE.P20] = new Array(5702,2887);//  20
m_DocPixelsZENFHV[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A3Q][PAGE.P30] = new Array(5712,2887);//  30
m_DocPixelsZENFHV[BS.A3Q][PAGE.P40] = new Array(5712,2887);//  40
m_DocPixelsZENFHV[BS.A3Q][PAGE.P50] = new Array(5722,2887);//  50
m_DocPixelsZENFHV[BS.A3Q][PAGE.P60] = new Array(5722,2887);//  60
m_DocPixelsZENFHV[BS.A3Q][PAGE.P70] = new Array(5743,2887);//  70
m_DocPixelsZENFHV[BS.A3Q][PAGE.P80] = new Array(5743,2887);//  80
m_DocPixelsZENFHV[BS.A3Q][PAGE.P90] = new Array(5763,2887);// 90
m_DocPixelsZENFHV[BS.A3Q][PAGE.P100] = new Array(5763,2887);// 100
//A4Q
m_DocPixelsZENFHV[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4Q][PAGE.P10] = new Array(4668,2375);//  10
m_DocPixelsZENFHV[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4Q][PAGE.P20] = new Array(4678,2375);//  20
m_DocPixelsZENFHV[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4Q][PAGE.P30] = new Array(4688,2375);//  30
m_DocPixelsZENFHV[BS.A4Q][PAGE.P40] = new Array(4688,2375);//  40
m_DocPixelsZENFHV[BS.A4Q][PAGE.P50] = new Array(4698,2375);//  50
m_DocPixelsZENFHV[BS.A4Q][PAGE.P60] = new Array(4698,2375);//  60
m_DocPixelsZENFHV[BS.A4Q][PAGE.P70] = new Array(4719,2375);//  70
m_DocPixelsZENFHV[BS.A4Q][PAGE.P80] = new Array(4719,2375);//  80
m_DocPixelsZENFHV[BS.A4Q][PAGE.P90] = new Array(4739,2375);// 90
m_DocPixelsZENFHV[BS.A4Q][PAGE.P100] = new Array(4739,2375);// 100
//B5Q
m_DocPixelsZENFHV[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.B5Q][PAGE.P10] = new Array(4054,2068);//  10
m_DocPixelsZENFHV[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.B5Q][PAGE.P20] = new Array(4064,2068);//  20
m_DocPixelsZENFHV[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.B5Q][PAGE.P30] = new Array(4074,2068);//  30
m_DocPixelsZENFHV[BS.B5Q][PAGE.P40] = new Array(4074,2068);//  40
m_DocPixelsZENFHV[BS.B5Q][PAGE.P50] = new Array(4084,2068);//  50
m_DocPixelsZENFHV[BS.B5Q][PAGE.P60] = new Array(4084,2068);//  60
m_DocPixelsZENFHV[BS.B5Q][PAGE.P70] = new Array(4105,2068);//  70
m_DocPixelsZENFHV[BS.B5Q][PAGE.P80] = new Array(4105,2068);//  80
m_DocPixelsZENFHV[BS.B5Q][PAGE.P90] = new Array(4125,2068);// 90
m_DocPixelsZENFHV[BS.B5Q][PAGE.P100] = new Array(4125,2068);// 100
//A4
m_DocPixelsZENFHV[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4][PAGE.P10] = new Array(4545,3204);//  10
m_DocPixelsZENFHV[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4][PAGE.P20] = new Array(4555,3204);//  20
m_DocPixelsZENFHV[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4][PAGE.P30] = new Array(4565,3204);//  30
m_DocPixelsZENFHV[BS.A4][PAGE.P40] = new Array(4565,3204);//  40
m_DocPixelsZENFHV[BS.A4][PAGE.P50] = new Array(4576,3204);//  50
m_DocPixelsZENFHV[BS.A4][PAGE.P60] = new Array(4576,3204);//  60
m_DocPixelsZENFHV[BS.A4][PAGE.P70] = new Array(4596,3204);//  70
m_DocPixelsZENFHV[BS.A4][PAGE.P80] = new Array(4596,3204);//  80
m_DocPixelsZENFHV[BS.A4][PAGE.P90] = new Array(4617,3204);//90
m_DocPixelsZENFHV[BS.A4][PAGE.P100] = new Array(4617,3204);// 100
//A4S
m_DocPixelsZENFHV[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4S][PAGE.P10] = new Array(4054,2856);//  10
m_DocPixelsZENFHV[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4S][PAGE.P20] = new Array(4064,2856);//  20
m_DocPixelsZENFHV[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4S][PAGE.P30] = new Array(4074,2856);//  30
m_DocPixelsZENFHV[BS.A4S][PAGE.P40] = new Array(4074,2856);//  40
m_DocPixelsZENFHV[BS.A4S][PAGE.P50] = new Array(4084,2856);//  50
m_DocPixelsZENFHV[BS.A4S][PAGE.P60] = new Array(4084,2856);//  60
m_DocPixelsZENFHV[BS.A4S][PAGE.P70] = new Array(4105,2856);//  70
m_DocPixelsZENFHV[BS.A4S][PAGE.P80] = new Array(4105,2856);//  80
m_DocPixelsZENFHV[BS.A4S][PAGE.P90] = new Array(4125,2856);// 90
m_DocPixelsZENFHV[BS.A4S][PAGE.P100] = new Array(4125,2856);// 100
//A4W
m_DocPixelsZENFHV[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4W][PAGE.P10] = new Array(6326,2313);//  10
m_DocPixelsZENFHV[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4W][PAGE.P20] = new Array(6336,2313);//  20
m_DocPixelsZENFHV[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4W][PAGE.P30] = new Array(6346,2313);//  30
m_DocPixelsZENFHV[BS.A4W][PAGE.P40] = new Array(6346,2313);//  40
m_DocPixelsZENFHV[BS.A4W][PAGE.P50] = new Array(6357,2313);//  50
m_DocPixelsZENFHV[BS.A4W][PAGE.P60] = new Array(6357,2313);//  60
m_DocPixelsZENFHV[BS.A4W][PAGE.P70] = new Array(6377,2313);//  70
m_DocPixelsZENFHV[BS.A4W][PAGE.P80] = new Array(6377,2313);//  80
m_DocPixelsZENFHV[BS.A4W][PAGE.P90] = new Array(6398,2313);// 90
m_DocPixelsZENFHV[BS.A4W][PAGE.P100] = new Array(6398,2313);// 100
//A4SW
m_DocPixelsZENFHV[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4SW][PAGE.P10] = new Array(5630,2068);// 10
m_DocPixelsZENFHV[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsZENFHV[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4SW][PAGE.P20] = new Array(5640,2068);// 20
m_DocPixelsZENFHV[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsZENFHV[BS.A4SW][PAGE.P30] = new Array(5650,2068);// 30
m_DocPixelsZENFHV[BS.A4SW][PAGE.P40] = new Array(5650,2068);// 40
m_DocPixelsZENFHV[BS.A4SW][PAGE.P50] = new Array(5661,2068);// 50
m_DocPixelsZENFHV[BS.A4SW][PAGE.P60] = new Array(5661,2068);// 60
m_DocPixelsZENFHV[BS.A4SW][PAGE.P70] = new Array(5681,2068);// 70
m_DocPixelsZENFHV[BS.A4SW][PAGE.P80] = new Array(5681,2068);// 80
m_DocPixelsZENFHV[BS.A4SW][PAGE.P90] = new Array(5702,2068);//    90
m_DocPixelsZENFHV[BS.A4SW][PAGE.P100] = new Array(5702,2068);//    100
//A4Y v7 New
m_DocPixelsZENFHV[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHV[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHV[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHV[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHV[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHV[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHV[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHV[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHV[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHV[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsZENFHV[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsZENFHV[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsZENFHV[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsZENFHV[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsZENFHV[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsZENFHV[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsZENFHV[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsZENFHV[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsZENFHV[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsZENFHV[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsZENFHV[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsZENFHV[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsZENFHV[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsZENFHV[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsZENFHV[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsZENFHV[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsZENFHV[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsZENFHV[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//LX G
var m_DocPixelsLX = new Array(m_BaseSize.length);
m_DocPixelsLX[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsLX[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsLX[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsLX[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsLX[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsLX[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsLX[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsLX[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsLX[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsLX[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop
//A3Q
m_DocPixelsLX[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A3Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A3Q][PAGE.P20] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A3Q][PAGE.P30] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P40] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P50] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P60] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P70] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P80] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P90] = new Array(6306,3091);
m_DocPixelsLX[BS.A3Q][PAGE.P100] = new Array(6306,3091);
//A4Q
m_DocPixelsLX[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4Q][PAGE.P20] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4Q][PAGE.P30] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P40] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P50] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P60] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P70] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P80] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P90] = new Array(5282,2580);
m_DocPixelsLX[BS.A4Q][PAGE.P100] = new Array(5282,2580);
//B5Q
m_DocPixelsLX[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.B5Q][PAGE.P20] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.B5Q][PAGE.P30] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P40] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P50] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P60] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P70] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P80] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P90] = new Array(4647,2272);
m_DocPixelsLX[BS.B5Q][PAGE.P100] = new Array(4647,2272);
//A4
m_DocPixelsLX[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4][PAGE.P20] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4][PAGE.P30] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P40] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P50] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P60] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P70] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P80] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P90] = new Array(5098,3378);
m_DocPixelsLX[BS.A4][PAGE.P100] = new Array(5098,3378);
//A4S
m_DocPixelsLX[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4S][PAGE.P20] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4S][PAGE.P30] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P40] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P50] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P60] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P70] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P80] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P90] = new Array(4606,3030);
m_DocPixelsLX[BS.A4S][PAGE.P100] = new Array(4606,3030);
//A4W
m_DocPixelsLX[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4W][PAGE.P20] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4W][PAGE.P30] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P40] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P50] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P60] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P70] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P80] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P90] = new Array(6879,2487);
m_DocPixelsLX[BS.A4W][PAGE.P100] = new Array(6879,2487);
//A4SW
m_DocPixelsLX[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4SW][PAGE.P20] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsLX[BS.A4SW][PAGE.P30] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P40] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P50] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P60] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P70] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P80] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P90] = new Array(6183,2242);
m_DocPixelsLX[BS.A4SW][PAGE.P100] = new Array(6183,2242);
//A4Y v7 New
m_DocPixelsLX[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsLX[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsLX[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsLX[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsLX[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsLX[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsLX[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsLX[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsLX[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsLX[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsLX[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsLX[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsLX[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsLX[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsLX[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsLX[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsLX[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsLX[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsLX[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsLX[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsLX[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsLX[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsLX[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsLX[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsLX[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsLX[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsLX[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsLX[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsLX[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsLX[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//EX-F lami
var m_DocPixelsEXFL = new Array(m_BaseSize.length);
m_DocPixelsEXFL[BS.B4W]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A3V]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A3T]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.BS_30Q]  = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A3Q]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4Q]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.B5Q]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4]      = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4S]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4W]     = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4SW]    = new Array(m_Pages.length);
m_DocPixelsEXFL[BS.A4Y]     = new Array(m_Pages.length);    //v7 New
m_DocPixelsEXFL[BS.A4YW]    = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsEXFL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsEXFL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsEXFL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P20] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P30] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P40] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P50] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P60] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P70] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P80] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P90] = new Array(9735,3286);
m_DocPixelsEXFL[BS.BS_30Q][PAGE.P100] = new Array(9735,3286);
//A3Q
m_DocPixelsEXFL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A3Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A3Q][PAGE.P20] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A3Q][PAGE.P30] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P40] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P50] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P60] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P70] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P80] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P90] = new Array(8936,2887);
m_DocPixelsEXFL[BS.A3Q][PAGE.P100] = new Array(8936,2887);
//A4Q
m_DocPixelsEXFL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4Q][PAGE.P100] = new Array(0,0);//nop
//B5Q
m_DocPixelsEXFL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.B5Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.B5Q][PAGE.P100] = new Array(0,0);//nop
//A4
m_DocPixelsEXFL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4][PAGE.P100] = new Array(0,0);//nop
//A4S
m_DocPixelsEXFL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4S][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4S][PAGE.P100] = new Array(0,0);//nop
//A4W
m_DocPixelsEXFL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4W][PAGE.P100] = new Array(0,0);//nop
//A4SW
m_DocPixelsEXFL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4SW][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXFL[BS.A4SW][PAGE.P100] = new Array(0,0);//nop
//A4Y v7 New
m_DocPixelsEXFL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXFL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXFL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXFL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXFL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXFL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXFL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXFL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXFL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXFL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXFL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXFL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsEXFL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXFL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXFL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXFL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXFL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXFL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXFL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXFL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXFL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXFL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXFL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXFL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXFL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXFL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXFL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXFL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXFL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXFL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ART EX lami
var m_DocPixelsEXL = new Array(m_BaseSize.length);
m_DocPixelsEXL[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsEXL[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsEXL[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsEXL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsEXL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsEXL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A3T][PAGE.P20] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3T][PAGE.P30] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P40] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P50] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P60] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P70] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P80] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P90] = new Array(9080,3337);
m_DocPixelsEXL[BS.A3T][PAGE.P100] = new Array(9080,3337);
//30Q
m_DocPixelsEXL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.BS_30Q][PAGE.P20] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.BS_30Q][PAGE.P30] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P40] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P50] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P60] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P70] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P80] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P90] = new Array(9714,3286);
m_DocPixelsEXL[BS.BS_30Q][PAGE.P100] = new Array(9714,3286);
//A3Q
m_DocPixelsEXL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A3Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A3Q][PAGE.P20] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A3Q][PAGE.P30] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P40] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P50] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P60] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P70] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P80] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P90] = new Array(8916,2887);
m_DocPixelsEXL[BS.A3Q][PAGE.P100] = new Array(8916,2887);
//A4Q
m_DocPixelsEXL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4Q][PAGE.P20] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4Q][PAGE.P30] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P40] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P50] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P60] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P70] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P80] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P90] = new Array(7278,2375);
m_DocPixelsEXL[BS.A4Q][PAGE.P100] = new Array(7278,2375);
//B5Q
m_DocPixelsEXL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.B5Q][PAGE.P20] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.B5Q][PAGE.P30] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P40] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P50] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P60] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P70] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P80] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P90] = new Array(6254,2068);
m_DocPixelsEXL[BS.B5Q][PAGE.P100] = new Array(6254,2068);
//A4
m_DocPixelsEXL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4][PAGE.P20] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4][PAGE.P30] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P40] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P50] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P60] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P70] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P80] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P90] = new Array(7483,3204);
m_DocPixelsEXL[BS.A4][PAGE.P100] = new Array(7483,3204);
//A4S
m_DocPixelsEXL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4S][PAGE.P20] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4S][PAGE.P30] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P40] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P50] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P60] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P70] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P80] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P90] = new Array(6582,2856);
m_DocPixelsEXL[BS.A4S][PAGE.P100] = new Array(6582,2856);
//A4W
m_DocPixelsEXL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4W][PAGE.P20] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4W][PAGE.P30] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P40] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P50] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P60] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P70] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P80] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P90] = new Array(8957,2313);
m_DocPixelsEXL[BS.A4W][PAGE.P100] = new Array(8957,2313);
//A4SW
m_DocPixelsEXL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4SW][PAGE.P20] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXL[BS.A4SW][PAGE.P30] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P40] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P50] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P60] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P70] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P80] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P90] = new Array(7954,2068);
m_DocPixelsEXL[BS.A4SW][PAGE.P100] = new Array(7954,2068);
//A4Y v7 New
m_DocPixelsEXL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsEXL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ART EX vns
var m_DocPixelsEXV = new Array(m_BaseSize.length);
m_DocPixelsEXV[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsEXV[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsEXV[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsEXV[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsEXV[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsEXV[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A3T][PAGE.P20] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3T][PAGE.P30] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P40] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P50] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P60] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P70] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P80] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P90] = new Array(9080,3337);
m_DocPixelsEXV[BS.A3T][PAGE.P100] = new Array(9080,3337);
//30Q
m_DocPixelsEXV[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.BS_30Q][PAGE.P20] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.BS_30Q][PAGE.P30] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P40] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P50] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P60] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P70] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P80] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P90] = new Array(9714,3286);
m_DocPixelsEXV[BS.BS_30Q][PAGE.P100] = new Array(9714,3286);
//A3Q
m_DocPixelsEXV[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A3Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A3Q][PAGE.P20] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A3Q][PAGE.P30] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P40] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P50] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P60] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P70] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P80] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P90] = new Array(8916,2887);
m_DocPixelsEXV[BS.A3Q][PAGE.P100] = new Array(8916,2887);
//A4Q
m_DocPixelsEXV[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4Q][PAGE.P20] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4Q][PAGE.P30] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P40] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P50] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P60] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P70] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P80] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P90] = new Array(7278,2375);
m_DocPixelsEXV[BS.A4Q][PAGE.P100] = new Array(7278,2375);
//B5Q
m_DocPixelsEXV[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.B5Q][PAGE.P20] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.B5Q][PAGE.P30] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P40] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P50] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P60] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P70] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P80] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P90] = new Array(6254,2068);
m_DocPixelsEXV[BS.B5Q][PAGE.P100] = new Array(6254,2068);
//A4
m_DocPixelsEXV[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4][PAGE.P20] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4][PAGE.P30] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P40] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P50] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P60] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P70] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P80] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P90] = new Array(7483,3204);
m_DocPixelsEXV[BS.A4][PAGE.P100] = new Array(7483,3204);
//A4S
m_DocPixelsEXV[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4S][PAGE.P20] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4S][PAGE.P30] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P40] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P50] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P60] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P70] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P80] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P90] = new Array(6582,2856);
m_DocPixelsEXV[BS.A4S][PAGE.P100] = new Array(6582,2856);
//A4W
m_DocPixelsEXV[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4W][PAGE.P20] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4W][PAGE.P30] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P40] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P50] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P60] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P70] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P80] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P90] = new Array(8957,2313);
m_DocPixelsEXV[BS.A4W][PAGE.P100] = new Array(8957,2313);
//A4SW
m_DocPixelsEXV[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4SW][PAGE.P20] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsEXV[BS.A4SW][PAGE.P30] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P40] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P50] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P60] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P70] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P80] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P90] = new Array(7954,2068);
m_DocPixelsEXV[BS.A4SW][PAGE.P100] = new Array(7954,2068);
//A4Y v7 New
m_DocPixelsEXV[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXV[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXV[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXV[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXV[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXV[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXV[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXV[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXV[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXV[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXV[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXV[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsEXV[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsEXV[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsEXV[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsEXV[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsEXV[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsEXV[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsEXV[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsEXV[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsEXV[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsEXV[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsEXV[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsEXV[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsEXV[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsEXV[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsEXV[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsEXV[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsEXV[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsEXV[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ART HARD-F lami
var m_DocPixelsHFL = new Array(m_BaseSize.length);
m_DocPixelsHFL[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsHFL[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsHFL[BS.A4YW]     = new Array(m_Pages.length);    //v7 New

//B4W
m_DocPixelsHFL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsHFL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsHFL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsHFL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.BS_30Q][PAGE.P10] = new Array(6654,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.BS_30Q][PAGE.P20] = new Array(6664,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.BS_30Q][PAGE.P30] = new Array(6674,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P40] = new Array(6684,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P50] = new Array(6694,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P60] = new Array(6705,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P70] = new Array(6715,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P80] = new Array(6725,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P90] = new Array(6735,3286);
m_DocPixelsHFL[BS.BS_30Q][PAGE.P100] = new Array(6746,3286);
//A3Q
m_DocPixelsHFL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A3Q][PAGE.P10] = new Array(5855,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A3Q][PAGE.P20] = new Array(5865,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A3Q][PAGE.P30] = new Array(5876,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P40] = new Array(5886,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P50] = new Array(5896,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P60] = new Array(5906,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P70] = new Array(5917,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P80] = new Array(5927,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P90] = new Array(5937,2887);
m_DocPixelsHFL[BS.A3Q][PAGE.P100] = new Array(5947,2887);
//A4Q
m_DocPixelsHFL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4Q][PAGE.P100] = new Array(0,0);//nop
//B5Q
m_DocPixelsHFL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.B5Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.B5Q][PAGE.P100] = new Array(0,0);//nop
//A4
m_DocPixelsHFL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4][PAGE.P100] = new Array(0,0);//nop
//A4S
m_DocPixelsHFL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4S][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4S][PAGE.P100] = new Array(0,0);//nop
//A4W
m_DocPixelsHFL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4W][PAGE.P100] = new Array(0,0);//nop
//A4SW
m_DocPixelsHFL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4SW][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHFL[BS.A4SW][PAGE.P100] = new Array(0,0);//nop
//A4Y v7 New
m_DocPixelsHFL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHFL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHFL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHFL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHFL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHFL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHFL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHFL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHFL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHFL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHFL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHFL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsHFL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHFL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHFL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHFL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHFL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHFL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHFL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHFL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHFL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHFL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHFL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHFL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHFL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHFL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHFL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHFL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHFL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHFL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ART HARD lami
var m_DocPixelsHL = new Array(m_BaseSize.length);
m_DocPixelsHL[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsHL[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsHL[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsHL[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsHL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHL[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsHL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsHL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsHL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.BS_30Q][PAGE.P10] = new Array(6480,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.BS_30Q][PAGE.P20] = new Array(6510,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.BS_30Q][PAGE.P30] = new Array(6510,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P40] = new Array(6520,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P50] = new Array(6520,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P60] = new Array(6541,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P70] = new Array(6541,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P80] = new Array(6561,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P90] = new Array(6561,3286);
m_DocPixelsHL[BS.BS_30Q][PAGE.P100] = new Array(6582,3286);
//A3Q
m_DocPixelsHL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A3Q][PAGE.P10] = new Array(5681,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A3Q][PAGE.P20] = new Array(5712,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A3Q][PAGE.P30] = new Array(5712,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P40] = new Array(5722,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P50] = new Array(5722,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P60] = new Array(5743,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P70] = new Array(5743,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P80] = new Array(5763,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P90] = new Array(5763,2887);
m_DocPixelsHL[BS.A3Q][PAGE.P100] = new Array(5783,2887);
//A4Q
m_DocPixelsHL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4Q][PAGE.P10] = new Array(4657,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4Q][PAGE.P20] = new Array(4688,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4Q][PAGE.P30] = new Array(4688,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P40] = new Array(4698,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P50] = new Array(4698,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P60] = new Array(4719,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P70] = new Array(4719,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P80] = new Array(4739,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P90] = new Array(4739,2375);
m_DocPixelsHL[BS.A4Q][PAGE.P100] = new Array(4760,2375);
//B5Q
m_DocPixelsHL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.B5Q][PAGE.P10] = new Array(4043,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.B5Q][PAGE.P20] = new Array(4074,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.B5Q][PAGE.P30] = new Array(4074,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P40] = new Array(4084,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P50] = new Array(4084,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P60] = new Array(4105,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P70] = new Array(4105,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P80] = new Array(4125,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P90] = new Array(4125,2068);
m_DocPixelsHL[BS.B5Q][PAGE.P100] = new Array(4146,2068);
//A4
m_DocPixelsHL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4][PAGE.P10] = new Array(4535,3204);
m_DocPixelsHL[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4][PAGE.P20] = new Array(4565,3204);
m_DocPixelsHL[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4][PAGE.P30] = new Array(4565,3204);
m_DocPixelsHL[BS.A4][PAGE.P40] = new Array(4576,3204);
m_DocPixelsHL[BS.A4][PAGE.P50] = new Array(4576,3204);
m_DocPixelsHL[BS.A4][PAGE.P60] = new Array(4596,3204);
m_DocPixelsHL[BS.A4][PAGE.P70] = new Array(4596,3204);
m_DocPixelsHL[BS.A4][PAGE.P80] = new Array(4617,3204);
m_DocPixelsHL[BS.A4][PAGE.P90] = new Array(4617,3204);
m_DocPixelsHL[BS.A4][PAGE.P100] = new Array(4637,3204);
//A4S
m_DocPixelsHL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4S][PAGE.P10] = new Array(4043,2856);
m_DocPixelsHL[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4S][PAGE.P20] = new Array(4074,2856);
m_DocPixelsHL[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4S][PAGE.P30] = new Array(4074,2856);
m_DocPixelsHL[BS.A4S][PAGE.P40] = new Array(4084,2856);
m_DocPixelsHL[BS.A4S][PAGE.P50] = new Array(4084,2856);
m_DocPixelsHL[BS.A4S][PAGE.P60] = new Array(4105,2856);
m_DocPixelsHL[BS.A4S][PAGE.P70] = new Array(4105,2856);
m_DocPixelsHL[BS.A4S][PAGE.P80] = new Array(4125,2856);
m_DocPixelsHL[BS.A4S][PAGE.P90] = new Array(4125,2856);
m_DocPixelsHL[BS.A4S][PAGE.P100] = new Array(4146,2856);
//A4W
m_DocPixelsHL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4W][PAGE.P10] = new Array(6316,2313);
m_DocPixelsHL[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4W][PAGE.P20] = new Array(6346,2313);
m_DocPixelsHL[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4W][PAGE.P30] = new Array(6346,2313);
m_DocPixelsHL[BS.A4W][PAGE.P40] = new Array(6357,2313);
m_DocPixelsHL[BS.A4W][PAGE.P50] = new Array(6357,2313);
m_DocPixelsHL[BS.A4W][PAGE.P60] = new Array(6377,2313);
m_DocPixelsHL[BS.A4W][PAGE.P70] = new Array(6377,2313);
m_DocPixelsHL[BS.A4W][PAGE.P80] = new Array(6398,2313);
m_DocPixelsHL[BS.A4W][PAGE.P90] = new Array(6398,2313);
m_DocPixelsHL[BS.A4W][PAGE.P100] = new Array(6418,2313);
//A4SW
m_DocPixelsHL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4SW][PAGE.P10] = new Array(5620,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4SW][PAGE.P20] = new Array(5650,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHL[BS.A4SW][PAGE.P30] = new Array(5650,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P40] = new Array(5661,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P50] = new Array(5661,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P60] = new Array(5681,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P70] = new Array(5681,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P80] = new Array(5702,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P90] = new Array(5702,2068);
m_DocPixelsHL[BS.A4SW][PAGE.P100] = new Array(5722,2068);
//A4Y v7 New
m_DocPixelsHL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsHL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ART HARD vns
var m_DocPixelsHV = new Array(m_BaseSize.length);
m_DocPixelsHV[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsHV[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsHV[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsHV[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsHV[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHV[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsHV[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsHV[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsHV[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.BS_30Q][PAGE.P10] = new Array(6480,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.BS_30Q][PAGE.P20] = new Array(6500,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.BS_30Q][PAGE.P30] = new Array(6500,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P40] = new Array(6510,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P50] = new Array(6510,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P60] = new Array(6520,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P70] = new Array(6520,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P80] = new Array(6536,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P90] = new Array(6536,3286);
m_DocPixelsHV[BS.BS_30Q][PAGE.P100] = new Array(6546,3286);
//A3Q
m_DocPixelsHV[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A3Q][PAGE.P10] = new Array(5681,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A3Q][PAGE.P20] = new Array(5702,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A3Q][PAGE.P30] = new Array(5702,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P40] = new Array(5712,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P50] = new Array(5712,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P60] = new Array(5722,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P70] = new Array(5722,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P80] = new Array(5737,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P90] = new Array(5737,2887);
m_DocPixelsHV[BS.A3Q][PAGE.P100] = new Array(5748,2887);
//A4Q
m_DocPixelsHV[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4Q][PAGE.P10] = new Array(4657,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4Q][PAGE.P20] = new Array(4678,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4Q][PAGE.P30] = new Array(4678,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P40] = new Array(4688,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P50] = new Array(4688,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P60] = new Array(4698,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P70] = new Array(4698,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P80] = new Array(4714,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P90] = new Array(4714,2375);
m_DocPixelsHV[BS.A4Q][PAGE.P100] = new Array(4724,2375);
//B5Q
m_DocPixelsHV[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.B5Q][PAGE.P10] = new Array(4043,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.B5Q][PAGE.P20] = new Array(4064,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.B5Q][PAGE.P30] = new Array(4064,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P40] = new Array(4074,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P50] = new Array(4074,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P60] = new Array(4084,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P70] = new Array(4084,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P80] = new Array(4100,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P90] = new Array(4100,2068);
m_DocPixelsHV[BS.B5Q][PAGE.P100] = new Array(4110,2068);
//A4
m_DocPixelsHV[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4][PAGE.P10] = new Array(4535,3204);
m_DocPixelsHV[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4][PAGE.P20] = new Array(4555,3204);
m_DocPixelsHV[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4][PAGE.P30] = new Array(4555,3204);
m_DocPixelsHV[BS.A4][PAGE.P40] = new Array(4565,3204);
m_DocPixelsHV[BS.A4][PAGE.P50] = new Array(4565,3204);
m_DocPixelsHV[BS.A4][PAGE.P60] = new Array(4576,3204);
m_DocPixelsHV[BS.A4][PAGE.P70] = new Array(4576,3204);
m_DocPixelsHV[BS.A4][PAGE.P80] = new Array(4591,3204);
m_DocPixelsHV[BS.A4][PAGE.P90] = new Array(4591,3204);
m_DocPixelsHV[BS.A4][PAGE.P100] = new Array(4601,3204);
//A4S
m_DocPixelsHV[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4S][PAGE.P10] = new Array(4043,2856);
m_DocPixelsHV[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4S][PAGE.P20] = new Array(4064,2856);
m_DocPixelsHV[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4S][PAGE.P30] = new Array(4064,2856);
m_DocPixelsHV[BS.A4S][PAGE.P40] = new Array(4074,2856);
m_DocPixelsHV[BS.A4S][PAGE.P50] = new Array(4074,2856);
m_DocPixelsHV[BS.A4S][PAGE.P60] = new Array(4084,2856);
m_DocPixelsHV[BS.A4S][PAGE.P70] = new Array(4084,2856);
m_DocPixelsHV[BS.A4S][PAGE.P80] = new Array(4100,2856);
m_DocPixelsHV[BS.A4S][PAGE.P90] = new Array(4100,2856);
m_DocPixelsHV[BS.A4S][PAGE.P100] = new Array(4110,2856);
//A4W
m_DocPixelsHV[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4W][PAGE.P10] = new Array(6316,2313);
m_DocPixelsHV[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4W][PAGE.P20] = new Array(6336,2313);
m_DocPixelsHV[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4W][PAGE.P30] = new Array(6336,2313);
m_DocPixelsHV[BS.A4W][PAGE.P40] = new Array(6346,2313);
m_DocPixelsHV[BS.A4W][PAGE.P50] = new Array(6346,2313);
m_DocPixelsHV[BS.A4W][PAGE.P60] = new Array(6357,2313);
m_DocPixelsHV[BS.A4W][PAGE.P70] = new Array(6357,2313);
m_DocPixelsHV[BS.A4W][PAGE.P80] = new Array(6372,2313);
m_DocPixelsHV[BS.A4W][PAGE.P90] = new Array(6372,2313);
m_DocPixelsHV[BS.A4W][PAGE.P100] = new Array(6382,2313);
//A4SW
m_DocPixelsHV[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4SW][PAGE.P10] = new Array(5620,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4SW][PAGE.P20] = new Array(5640,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsHV[BS.A4SW][PAGE.P30] = new Array(5640,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P40] = new Array(5650,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P50] = new Array(5650,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P60] = new Array(5661,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P70] = new Array(5661,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P80] = new Array(5676,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P90] = new Array(5676,2068);
m_DocPixelsHV[BS.A4SW][PAGE.P100] = new Array(5686,2068);
//A4Y v7 New
m_DocPixelsHV[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHV[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHV[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHV[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHV[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHV[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHV[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHV[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHV[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHV[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHV[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHV[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsHV[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsHV[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsHV[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsHV[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsHV[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsHV[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsHV[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsHV[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsHV[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsHV[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsHV[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsHV[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsHV[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsHV[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsHV[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsHV[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsHV[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsHV[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ATTACH lami
var m_DocPixelsATL = new Array(m_BaseSize.length);
m_DocPixelsATL[BS.B4W]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A3V]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A3T]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.BS_30Q]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A3Q]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4Q]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.B5Q]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4S]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4W]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4SW]  = new Array(m_Pages.length);
m_DocPixelsATL[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsATL[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsATL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATL[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsATL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsATL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsATL[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATL[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop
//A3Q
m_DocPixelsATL[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A3Q][PAGE.P10] = new Array(5415,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A3Q][PAGE.P20] = new Array(5425,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A3Q][PAGE.P30] = new Array(5435,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P40] = new Array(5446,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P50] = new Array(5456,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P60] = new Array(5461,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P70] = new Array(5471,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P80] = new Array(5476,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P90] = new Array(5487,2723);
m_DocPixelsATL[BS.A3Q][PAGE.P100] = new Array(5497,2723);
//A4Q
m_DocPixelsATL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4Q][PAGE.P10] = new Array(4391,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4Q][PAGE.P20] = new Array(4402,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4Q][PAGE.P30] = new Array(4412,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P40] = new Array(4422,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P50] = new Array(4432,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P60] = new Array(4437,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P70] = new Array(4448,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P80] = new Array(4453,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P90] = new Array(4463,2211);
m_DocPixelsATL[BS.A4Q][PAGE.P100] = new Array(4473,2211);
//B5Q
m_DocPixelsATL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.B5Q][PAGE.P10] = new Array(3777,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.B5Q][PAGE.P20] = new Array(3787,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.B5Q][PAGE.P30] = new Array(3798,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P40] = new Array(3808,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P50] = new Array(3818,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P60] = new Array(3823,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P70] = new Array(3833,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P80] = new Array(3839,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P90] = new Array(3849,1904);
m_DocPixelsATL[BS.B5Q][PAGE.P100] = new Array(3859,1904);
//A4
m_DocPixelsATL[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4][PAGE.P10] = new Array(4269,3040);
m_DocPixelsATL[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4][PAGE.P20] = new Array(4279,3040);
m_DocPixelsATL[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4][PAGE.P30] = new Array(4289,3040);
m_DocPixelsATL[BS.A4][PAGE.P40] = new Array(4299,3040);
m_DocPixelsATL[BS.A4][PAGE.P50] = new Array(4309,3040);
m_DocPixelsATL[BS.A4][PAGE.P60] = new Array(4315,3040);
m_DocPixelsATL[BS.A4][PAGE.P70] = new Array(4325,3040);
m_DocPixelsATL[BS.A4][PAGE.P80] = new Array(4330,3040);
m_DocPixelsATL[BS.A4][PAGE.P90] = new Array(4340,3040);
m_DocPixelsATL[BS.A4][PAGE.P100] = new Array(4350,3040);
//A4S
m_DocPixelsATL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4S][PAGE.P10] = new Array(3777,2692);
m_DocPixelsATL[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4S][PAGE.P20] = new Array(3787,2692);
m_DocPixelsATL[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4S][PAGE.P30] = new Array(3798,2692);
m_DocPixelsATL[BS.A4S][PAGE.P40] = new Array(3808,2692);
m_DocPixelsATL[BS.A4S][PAGE.P50] = new Array(3818,2692);
m_DocPixelsATL[BS.A4S][PAGE.P60] = new Array(3823,2692);
m_DocPixelsATL[BS.A4S][PAGE.P70] = new Array(3833,2692);
m_DocPixelsATL[BS.A4S][PAGE.P80] = new Array(3839,2692);
m_DocPixelsATL[BS.A4S][PAGE.P90] = new Array(3849,2692);
m_DocPixelsATL[BS.A4S][PAGE.P100] = new Array(3859,2692);
//A4W
m_DocPixelsATL[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4W][PAGE.P10] = new Array(6050,2150);
m_DocPixelsATL[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4W][PAGE.P20] = new Array(6060,2150);
m_DocPixelsATL[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4W][PAGE.P30] = new Array(6070,2150);
m_DocPixelsATL[BS.A4W][PAGE.P40] = new Array(6080,2150);
m_DocPixelsATL[BS.A4W][PAGE.P50] = new Array(6091,2150);
m_DocPixelsATL[BS.A4W][PAGE.P60] = new Array(6096,2150);
m_DocPixelsATL[BS.A4W][PAGE.P70] = new Array(6106,2150);
m_DocPixelsATL[BS.A4W][PAGE.P80] = new Array(6111,2150);
m_DocPixelsATL[BS.A4W][PAGE.P90] = new Array(6121,2150);
m_DocPixelsATL[BS.A4W][PAGE.P100] = new Array(6131,2150);
//A4SW
m_DocPixelsATL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4SW][PAGE.P10] = new Array(5354,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4SW][PAGE.P20] = new Array(5364,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATL[BS.A4SW][PAGE.P30] = new Array(5374,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P40] = new Array(5384,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P50] = new Array(5394,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P60] = new Array(5400,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P70] = new Array(5410,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P80] = new Array(5415,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P90] = new Array(5425,1904);
m_DocPixelsATL[BS.A4SW][PAGE.P100] = new Array(5435,1904);
//A4Y v7 New
m_DocPixelsATL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsATL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsATL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsATL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsATL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsATL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsATL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsATL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsATL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsATL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsATL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsATL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsATL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsATL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsATL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsATL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsATL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsATL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsATL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsATL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsATL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsATL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsATL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsATL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ATTACH vns
var m_DocPixelsATV = new Array(m_BaseSize.length);
m_DocPixelsATV[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsATV[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsATV[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsATV[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsATV[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATV[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsATV[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsATV[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsATV[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsATV[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop
//A3Q
m_DocPixelsATV[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A3Q][PAGE.P10] = new Array(5415,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A3Q][PAGE.P20] = new Array(5420,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A3Q][PAGE.P30] = new Array(5425,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P40] = new Array(5430,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P50] = new Array(5441,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P60] = new Array(5446,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P70] = new Array(5456,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P80] = new Array(5461,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P90] = new Array(5471,2723);
m_DocPixelsATV[BS.A3Q][PAGE.P100] = new Array(5481,2723);
//A4Q
m_DocPixelsATV[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4Q][PAGE.P10] = new Array(4391,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4Q][PAGE.P20] = new Array(4396,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4Q][PAGE.P30] = new Array(4402,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P40] = new Array(4407,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P50] = new Array(4417,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P60] = new Array(4422,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P70] = new Array(4432,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P80] = new Array(4437,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P90] = new Array(4448,2211);
m_DocPixelsATV[BS.A4Q][PAGE.P100] = new Array(4458,2211);
//B5Q
m_DocPixelsATV[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.B5Q][PAGE.P10] = new Array(3777,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.B5Q][PAGE.P20] = new Array(3782,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.B5Q][PAGE.P30] = new Array(3787,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P40] = new Array(3793,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P50] = new Array(3803,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P60] = new Array(3808,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P70] = new Array(3818,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P80] = new Array(3823,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P90] = new Array(3833,1904);
m_DocPixelsATV[BS.B5Q][PAGE.P100] = new Array(3844,1904);
//A4
m_DocPixelsATV[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4][PAGE.P10] = new Array(4269,3040);
m_DocPixelsATV[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4][PAGE.P20] = new Array(4274,3040);
m_DocPixelsATV[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4][PAGE.P30] = new Array(4279,3040);
m_DocPixelsATV[BS.A4][PAGE.P40] = new Array(4284,3040);
m_DocPixelsATV[BS.A4][PAGE.P50] = new Array(4294,3040);
m_DocPixelsATV[BS.A4][PAGE.P60] = new Array(4299,3040);
m_DocPixelsATV[BS.A4][PAGE.P70] = new Array(4309,3040);
m_DocPixelsATV[BS.A4][PAGE.P80] = new Array(4315,3040);
m_DocPixelsATV[BS.A4][PAGE.P90] = new Array(4325,3040);
m_DocPixelsATV[BS.A4][PAGE.P100] = new Array(4335,3040);
//A4S
m_DocPixelsATV[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4S][PAGE.P10] = new Array(3777,2692);
m_DocPixelsATV[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4S][PAGE.P20] = new Array(3782,2692);
m_DocPixelsATV[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4S][PAGE.P30] = new Array(3787,2692);
m_DocPixelsATV[BS.A4S][PAGE.P40] = new Array(3793,2692);
m_DocPixelsATV[BS.A4S][PAGE.P50] = new Array(3803,2692);
m_DocPixelsATV[BS.A4S][PAGE.P60] = new Array(3808,2692);
m_DocPixelsATV[BS.A4S][PAGE.P70] = new Array(3818,2692);
m_DocPixelsATV[BS.A4S][PAGE.P80] = new Array(3823,2692);
m_DocPixelsATV[BS.A4S][PAGE.P90] = new Array(3833,2692);
m_DocPixelsATV[BS.A4S][PAGE.P100] = new Array(3844,2692);
//A4W
m_DocPixelsATV[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4W][PAGE.P10] = new Array(6050,2150);
m_DocPixelsATV[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4W][PAGE.P20] = new Array(6055,2150);
m_DocPixelsATV[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4W][PAGE.P30] = new Array(6060,2150);
m_DocPixelsATV[BS.A4W][PAGE.P40] = new Array(6065,2150);
m_DocPixelsATV[BS.A4W][PAGE.P50] = new Array(6075,2150);
m_DocPixelsATV[BS.A4W][PAGE.P60] = new Array(6080,2150);
m_DocPixelsATV[BS.A4W][PAGE.P70] = new Array(6091,2150);
m_DocPixelsATV[BS.A4W][PAGE.P80] = new Array(6096,2150);
m_DocPixelsATV[BS.A4W][PAGE.P90] = new Array(6106,2150);
m_DocPixelsATV[BS.A4W][PAGE.P100] = new Array(6116,2150);
//A4SW
m_DocPixelsATV[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4SW][PAGE.P10] = new Array(5354,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4SW][PAGE.P20] = new Array(5359,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsATV[BS.A4SW][PAGE.P30] = new Array(5364,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P40] = new Array(5369,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P50] = new Array(5379,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P60] = new Array(5384,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P70] = new Array(5394,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P80] = new Array(5400,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P90] = new Array(5410,1904);
m_DocPixelsATV[BS.A4SW][PAGE.P100] = new Array(5420,1904);
//A4Y v7 New
m_DocPixelsATV[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsATV[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsATV[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsATV[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsATV[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsATV[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsATV[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsATV[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsATV[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsATV[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsATV[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsATV[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsATV[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsATV[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsATV[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsATV[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsATV[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsATV[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsATV[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsATV[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsATV[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsATV[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsATV[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsATV[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsATV[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsATV[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsATV[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsATV[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsATV[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsATV[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//SOFT vns
var m_DocPixelsS = new Array(m_BaseSize.length);
m_DocPixelsS[BS.B4W]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A3V]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A3T]    = new Array(m_Pages.length);
m_DocPixelsS[BS.BS_30Q] = new Array(m_Pages.length);
m_DocPixelsS[BS.A3Q]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A4Q]    = new Array(m_Pages.length);
m_DocPixelsS[BS.B5Q]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A4]     = new Array(m_Pages.length);
m_DocPixelsS[BS.A4S]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A4W]    = new Array(m_Pages.length);
m_DocPixelsS[BS.A4SW]   = new Array(m_Pages.length);
m_DocPixelsS[BS.A4Y]    = new Array(m_Pages.length);    //v7 New
m_DocPixelsS[BS.A4YW]   = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsS[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsS[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsS[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsS[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop
//A3Q
m_DocPixelsS[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A3Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A3Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P40] = new Array(5579,2723);
m_DocPixelsS[BS.A3Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P60] = new Array(5594,2723);
m_DocPixelsS[BS.A3Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P80] = new Array(5609,2723);
m_DocPixelsS[BS.A3Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A3Q][PAGE.P100] = new Array(0,0);//nop
//A4Q
m_DocPixelsS[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P40] = new Array(4514,2211);
m_DocPixelsS[BS.A4Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P60] = new Array(4530,2211);
m_DocPixelsS[BS.A4Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P80] = new Array(4545,2211);
m_DocPixelsS[BS.A4Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A4Q][PAGE.P100] = new Array(0,0);//nop
//B5Q
m_DocPixelsS[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.B5Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.B5Q][PAGE.P100] = new Array(0,0);//nop
//A4
m_DocPixelsS[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A4][PAGE.P100] = new Array(0,0);//nop
//A4S
m_DocPixelsS[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4S][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A4S][PAGE.P100] = new Array(0,0);//nop
//A4W
m_DocPixelsS[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A4W][PAGE.P100] = new Array(0,0);//nop
//A4SW
m_DocPixelsS[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4SW][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsS[BS.A4SW][PAGE.P100] = new Array(0,0);//nop
//A4Y v7 New
m_DocPixelsS[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsS[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsS[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsS[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsS[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsS[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsS[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsS[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsS[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsS[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsS[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsS[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsS[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsS[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsS[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsS[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsS[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsS[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsS[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsS[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsS[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsS[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsS[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsS[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsS[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsS[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsS[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsS[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsS[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsS[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//BOARD-Premium
var m_DocPixelsBDP = new Array(m_BaseSize.length);
m_DocPixelsBDP[BS.B4W]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A3V]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A3T]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.BS_30Q]   = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A3Q]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4Q]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.B5Q]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4]       = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4S]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4W]      = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4SW]     = new Array(m_Pages.length);
m_DocPixelsBDP[BS.A4Y]      = new Array(m_Pages.length);    //v7 New
m_DocPixelsBDP[BS.A4YW]     = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsBDP[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.B4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsBDP[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A3V][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsBDP[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsBDP[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.BS_30Q][PAGE.P10] = new Array(6613,3368);//10
m_DocPixelsBDP[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsBDP[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.BS_30Q][PAGE.P20] = new Array(6694,3368);// 20
m_DocPixelsBDP[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsBDP[BS.BS_30Q][PAGE.P30] = new Array(6746,3368);// 30
m_DocPixelsBDP[BS.BS_30Q][PAGE.P40] = new Array(6797,3368);// 40
m_DocPixelsBDP[BS.BS_30Q][PAGE.P50] = new Array(6950,3368);// 50
m_DocPixelsBDP[BS.BS_30Q][PAGE.P60] = new Array(7002,3368);// 60
m_DocPixelsBDP[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDP[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDP[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsBDP[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A3Q][PAGE.P10] = new Array(5814,2969);// 10
m_DocPixelsBDP[BS.A3Q][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsBDP[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A3Q][PAGE.P20] = new Array(5896,2969); //20
m_DocPixelsBDP[BS.A3Q][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsBDP[BS.A3Q][PAGE.P30] = new Array(5947,2969); // 30
m_DocPixelsBDP[BS.A3Q][PAGE.P40] = new Array(5998,2969); // 40
m_DocPixelsBDP[BS.A3Q][PAGE.P50] = new Array(6152,2969);// 50
m_DocPixelsBDP[BS.A3Q][PAGE.P60] = new Array(6203,2969);// 60
m_DocPixelsBDP[BS.A3Q][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDP[BS.A3Q][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDP[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q   v6New
m_DocPixelsBDP[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4Q][PAGE.P10] = new Array(4791,2457);// 10
m_DocPixelsBDP[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDP[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4Q][PAGE.P20] = new Array(4872,2457);// 20
m_DocPixelsBDP[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDP[BS.A4Q][PAGE.P30] = new Array(4924,2457);// 30
m_DocPixelsBDP[BS.A4Q][PAGE.P40] = new Array(4975,2457);// 40
m_DocPixelsBDP[BS.A4Q][PAGE.P50] = new Array(5128,2457);// 50
m_DocPixelsBDP[BS.A4Q][PAGE.P60] = new Array(5180,2457);// 60
m_DocPixelsBDP[BS.A4Q][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDP[BS.A4Q][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDP[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsBDP[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.B5Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.B5Q][PAGE.P100] = new Array(0,0);//nop
//A4
m_DocPixelsBDP[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4][PAGE.P10] = new Array(4668,3286);// 10
m_DocPixelsBDP[BS.A4][PAGE.P12] = new Array(0,0);// 12
m_DocPixelsBDP[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4][PAGE.P20] = new Array(4750,3286);// 20
m_DocPixelsBDP[BS.A4][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsBDP[BS.A4][PAGE.P30] = new Array(4801,3286);// 30
m_DocPixelsBDP[BS.A4][PAGE.P40] = new Array(4852,3286);// 40
m_DocPixelsBDP[BS.A4][PAGE.P50] = new Array(5006,3286);// 50
m_DocPixelsBDP[BS.A4][PAGE.P60] = new Array(5057,3286);// 60
m_DocPixelsBDP[BS.A4][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDP[BS.A4][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDP[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsBDP[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4S][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4S][PAGE.P100] = new Array(0,0);//nop
//A4W
m_DocPixelsBDP[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4W][PAGE.P10] = new Array(6449,2395);// 10
m_DocPixelsBDP[BS.A4W][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsBDP[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4W][PAGE.P20] = new Array(6531,2395);// 20
m_DocPixelsBDP[BS.A4W][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsBDP[BS.A4W][PAGE.P30] = new Array(6582,2395);// 30
m_DocPixelsBDP[BS.A4W][PAGE.P40] = new Array(6633,2395);// 40
m_DocPixelsBDP[BS.A4W][PAGE.P50] = new Array(6787,2395);// 50
m_DocPixelsBDP[BS.A4W][PAGE.P60] = new Array(6838,2395);// 60
m_DocPixelsBDP[BS.A4W][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDP[BS.A4W][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDP[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsBDP[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4SW][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBDP[BS.A4SW][PAGE.P100] = new Array(0,0);//nop
//A4Y v7 New
m_DocPixelsBDP[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDP[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDP[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDP[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDP[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDP[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDP[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDP[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDP[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDP[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDP[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsBDP[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDP[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDP[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDP[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDP[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDP[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDP[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDP[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDP[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDP[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDP[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDP[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDP[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDP[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDP[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDP[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDP[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDP[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//BOARD to (BOARD or STITCH)
var m_DocPixelsBD = new Array(m_BaseSize.length);
m_DocPixelsBD[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsBD[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsBD[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsBD[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsBD[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.B4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P12] = new Array(5804,3869);
m_DocPixelsBD[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.B4W][PAGE.P20] = new Array(5804,3869);
m_DocPixelsBD[BS.B4W][PAGE.P28] = new Array(5824,3869);
m_DocPixelsBD[BS.B4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.B4W][PAGE.P100] = new Array(0,0);//nop
//A3V
m_DocPixelsBD[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A3V][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P12] = new Array(5804,3869);
m_DocPixelsBD[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A3V][PAGE.P20] = new Array(5804,3869);
m_DocPixelsBD[BS.A3V][PAGE.P28] = new Array(5824,3869);
m_DocPixelsBD[BS.A3V][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3V][PAGE.P100] = new Array(0,0);//nop
//A3T
m_DocPixelsBD[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A3T][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A3T][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3T][PAGE.P100] = new Array(0,0);//nop
//30Q
m_DocPixelsBD[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop
//A3Q
m_DocPixelsBD[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A3Q][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsBD[BS.A3Q][PAGE.P12] = new Array(5824,2794); //12
m_DocPixelsBD[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A3Q][PAGE.P20] = new Array(5824,2794); //20
m_DocPixelsBD[BS.A3Q][PAGE.P22] = new Array(5824,2794); //22 v13 new
m_DocPixelsBD[BS.A3Q][PAGE.P28] = new Array(5845,2794); //28
m_DocPixelsBD[BS.A3Q][PAGE.P30] = new Array(5845,2794); //30 v13 fix
m_DocPixelsBD[BS.A3Q][PAGE.P40] = new Array(5876,2794); //40 v13 fix
m_DocPixelsBD[BS.A3Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A3Q][PAGE.P100] = new Array(0,0);//nop
//A4Q
m_DocPixelsBD[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P12] = new Array(4852,2272);//12     v9 fix
m_DocPixelsBD[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4Q][PAGE.P20] = new Array(4893,2272);//20     v9 fix
m_DocPixelsBD[BS.A4Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4Q][PAGE.P100] = new Array(0,0);//nop
//B5Q
m_DocPixelsBD[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.B5Q][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.B5Q][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.B5Q][PAGE.P100] = new Array(0,0);//nop
//A4
m_DocPixelsBD[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P12] = new Array(4657,3102);
m_DocPixelsBD[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4][PAGE.P20] = new Array(4657,3102);
m_DocPixelsBD[BS.A4][PAGE.P28] = new Array(4678,3102);
m_DocPixelsBD[BS.A4][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4][PAGE.P100] = new Array(0,0);//nop
//A4S
m_DocPixelsBD[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4S][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4S][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4S][PAGE.P100] = new Array(0,0);//nop
//A4W
m_DocPixelsBD[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4W][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4W][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4W][PAGE.P100] = new Array(0,0);//nop
//A4SW
m_DocPixelsBD[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4SW][PAGE.P10] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P12] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4SW][PAGE.P20] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P28] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P30] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P40] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P50] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P60] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P70] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P80] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P90] = new Array(0,0);//nop
m_DocPixelsBD[BS.A4SW][PAGE.P100] = new Array(0,0);//nop
//A4Y v7 New
m_DocPixelsBD[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBD[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBD[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBD[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBD[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBD[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBD[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBD[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBD[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBD[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBD[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBD[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsBD[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBD[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBD[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBD[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBD[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBD[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBD[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBD[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBD[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBD[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBD[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBD[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBD[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBD[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBD[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBD[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBD[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBD[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//プロモーションブックDVD/CD
var m_DocPixelsPB = new Array(m_BaseSize.length);
m_DocPixelsPB[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsPB[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsPB[BS.A4Y]       = new Array(m_Pages.length);    //v7 New
m_DocPixelsPB[BS.A4YW]      = new Array(m_Pages.length);    //v7 New
//B4W
m_DocPixelsPB[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsPB[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsPB[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsPB[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsPB[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A3Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A3Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A3Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A3Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A3Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A3Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A3Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A3Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q
m_DocPixelsPB[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsPB[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
//A4
m_DocPixelsPB[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4][PAGE.P6] = new Array(4274,3040);//  6
m_DocPixelsPB[BS.A4][PAGE.P8] = new Array(4279,3040);//  8
m_DocPixelsPB[BS.A4][PAGE.P10] = new Array(4289,3040);//  10
m_DocPixelsPB[BS.A4][PAGE.P12] = new Array(4299,3040);//  12
m_DocPixelsPB[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsPB[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsPB[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsPB[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsPB[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsPB[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsPB[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsPB[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsPB[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsPB[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsPB[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsPB[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsPB[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsPB[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsPB[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y v7 New
m_DocPixelsPB[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW v7 New
m_DocPixelsPB[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPB[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPB[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPB[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPB[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPB[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPB[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPB[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPB[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPB[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPB[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPB[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPB[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPB[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPB[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPB[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPB[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPB[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//KINARIプレミアム   //v7 New
var m_DocPixelsKINARIP = new Array(m_BaseSize.length);
m_DocPixelsKINARIP[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsKINARIP[BS.A4YW]      = new Array(m_Pages.length);
//B4W
m_DocPixelsKINARIP[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsKINARIP[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsKINARIP[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsKINARIP[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A3Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A3Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A3Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A3Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A3Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A3Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A3Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A3Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q
m_DocPixelsKINARIP[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A4Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A4Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A4Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsKINARIP[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
//A4
m_DocPixelsKINARIP[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsKINARIP[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsKINARIP[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsKINARIP[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsKINARIP[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsKINARIP[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsKINARIP[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsKINARIP[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsKINARIP[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsKINARIP[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsKINARIP[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsKINARIP[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsKINARIP[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsKINARIP[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsKINARIP[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsKINARIP[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsKINARIP[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsKINARIP[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsKINARIP[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsKINARIP[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsKINARIP[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsKINARIP[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsKINARIP[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsKINARIP[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y
m_DocPixelsKINARIP[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4Y][PAGE.P10] = new Array(4995,3204);//  10
m_DocPixelsKINARIP[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4Y][PAGE.P20] = new Array(5016,3204);//  20
m_DocPixelsKINARIP[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4Y][PAGE.P30] = new Array(5036,3204);//  30
m_DocPixelsKINARIP[BS.A4Y][PAGE.P40] = new Array(5057,3204);//  40
m_DocPixelsKINARIP[BS.A4Y][PAGE.P50] = new Array(5077,3204);//  50
m_DocPixelsKINARIP[BS.A4Y][PAGE.P60] = new Array(5098,3204);//  60
m_DocPixelsKINARIP[BS.A4Y][PAGE.P70] = new Array(5118,3204);//  70
m_DocPixelsKINARIP[BS.A4Y][PAGE.P80] = new Array(5139,3204);//  80
m_DocPixelsKINARIP[BS.A4Y][PAGE.P90] = new Array(5159,3204);//  90
m_DocPixelsKINARIP[BS.A4Y][PAGE.P100] = new Array(5159,3204);// 100
//A4YW
m_DocPixelsKINARIP[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsKINARIP[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsKINARIP[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsKINARIP[BS.A4YW][PAGE.P10] = new Array(6326,2539);//  10
m_DocPixelsKINARIP[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsKINARIP[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsKINARIP[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsKINARIP[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsKINARIP[BS.A4YW][PAGE.P20] = new Array(6346,2539);//  20
m_DocPixelsKINARIP[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsKINARIP[BS.A4YW][PAGE.P30] = new Array(6367,2539);//  30
m_DocPixelsKINARIP[BS.A4YW][PAGE.P40] = new Array(6387,2539);//  40
m_DocPixelsKINARIP[BS.A4YW][PAGE.P50] = new Array(6408,2539);//  50
m_DocPixelsKINARIP[BS.A4YW][PAGE.P60] = new Array(6428,2539);//  60
m_DocPixelsKINARIP[BS.A4YW][PAGE.P70] = new Array(6449,2539);//  70
m_DocPixelsKINARIP[BS.A4YW][PAGE.P80] = new Array(6469,2539);//  80
m_DocPixelsKINARIP[BS.A4YW][PAGE.P90] = new Array(6490,2539);//  90
m_DocPixelsKINARIP[BS.A4YW][PAGE.P100] = new Array(6490,2539);// 100


//ピクチャーBOOK //v7 New
var m_DocPixelsPICBOOK = new Array(m_BaseSize.length);
m_DocPixelsPICBOOK[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsPICBOOK[BS.A4YW]      = new Array(m_Pages.length);
//B4W
m_DocPixelsPICBOOK[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsPICBOOK[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsPICBOOK[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P4] = new Array(4535,2272);//  4
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P6] = new Array(4550,2272);//  6
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P8] = new Array(4565,2272);//  8
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P10] = new Array(4586,2272);//  10
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P12] = new Array(4596,2272);//  12
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
//A4
m_DocPixelsPICBOOK[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsPICBOOK[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsPICBOOK[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsPICBOOK[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsPICBOOK[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100


//conte        //v8 new
//conteは表紙(000000.*)が存在しないため1ページ目のサイズ
var m_DocPixelsCONTE = new Array(m_BaseSize.length);
m_DocPixelsCONTE[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.CD]        = new Array(m_Pages.length); //v14 new
m_DocPixelsCONTE[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsCONTE[BS.A4YW]      = new Array(m_Pages.length);
//B4W
m_DocPixelsCONTE[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsCONTE[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsCONTE[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsCONTE[BS.A3Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A3Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A3Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A3Q][PAGE.P10] = new Array(2817,2838);//10
m_DocPixelsCONTE[BS.A3Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A3Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A3Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A3Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A3Q][PAGE.P20] = new Array(2817,2838);//20
m_DocPixelsCONTE[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A3Q][PAGE.P30] = new Array(2817,2838);//30
m_DocPixelsCONTE[BS.A3Q][PAGE.P40] = new Array(2817,2838);//40
m_DocPixelsCONTE[BS.A3Q][PAGE.P50] = new Array(2817,2838);//50
m_DocPixelsCONTE[BS.A3Q][PAGE.P60] = new Array(2817,2838);//60
m_DocPixelsCONTE[BS.A3Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A3Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q
m_DocPixelsCONTE[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4Q][PAGE.P10] = new Array(2283,2305);//10
m_DocPixelsCONTE[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4Q][PAGE.P20] = new Array(2283,2305);//20
m_DocPixelsCONTE[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4Q][PAGE.P30] = new Array(2283,2305);//30
m_DocPixelsCONTE[BS.A4Q][PAGE.P40] = new Array(2283,2305);//40
m_DocPixelsCONTE[BS.A4Q][PAGE.P50] = new Array(2283,2305);//50
m_DocPixelsCONTE[BS.A4Q][PAGE.P60] = new Array(2283,2305);//60
m_DocPixelsCONTE[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsCONTE[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
// CD
m_DocPixelsCONTE[BS.CD][PAGE.P10] = new Array(1366,1387);//10  //v14 new
m_DocPixelsCONTE[BS.CD][PAGE.P20] = new Array(1366,1387);//20  //v14 new
m_DocPixelsCONTE[BS.CD][PAGE.P30] = new Array(1366,1387);//30  //v14 new
m_DocPixelsCONTE[BS.CD][PAGE.P40] = new Array(1366,1387);//40  //v14 new
m_DocPixelsCONTE[BS.CD][PAGE.P50] = new Array(1366,1387);//50  //v14 new
m_DocPixelsCONTE[BS.CD][PAGE.P60] = new Array(1366,1387);//60  //v14 new
//A4
m_DocPixelsCONTE[BS.A4][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A4][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsCONTE[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsCONTE[BS.A4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsCONTE[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsCONTE[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsCONTE[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsCONTE[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsCONTE[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsCONTE[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsCONTE[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsCONTE[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsCONTE[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsCONTE[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsCONTE[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsCONTE[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y
m_DocPixelsCONTE[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW
m_DocPixelsCONTE[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsCONTE[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsCONTE[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsCONTE[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsCONTE[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsCONTE[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsCONTE[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsCONTE[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsCONTE[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsCONTE[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsCONTE[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsCONTE[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsCONTE[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsCONTE[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsCONTE[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsCONTE[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsCONTE[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsCONTE[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ボードライト    //v8  new
var m_DocPixelsBDL = new Array(m_BaseSize.length);
m_DocPixelsBDL[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsBDL[BS.A4YW]      = new Array(m_Pages.length);
//B4W
m_DocPixelsBDL[BS.B4W][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.B4W][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.B4W][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.B4W][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.B4W][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.B4W][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.B4W][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.B4W][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.B4W][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.B4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.B4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.B4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.B4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.B4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.B4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.B4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.B4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.B4W][PAGE.P100] = new Array(0,0);//nop 100
//A3V
m_DocPixelsBDL[BS.A3V][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A3V][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A3V][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A3V][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A3V][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A3V][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A3V][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A3V][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A3V][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A3V][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A3V][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A3V][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A3V][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A3V][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A3V][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A3V][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A3V][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A3V][PAGE.P100] = new Array(0,0);//nop 100
//A3T
m_DocPixelsBDL[BS.A3T][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A3T][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A3T][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A3T][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A3T][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A3T][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A3T][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A3T][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A3T][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A3T][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A3T][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A3T][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A3T][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A3T][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A3T][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A3T][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A3T][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A3T][PAGE.P100] = new Array(0,0);//nop 100
//30Q
m_DocPixelsBDL[BS.BS_30Q][PAGE.P4] = new Array(6490,3235);//4
m_DocPixelsBDL[BS.BS_30Q][PAGE.P6] = new Array(6490,3235);//6
m_DocPixelsBDL[BS.BS_30Q][PAGE.P8] = new Array(6490,3235);//8
m_DocPixelsBDL[BS.BS_30Q][PAGE.P10] = new Array(6490,3235);//10
m_DocPixelsBDL[BS.BS_30Q][PAGE.P12] = new Array(6510,3235);//12
m_DocPixelsBDL[BS.BS_30Q][PAGE.P14] = new Array(6510,3235);//14  v8 new
m_DocPixelsBDL[BS.BS_30Q][PAGE.P16] = new Array(6510,3235);//16  v8 new
m_DocPixelsBDL[BS.BS_30Q][PAGE.P18] = new Array(6531,3235);//18  v8 new
m_DocPixelsBDL[BS.BS_30Q][PAGE.P20] = new Array(6531,3235);//20
m_DocPixelsBDL[BS.BS_30Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.BS_30Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.BS_30Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.BS_30Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.BS_30Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.BS_30Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.BS_30Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.BS_30Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.BS_30Q][PAGE.P100] = new Array(0,0);//nop 100
//A3Q
m_DocPixelsBDL[BS.A3Q][PAGE.P4] = new Array(5691,2887);//4
m_DocPixelsBDL[BS.A3Q][PAGE.P6] = new Array(5691,2887);//6
m_DocPixelsBDL[BS.A3Q][PAGE.P8] = new Array(5691,2887);//8
m_DocPixelsBDL[BS.A3Q][PAGE.P10] = new Array(5691,2887);//10
m_DocPixelsBDL[BS.A3Q][PAGE.P12] = new Array(5712,2887);//12
m_DocPixelsBDL[BS.A3Q][PAGE.P14] = new Array(5712,2887);//14  v8 new
m_DocPixelsBDL[BS.A3Q][PAGE.P16] = new Array(5712,2887);//16  v8 new
m_DocPixelsBDL[BS.A3Q][PAGE.P18] = new Array(5732,2887);//18  v8 new
m_DocPixelsBDL[BS.A3Q][PAGE.P20] = new Array(5732,2887);//20
m_DocPixelsBDL[BS.A3Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A3Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A3Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A3Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A3Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A3Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A3Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A3Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A3Q][PAGE.P100] = new Array(0,0);//nop 100
//A4Q
m_DocPixelsBDL[BS.A4Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A4Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A4Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A4Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A4Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A4Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A4Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A4Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A4Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A4Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4Q][PAGE.P100] = new Array(0,0);//nop 100
//B5Q
m_DocPixelsBDL[BS.B5Q][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.B5Q][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.B5Q][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.B5Q][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.B5Q][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.B5Q][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.B5Q][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.B5Q][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.B5Q][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.B5Q][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.B5Q][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.B5Q][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.B5Q][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.B5Q][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.B5Q][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.B5Q][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.B5Q][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.B5Q][PAGE.P100] = new Array(0,0);//nop 100
//A4
m_DocPixelsBDL[BS.A4][PAGE.P4] = new Array(4545,3204);//4   //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P6] = new Array(4545,3204);//6   //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P8] = new Array(4545,3204);//8   //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P10] = new Array(4545,3204);//10 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P12] = new Array(4565,3204);//12 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P14] = new Array(4565,3204);//14 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P16] = new Array(4565,3204);//16 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P18] = new Array(4586,3204);//18 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P20] = new Array(4586,3204);//20 //v13 fix
m_DocPixelsBDL[BS.A4][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4][PAGE.P100] = new Array(0,0);//nop 100
//A4S
m_DocPixelsBDL[BS.A4S][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A4S][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A4S][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A4S][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A4S][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A4S][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A4S][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A4S][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A4S][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A4S][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4S][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4S][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4S][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4S][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4S][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4S][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4S][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4S][PAGE.P100] = new Array(0,0);//nop 100
//A4W
m_DocPixelsBDL[BS.A4W][PAGE.P4] = new Array(6326,2313);//4//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P6] = new Array(6326,2313);//6//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P8] = new Array(6326,2313);//8//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P10] = new Array(6326,2313);//10//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P12] = new Array(6346,2313);//12//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P14] = new Array(6346,2313);//14//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P16] = new Array(6346,2313);//16//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P18] = new Array(6367,2313);//18//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P20] = new Array(6367,2313);//20//v13 fix
m_DocPixelsBDL[BS.A4W][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4W][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4W][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4W][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4W][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4W][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4W][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4W][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4W][PAGE.P100] = new Array(0,0);//nop 100
//A4SW
m_DocPixelsBDL[BS.A4SW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A4SW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A4SW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A4SW][PAGE.P10] = new Array(0,0);//nop 10
m_DocPixelsBDL[BS.A4SW][PAGE.P12] = new Array(0,0);//nop 12
m_DocPixelsBDL[BS.A4SW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A4SW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A4SW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A4SW][PAGE.P20] = new Array(0,0);//nop 20
m_DocPixelsBDL[BS.A4SW][PAGE.P28] = new Array(0,0);//nop 28
m_DocPixelsBDL[BS.A4SW][PAGE.P30] = new Array(0,0);//nop 30
m_DocPixelsBDL[BS.A4SW][PAGE.P40] = new Array(0,0);//nop 40
m_DocPixelsBDL[BS.A4SW][PAGE.P50] = new Array(0,0);//nop 50
m_DocPixelsBDL[BS.A4SW][PAGE.P60] = new Array(0,0);//nop 60
m_DocPixelsBDL[BS.A4SW][PAGE.P70] = new Array(0,0);//nop 70
m_DocPixelsBDL[BS.A4SW][PAGE.P80] = new Array(0,0);//nop 80
m_DocPixelsBDL[BS.A4SW][PAGE.P90] = new Array(0,0);//nop    90
m_DocPixelsBDL[BS.A4SW][PAGE.P100] = new Array(0,0);//nop    100
//A4Y
m_DocPixelsBDL[BS.A4Y][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A4Y][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A4Y][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A4Y][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A4Y][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A4Y][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A4Y][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A4Y][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A4Y][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A4Y][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4Y][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4Y][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4Y][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4Y][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4Y][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4Y][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4Y][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4Y][PAGE.P100] = new Array(0,0);//nop 100
//A4YW
m_DocPixelsBDL[BS.A4YW][PAGE.P4] = new Array(0,0);//nop  4
m_DocPixelsBDL[BS.A4YW][PAGE.P6] = new Array(0,0);//nop  6
m_DocPixelsBDL[BS.A4YW][PAGE.P8] = new Array(0,0);//nop  8
m_DocPixelsBDL[BS.A4YW][PAGE.P10] = new Array(0,0);//nop  10
m_DocPixelsBDL[BS.A4YW][PAGE.P12] = new Array(0,0);//nop  12
m_DocPixelsBDL[BS.A4YW][PAGE.P14] = new Array(0,0);//nop  14  v8 new
m_DocPixelsBDL[BS.A4YW][PAGE.P16] = new Array(0,0);//nop  16  v8 new
m_DocPixelsBDL[BS.A4YW][PAGE.P18] = new Array(0,0);//nop  18  v8 new
m_DocPixelsBDL[BS.A4YW][PAGE.P20] = new Array(0,0);//nop  20
m_DocPixelsBDL[BS.A4YW][PAGE.P28] = new Array(0,0);//nop  28
m_DocPixelsBDL[BS.A4YW][PAGE.P30] = new Array(0,0);//nop  30
m_DocPixelsBDL[BS.A4YW][PAGE.P40] = new Array(0,0);//nop  40
m_DocPixelsBDL[BS.A4YW][PAGE.P50] = new Array(0,0);//nop  50
m_DocPixelsBDL[BS.A4YW][PAGE.P60] = new Array(0,0);//nop  60
m_DocPixelsBDL[BS.A4YW][PAGE.P70] = new Array(0,0);//nop  70
m_DocPixelsBDL[BS.A4YW][PAGE.P80] = new Array(0,0);//nop  80
m_DocPixelsBDL[BS.A4YW][PAGE.P90] = new Array(0,0);//nop 90
m_DocPixelsBDL[BS.A4YW][PAGE.P100] = new Array(0,0);//nop 100

//ZENレイフラット ART ACX/ボードACX   //v11 new
//ZENレイフラット ART ACX/ボードACXは表紙(000000.*)が存在しないため1ページ目のサイズ
var m_DocPixelsACX = new Array(m_BaseSize.length);
m_DocPixelsACX[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsACX[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsACX[BS.A4YW]      = new Array(m_Pages.length);
//30Q
m_DocPixelsACX[BS.BS_30Q][PAGE2.P10_40] = new Array(3222,3254);    // 10-40
m_DocPixelsACX[BS.BS_30Q][PAGE2.P10_100] = new Array(3222,3254);   // 10-100
//A3Q
m_DocPixelsACX[BS.A3Q][PAGE2.P10_40] = new Array(2806,2838);    // 10-40
m_DocPixelsACX[BS.A3Q][PAGE2.P10_100] = new Array(2806,2838);   // 10-100
//A4Q
m_DocPixelsACX[BS.A4Q][PAGE2.P10_40] = new Array(2273,2305);//10_40
m_DocPixelsACX[BS.A4Q][PAGE2.P10_100] = new Array(2273,2305);//10_100
//A4
m_DocPixelsACX[BS.A4][PAGE2.P10_40] = new Array(2209,3169);//10_40
m_DocPixelsACX[BS.A4][PAGE2.P10_100] = new Array(2209,3169);//10_100
//A4W
m_DocPixelsACX[BS.A4W][PAGE2.P10_40] = new Array(3137,2241);//10_40
m_DocPixelsACX[BS.A4W][PAGE2.P10_100] = new Array(3137,2241);//10_100

//プラチナクロス七五三  //v11 new
//プラチナクロス七五三は表紙(000000.*)が存在しないため見開きのサイズ
var m_DocPixelsPX753 = new Array(m_BaseSize.length);
m_DocPixelsPX753[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsPX753[BS.A4YW]      = new Array(m_Pages.length);
//A3Q
m_DocPixelsPX753[BS.A3Q][PAGE.P4]   = new Array(5612,2838);    // 4
m_DocPixelsPX753[BS.A3Q][PAGE.P6]   = new Array(5612,2838);    // 6
m_DocPixelsPX753[BS.A3Q][PAGE.P8]   = new Array(5612,2838);    // 8
m_DocPixelsPX753[BS.A3Q][PAGE.P10]  = new Array(5612,2838);    // 10
m_DocPixelsPX753[BS.A3Q][PAGE.P12]  = new Array(5612,2838);    // 12
m_DocPixelsPX753[BS.A3Q][PAGE.P14]  = new Array(5612,2838);    // 14
m_DocPixelsPX753[BS.A3Q][PAGE.P16]  = new Array(5612,2838);    // 16
m_DocPixelsPX753[BS.A3Q][PAGE.P18]  = new Array(5612,2838);    // 18
m_DocPixelsPX753[BS.A3Q][PAGE.P20]  = new Array(5612,2838);    // 20
//A4    v13 new
m_DocPixelsPX753[BS.A4][PAGE.P4] = new Array(4417,3169);//4
m_DocPixelsPX753[BS.A4][PAGE.P6] = new Array(4417,3169);//6
m_DocPixelsPX753[BS.A4][PAGE.P8] = new Array(4417,3169);//8
m_DocPixelsPX753[BS.A4][PAGE.P10] = new Array(4417,3169);//10
m_DocPixelsPX753[BS.A4][PAGE.P12] = new Array(4417,3169);//12
m_DocPixelsPX753[BS.A4][PAGE.P14] = new Array(4417,3169);//14
m_DocPixelsPX753[BS.A4][PAGE.P16] = new Array(4417,3169);//16
m_DocPixelsPX753[BS.A4][PAGE.P18] = new Array(4417,3169);//18
m_DocPixelsPX753[BS.A4][PAGE.P20] = new Array(4417,3169);//20


//Photolet      //v11 new
var m_DocPixelsPHOTOLET = new Array(m_BaseSize.length);
m_DocPixelsPHOTOLET[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsPHOTOLET[BS.A4YW]      = new Array(m_Pages.length);
//A4
m_DocPixelsPHOTOLET[BS.A4][PAGE.P6] =  new Array(4370,3102);    // 6
m_DocPixelsPHOTOLET[BS.A4][PAGE.P10] =  new Array(4374,3102);   // 10
m_DocPixelsPHOTOLET[BS.A4][PAGE.P14] =  new Array(4376,3102);   // 14
m_DocPixelsPHOTOLET[BS.A4][PAGE.P18] =  new Array(4383,3102);   // 18
m_DocPixelsPHOTOLET[BS.A4][PAGE.P22] =  new Array(4386,3102);   // 22
m_DocPixelsPHOTOLET[BS.A4][PAGE.P26] =  new Array(4388,3102);   // 26
m_DocPixelsPHOTOLET[BS.A4][PAGE.P30] =  new Array(4391,3102);   // 30
m_DocPixelsPHOTOLET[BS.A4][PAGE.P34] =  new Array(4397,3102);   // 34
m_DocPixelsPHOTOLET[BS.A4][PAGE.P38] =  new Array(4402,3102);   // 38

//BrilliArt     //v12   new
var m_DocPixelsBrilliArt = new Array(m_BaseSize.length);
m_DocPixelsBrilliArt[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsBrilliArt[BS.A4YW]      = new Array(m_Pages.length);
//30Q
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P10]   =  new Array(7382,3720);  //10-12
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P20]   =  new Array(7406,3720);  //14-20
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P26]   =  new Array(7429,3720);  //22-26
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P38]   =  new Array(7465,3720);  //28-38
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P40]   =  new Array(7488,3720);  //40-44
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P50]   =  new Array(7524,3720);  //46-56
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P60]   =  new Array(7559,3720);  //58-66
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P70]   =  new Array(7594,3720);  //68-76
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P80]   =  new Array(7630,3720);  //78-86
m_DocPixelsBrilliArt[BS.BS_30Q][PAGE.P100]  =  new Array(7665,3720);  //88-100
//A3Q
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P10]  =  new Array(6602,3331);  //10-12
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P20]  =  new Array(6626,3331);  //14-20
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P26]  =  new Array(6650,3331);  //22-26
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P38]  =  new Array(6685,3331);  //28-38
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P40]  =  new Array(6709,3331);  //40-44
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P50]  =  new Array(6744,3331);  //46-56
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P60]  =  new Array(6780,3331);  //58-66
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P70]  =  new Array(6815,3331);  //68-76
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P80]  =  new Array(6850,3331);  //78-86
m_DocPixelsBrilliArt[BS.A3Q][PAGE.P100] =  new Array(6886,3331);  //88-100
//A4Q
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P10]  =  new Array(5421,2740);  //10-12
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P20]  =  new Array(5445,2740);  //14-20
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P26]  =  new Array(5469,2740);  //22-26
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P38]  =  new Array(5504,2740);  //28-38
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P40]  =  new Array(5528,2740);  //40-44
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P50]  =  new Array(5563,2740);  //46-56
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P60]  =  new Array(5598,2740);  //58-66
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P70]  =  new Array(5634,2740);  //68-76
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P80]  =  new Array(5669,2740);  //78-86
m_DocPixelsBrilliArt[BS.A4Q][PAGE.P100] =  new Array(5705,2740);  //88-100
//A4
m_DocPixelsBrilliArt[BS.A4][PAGE.P10]  =  new Array(5280,3697);  //10-12
m_DocPixelsBrilliArt[BS.A4][PAGE.P20]  =  new Array(5303,3697);  //14-20
m_DocPixelsBrilliArt[BS.A4][PAGE.P26]  =  new Array(5327,3697);  //22-26
m_DocPixelsBrilliArt[BS.A4][PAGE.P38]  =  new Array(5362,3697);  //28-38
m_DocPixelsBrilliArt[BS.A4][PAGE.P40]  =  new Array(5386,3697);  //40-44
m_DocPixelsBrilliArt[BS.A4][PAGE.P50]  =  new Array(5421,3697);  //46-56
m_DocPixelsBrilliArt[BS.A4][PAGE.P60]  =  new Array(5457,3697);  //58-66
m_DocPixelsBrilliArt[BS.A4][PAGE.P70]  =  new Array(5492,3697);  //68-76
m_DocPixelsBrilliArt[BS.A4][PAGE.P80]  =  new Array(5528,3697);  //78-86
m_DocPixelsBrilliArt[BS.A4][PAGE.P100] =  new Array(5563,3697);  //88-100
//A4W
m_DocPixelsBrilliArt[BS.A4W][PAGE.P10]  =  new Array(7335,2669);  //10-12
m_DocPixelsBrilliArt[BS.A4W][PAGE.P20]  =  new Array(7358,2669);  //14-20
m_DocPixelsBrilliArt[BS.A4W][PAGE.P26]  =  new Array(7382,2669);  //22-26
m_DocPixelsBrilliArt[BS.A4W][PAGE.P38]  =  new Array(7417,2669);  //28-38
m_DocPixelsBrilliArt[BS.A4W][PAGE.P40]  =  new Array(7441,2669);  //40-44
m_DocPixelsBrilliArt[BS.A4W][PAGE.P50]  =  new Array(7476,2669);  //46-56
m_DocPixelsBrilliArt[BS.A4W][PAGE.P60]  =  new Array(7512,2669);  //58-66
m_DocPixelsBrilliArt[BS.A4W][PAGE.P70]  =  new Array(7547,2669);  //68-76
m_DocPixelsBrilliArt[BS.A4W][PAGE.P80]  =  new Array(7583,2669);  //78-86
m_DocPixelsBrilliArt[BS.A4W][PAGE.P100] =  new Array(7618,2669);  //88-100

// BOARD-mist   //v13 new
var m_DocPixelsBDmist = new Array(m_BaseSize.length);
m_DocPixelsBDmist[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsBDmist[BS.A4YW]      = new Array(m_Pages.length);
//A3Q
m_DocPixelsBDmist[BS.A3Q][PAGE.P4]  = new Array(5702,2887);//4   //v14 new
m_DocPixelsBDmist[BS.A3Q][PAGE.P6]  = new Array(5712,2887);//6   //v14 new
m_DocPixelsBDmist[BS.A3Q][PAGE.P8]  = new Array(5712,2887);//8   //v14 new
m_DocPixelsBDmist[BS.A3Q][PAGE.P10] = new Array(5732,2887);//10
m_DocPixelsBDmist[BS.A3Q][PAGE.P12] = new Array(5732,2887);//12
m_DocPixelsBDmist[BS.A3Q][PAGE.P14] = new Array(5743,2887);//14
m_DocPixelsBDmist[BS.A3Q][PAGE.P16] = new Array(5753,2887);//16
m_DocPixelsBDmist[BS.A3Q][PAGE.P18] = new Array(5763,2887);//18
m_DocPixelsBDmist[BS.A3Q][PAGE.P20] = new Array(5763,2887);//20
m_DocPixelsBDmist[BS.A3Q][PAGE.P22] = new Array(5773,2887);//22
m_DocPixelsBDmist[BS.A3Q][PAGE.P24] = new Array(5783,2887);//24
m_DocPixelsBDmist[BS.A3Q][PAGE.P26] = new Array(5794,2887);//26
m_DocPixelsBDmist[BS.A3Q][PAGE.P28] = new Array(5794,2887);//28
m_DocPixelsBDmist[BS.A3Q][PAGE.P30] = new Array(5804,2887);//30
m_DocPixelsBDmist[BS.A3Q][PAGE.P32] = new Array(5814,2887);//32
m_DocPixelsBDmist[BS.A3Q][PAGE.P34] = new Array(5824,2887);//34
m_DocPixelsBDmist[BS.A3Q][PAGE.P36] = new Array(5824,2887);//36
m_DocPixelsBDmist[BS.A3Q][PAGE.P38] = new Array(5835,2887);//38
m_DocPixelsBDmist[BS.A3Q][PAGE.P40] = new Array(5845,2887);//40
//A4Q
m_DocPixelsBDmist[BS.A4Q][PAGE.P10] = new Array(4709,2375);//10  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P12] = new Array(4709,2375);//12  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P14] = new Array(4719,2375);//14  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P16] = new Array(4729,2375);//16  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P18] = new Array(4739,2375);//18  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P20] = new Array(4739,2375);//20  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P22] = new Array(4750,2375);//22  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P24] = new Array(4760,2375);//24  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P26] = new Array(4770,2375);//26  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P28] = new Array(4770,2375);//28  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P30] = new Array(4780,2375);//30  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P32] = new Array(4791,2375);//32  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P34] = new Array(4801,2375);//34  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P36] = new Array(4801,2375);//36  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P38] = new Array(4811,2375);//38  //v14 new
m_DocPixelsBDmist[BS.A4Q][PAGE.P40] = new Array(4821,2375);//40  //v14 new
//A4
m_DocPixelsBDmist[BS.A4][PAGE.P10] = new Array(4586,3204);//10
m_DocPixelsBDmist[BS.A4][PAGE.P12] = new Array(4586,3204);//12
m_DocPixelsBDmist[BS.A4][PAGE.P14] = new Array(4596,3204);//14
m_DocPixelsBDmist[BS.A4][PAGE.P16] = new Array(4606,3204);//16
m_DocPixelsBDmist[BS.A4][PAGE.P18] = new Array(4617,3204);//18
m_DocPixelsBDmist[BS.A4][PAGE.P20] = new Array(4617,3204);//20
m_DocPixelsBDmist[BS.A4][PAGE.P22] = new Array(4627,3204);//22
m_DocPixelsBDmist[BS.A4][PAGE.P24] = new Array(4637,3204);//24
m_DocPixelsBDmist[BS.A4][PAGE.P26] = new Array(4647,3204);//26
m_DocPixelsBDmist[BS.A4][PAGE.P28] = new Array(4647,3204);//28
m_DocPixelsBDmist[BS.A4][PAGE.P30] = new Array(4657,3204);//30
m_DocPixelsBDmist[BS.A4][PAGE.P32] = new Array(4668,3204);//32
m_DocPixelsBDmist[BS.A4][PAGE.P34] = new Array(4678,3204);//34
m_DocPixelsBDmist[BS.A4][PAGE.P36] = new Array(4678,3204);//36
m_DocPixelsBDmist[BS.A4][PAGE.P38] = new Array(4688,3204);//38
m_DocPixelsBDmist[BS.A4][PAGE.P40] = new Array(4698,3204);//40
//A4W
m_DocPixelsBDmist[BS.A4W][PAGE.P10] = new Array(6367,2313);//10
m_DocPixelsBDmist[BS.A4W][PAGE.P12] = new Array(6367,2313);//12
m_DocPixelsBDmist[BS.A4W][PAGE.P14] = new Array(6377,2313);//14
m_DocPixelsBDmist[BS.A4W][PAGE.P16] = new Array(6387,2313);//16
m_DocPixelsBDmist[BS.A4W][PAGE.P18] = new Array(6398,2313);//18
m_DocPixelsBDmist[BS.A4W][PAGE.P20] = new Array(6398,2313);//20
m_DocPixelsBDmist[BS.A4W][PAGE.P22] = new Array(6408,2313);//22
m_DocPixelsBDmist[BS.A4W][PAGE.P24] = new Array(6418,2313);//24
m_DocPixelsBDmist[BS.A4W][PAGE.P26] = new Array(6428,2313);//26
m_DocPixelsBDmist[BS.A4W][PAGE.P28] = new Array(6428,2313);//28
m_DocPixelsBDmist[BS.A4W][PAGE.P30] = new Array(6439,2313);//30
m_DocPixelsBDmist[BS.A4W][PAGE.P32] = new Array(6449,2313);//32
m_DocPixelsBDmist[BS.A4W][PAGE.P34] = new Array(6459,2313);//34
m_DocPixelsBDmist[BS.A4W][PAGE.P36] = new Array(6459,2313);//36
m_DocPixelsBDmist[BS.A4W][PAGE.P38] = new Array(6469,2313);//38
m_DocPixelsBDmist[BS.A4W][PAGE.P40] = new Array(6480,2313);//40

//ボードライトCloth     //v13 new
//ボードライトCloth(000000.*)が存在しないため見開きのサイズ
var m_DocPixelsBDLCloth = new Array(m_BaseSize.length);
m_DocPixelsBDLCloth[BS.B4W]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A3V]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A3T]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.BS_30Q]    = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.B5Q]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4S]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4W]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4SW]      = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4Y]       = new Array(m_Pages.length);
m_DocPixelsBDLCloth[BS.A4YW]      = new Array(m_Pages.length);
//30Q
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P4] = new Array(6444,3254);//4
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P6] = new Array(6444,3254);//6
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P8] = new Array(6444,3254);//8
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P10] = new Array(6444,3254);//10
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P12] = new Array(6444,3254);//12
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P14] = new Array(6444,3254);//14
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P16] = new Array(6444,3254);//16
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P18] = new Array(6444,3254);//18
m_DocPixelsBDLCloth[BS.BS_30Q][PAGE.P20] = new Array(6444,3254);//20
//A3Q
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P4] = new Array(5612,2838);//4
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P6] = new Array(5612,2838);//6
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P8] = new Array(5612,2838);//8
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P10] = new Array(5612,2838);//10
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P12] = new Array(5612,2838);//12
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P14] = new Array(5612,2838);//14
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P16] = new Array(5612,2838);//16
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P18] = new Array(5612,2838);//18
m_DocPixelsBDLCloth[BS.A3Q][PAGE.P20] = new Array(5612,2838);//20
//A4Q
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P4] = new Array(4545,2305);//4
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P6] = new Array(4545,2305);//6
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P8] = new Array(4545,2305);//8
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P10] = new Array(4545,2305);//10
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P12] = new Array(4545,2305);//12
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P14] = new Array(4545,2305);//14
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P16] = new Array(4545,2305);//16
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P18] = new Array(4545,2305);//18
m_DocPixelsBDLCloth[BS.A4Q][PAGE.P20] = new Array(4545,2305);//20
//A4
m_DocPixelsBDLCloth[BS.A4][PAGE.P4] = new Array(4417,3169);//4
m_DocPixelsBDLCloth[BS.A4][PAGE.P6] = new Array(4417,3169);//6
m_DocPixelsBDLCloth[BS.A4][PAGE.P8] = new Array(4417,3169);//8
m_DocPixelsBDLCloth[BS.A4][PAGE.P10] = new Array(4417,3169);//10
m_DocPixelsBDLCloth[BS.A4][PAGE.P12] = new Array(4417,3169);//12
m_DocPixelsBDLCloth[BS.A4][PAGE.P14] = new Array(4417,3169);//14
m_DocPixelsBDLCloth[BS.A4][PAGE.P16] = new Array(4417,3169);//16
m_DocPixelsBDLCloth[BS.A4][PAGE.P18] = new Array(4417,3169);//18
m_DocPixelsBDLCloth[BS.A4][PAGE.P20] = new Array(4417,3169);//20
//A4W
m_DocPixelsBDLCloth[BS.A4W][PAGE.P4] = new Array(6274,2241);//4
m_DocPixelsBDLCloth[BS.A4W][PAGE.P6] = new Array(6274,2241);//6
m_DocPixelsBDLCloth[BS.A4W][PAGE.P8] = new Array(6274,2241);//8
m_DocPixelsBDLCloth[BS.A4W][PAGE.P10] = new Array(6274,2241);//10
m_DocPixelsBDLCloth[BS.A4W][PAGE.P12] = new Array(6274,2241);//12
m_DocPixelsBDLCloth[BS.A4W][PAGE.P14] = new Array(6274,2241);//14
m_DocPixelsBDLCloth[BS.A4W][PAGE.P16] = new Array(6274,2241);//16
m_DocPixelsBDLCloth[BS.A4W][PAGE.P18] = new Array(6274,2241);//18
m_DocPixelsBDLCloth[BS.A4W][PAGE.P20] = new Array(6274,2241);//20

//ZENレイフラット ART mist  //v14 new
var m_DocPixelsZENFmist = new Array(m_BaseSize.length);
m_DocPixelsZENFmist[BS.A3Q]       = new Array(m_Pages.length);
m_DocPixelsZENFmist[BS.A4Q]       = new Array(m_Pages.length);
m_DocPixelsZENFmist[BS.A4]        = new Array(m_Pages.length);
m_DocPixelsZENFmist[BS.A4W]       = new Array(m_Pages.length);
//A3Q
m_DocPixelsZENFmist[BS.A3Q][PAGE.P10] = new Array(5712,2887);//10
m_DocPixelsZENFmist[BS.A3Q][PAGE.P20] = new Array(5722,2887);//20
m_DocPixelsZENFmist[BS.A3Q][PAGE.P30] = new Array(5743,2887);//30
m_DocPixelsZENFmist[BS.A3Q][PAGE.P40] = new Array(5753,2887);//40
m_DocPixelsZENFmist[BS.A3Q][PAGE.P50] = new Array(5773,2887);//50
m_DocPixelsZENFmist[BS.A3Q][PAGE.P60] = new Array(5794,2887);//60
m_DocPixelsZENFmist[BS.A3Q][PAGE.P70] = new Array(5804,2887);//70
m_DocPixelsZENFmist[BS.A3Q][PAGE.P80] = new Array(5824,2887);//80
m_DocPixelsZENFmist[BS.A3Q][PAGE.P90] = new Array(5835,2887);//90
m_DocPixelsZENFmist[BS.A3Q][PAGE.P100] = new Array(5855,2887);//100
//A4Q
m_DocPixelsZENFmist[BS.A4Q][PAGE.P10] = new Array(4688,2375);//10
m_DocPixelsZENFmist[BS.A4Q][PAGE.P20] = new Array(4698,2375);//20
m_DocPixelsZENFmist[BS.A4Q][PAGE.P30] = new Array(4719,2375);//30
m_DocPixelsZENFmist[BS.A4Q][PAGE.P40] = new Array(4729,2375);//40
m_DocPixelsZENFmist[BS.A4Q][PAGE.P50] = new Array(4750,2375);//50
m_DocPixelsZENFmist[BS.A4Q][PAGE.P60] = new Array(4770,2375);//60
m_DocPixelsZENFmist[BS.A4Q][PAGE.P70] = new Array(4780,2375);//70
m_DocPixelsZENFmist[BS.A4Q][PAGE.P80] = new Array(4801,2375);//80
m_DocPixelsZENFmist[BS.A4Q][PAGE.P90] = new Array(4811,2375);//90
m_DocPixelsZENFmist[BS.A4Q][PAGE.P100] = new Array(4831,2375);//100
//A4
m_DocPixelsZENFmist[BS.A4][PAGE.P10] = new Array(4565,3204);//10
m_DocPixelsZENFmist[BS.A4][PAGE.P20] = new Array(4576,3204);//20
m_DocPixelsZENFmist[BS.A4][PAGE.P30] = new Array(4596,3204);//30
m_DocPixelsZENFmist[BS.A4][PAGE.P40] = new Array(4606,3204);//40
m_DocPixelsZENFmist[BS.A4][PAGE.P50] = new Array(4627,3204);//50
m_DocPixelsZENFmist[BS.A4][PAGE.P60] = new Array(4647,3204);//60
m_DocPixelsZENFmist[BS.A4][PAGE.P70] = new Array(4657,3204);//70
m_DocPixelsZENFmist[BS.A4][PAGE.P80] = new Array(4678,3204);//80
m_DocPixelsZENFmist[BS.A4][PAGE.P90] = new Array(4688,3204);//90
m_DocPixelsZENFmist[BS.A4][PAGE.P100] = new Array(4709,3204);//100
//A4W
m_DocPixelsZENFmist[BS.A4W][PAGE.P10] = new Array(6346,2313);//10
m_DocPixelsZENFmist[BS.A4W][PAGE.P20] = new Array(6357,2313);//20
m_DocPixelsZENFmist[BS.A4W][PAGE.P30] = new Array(6377,2313);//30
m_DocPixelsZENFmist[BS.A4W][PAGE.P40] = new Array(6387,2313);//40
m_DocPixelsZENFmist[BS.A4W][PAGE.P50] = new Array(6408,2313);//50
m_DocPixelsZENFmist[BS.A4W][PAGE.P60] = new Array(6428,2313);//60
m_DocPixelsZENFmist[BS.A4W][PAGE.P70] = new Array(6439,2313);//70
m_DocPixelsZENFmist[BS.A4W][PAGE.P80] = new Array(6459,2313);//80
m_DocPixelsZENFmist[BS.A4W][PAGE.P90] = new Array(6469,2313);//90
m_DocPixelsZENFmist[BS.A4W][PAGE.P100] = new Array(6490,2313);//100

//片面サイズ定義
//ZENレイフラット ART EX
var m_HalfDocPixelsZENFEX = new Array(m_BaseSize.length);
m_HalfDocPixelsZENFEX[BS.B4W]       = new Array(4033,2710);    //B4W
m_HalfDocPixelsZENFEX[BS.A3V]       = new Array(0,0);          //A3V
m_HalfDocPixelsZENFEX[BS.A3T]       = new Array(0,0);          //A3T
m_HalfDocPixelsZENFEX[BS.BS_30Q]    = new Array(3222,3254);    //30Q
m_HalfDocPixelsZENFEX[BS.A3Q]       = new Array(2806,2838);    //A3Q
m_HalfDocPixelsZENFEX[BS.A4Q]       = new Array(2273,2305);    //A4Q
m_HalfDocPixelsZENFEX[BS.B5Q]       = new Array(1952,1984);    //B5Q
m_HalfDocPixelsZENFEX[BS.A4]        = new Array(2209,3169);    //A4
m_HalfDocPixelsZENFEX[BS.A4S]       = new Array(1952,2806);    //A4S
m_HalfDocPixelsZENFEX[BS.A4W]       = new Array(3137,2241);    //A4W
m_HalfDocPixelsZENFEX[BS.A4SW]      = new Array(2774,1984);    //A4SW
m_HalfDocPixelsZENFEX[BS.A4Y]       = new Array(0,0);          //A4Y    //v7 New
m_HalfDocPixelsZENFEX[BS.A4YW]      = new Array(0,0);          //A4YW   //v7 New

//ART EX
var m_HalfDocPixelsEX = new Array(m_BaseSize.length);
m_HalfDocPixelsEX[BS.B4W]       = new Array(0,0);          //B4W
m_HalfDocPixelsEX[BS.A3V]       = new Array(2987,3307);    //A3V
m_HalfDocPixelsEX[BS.A3T]       = new Array(0,0);          //A3T
m_HalfDocPixelsEX[BS.BS_30Q]    = new Array(3254,3254);    //30Q
m_HalfDocPixelsEX[BS.A3Q]       = new Array(2838,2838);    //A3Q
m_HalfDocPixelsEX[BS.A4Q]       = new Array(2305,2305);    //A4Q
m_HalfDocPixelsEX[BS.B5Q]       = new Array(1984,1984);    //B5Q
m_HalfDocPixelsEX[BS.A4]        = new Array(2241,3169);    //A4
m_HalfDocPixelsEX[BS.A4S]       = new Array(1984,2806);    //A4S
m_HalfDocPixelsEX[BS.A4W]       = new Array(3169,2241);    //A4W
m_HalfDocPixelsEX[BS.A4SW]      = new Array(2806,1984);    //A4SW
m_HalfDocPixelsEX[BS.A4Y]       = new Array(0,0);          //A4Y    //v7New
m_HalfDocPixelsEX[BS.A4YW]      = new Array(0,0);          //A4YW   //v7 New


//キャンセルフラグ
var m_isCanceled = false;

DbgMsg('ScriptingVersion:' + verMajor + '.' + verMinor + '.' + verRev);

displayDialogs = DialogModes.NO;

var _pathDelimiter;

main();


/***********************************************************************
* Main
***********************************************************************/
function main(){
	_pathDelimiter = GetPathDelimiter();
	
	if(verMajor >= 8 ){
		wndCSUIProc01();
	}else{
		alert('スクリプト実行エラー!このスクリプトはPhotoShop CS 以上でご利用ください。');
	}
}

/***********************************************************************
* Script Version 8 over (PhotoShop CS)
* スクリプトUI
***********************************************************************/
function wndCSUIProc01(){
	var wnd = null;
	var orgDir = null;

	//window
	var wndWidth        = 1125;         //ウインドウの幅
	var wndHeight       = 866;          //ウインドウの高さ    
	var pnlWidth        = wndWidth - 50;//フレームの幅
    var leftPnlWidth    = wndWidth/2-5;
    var secondoffset    = wndWidth/2+5;
	wnd = new Window('dialog','ファイルサイズ変換');
	wnd.bounds = [200,100,200 + wndWidth,100 + wndHeight];
	
	//controls
	var cY = 5;
	var lbl1      = wnd.add ('statictext'  ,[ 20, cY, 30 + 470 - 40, cY +  20], '作成済みのデータのサイズを変更します。',false);
	// 変換元ファイルの格納フォルダ
	cY += 20;
	var pnl1      = wnd.add ('panel'       ,[ 20, cY, 30 + pnlWidth , cY +  47], '変換する商品を選択してください',false);
	var lblDir    = pnl1.add('statictext'  ,[ 10, 12, pnlWidth - 20 - 70, 15 +  18], '',{multiline:true});
	var btnRef    = pnl1.add('button'      ,[pnlWidth - 20 - 70, 7, pnlWidth - 20, 7 +  23], '参照');

	// 変換元ファイル種類
	cY += 51;
    var baseSizeBoxH = 606;
	var pnl2         = wnd.add ('panel'       ,[ 20, cY, 30 + pnlWidth ,cY +  baseSizeBoxH], '変換元ファイルの種類を選択して下さい',false);
	var rdoBaseType  = new Array(m_BaseType.length);
    var baseTypeDisposition = [BT.ZEN_FBX, BT.ZEN_F_LX,
                               BT.ZEN_F_ACX, BT.ZEN_F_ACX2BD_ACT,
                               BT.ZEN_F_ACX2ZEN_F_H_LAMI, BT.ZEN_F_ACX2ZEN_F_H_VNS,
                               BT.ZEN_F_EXD_LAMI, BT.ZEN_F_EXD_VNS,
                               BT.ZEN_F_EX_SUC_LAMI, BT.ZEN_F_EX_SUC_VNS,
                               BT.ZEN_F_EX_LAMI, BT.ZEN_F_EX_VNS,
                               BT.ZEN_F_H_SUC_LAMI, BT.ZEN_F_H_SUC_VNS,
                               BT.ZEN_F_H_LAMI, BT.ZEN_F_H_VNS,
                               BT.ZEN_F_H_LAMI2BRI, BT.ZEN_F_H_VNS2BRI,
                               BT.ZEN_F_MT, -1,
                               BT.ZEN_F_MT2ZEN_F_H_LAMI, BT.ZEN_F_MT2ZEN_F_H_VNS,
                               BT.BRILLIART, -1,
                               BT.BRI2ZEN_F_H_LAMI,BT.BRI2ZEN_F_H_VNS,
                               -2, -1,
                               BT.H_LAMI, BT.H_VNS,
                               BT.AT_LAMI, BT.AT_VNS,
                               BT.SOFT, -1,
                               -2, -1,
                               BT.BDPZEN_F_H_LAMI, BT.BDP_LAMI,
                               BT.BD_ACX, BT.BD_ACX2ZEN_F_ACX,
                               BT.BD_ACX2ZEN_F_H_LAMI, BT.BD_ACX2ZEN_F_H_VNS,
                               BT.BDMT, -1,
                               BT.BDMT2ZEN_F_H_LAMI, BT.BDMT2ZEN_F_H_VNS,
                               BT.CONTE, BT.CONTE2ZEN_F_H_LAMI,
                               BT.BD2ST, BT.BDLIGHT,
                               BT.BDL2PX, BT.BDLCLOTH,
                               BT.PX2BDL, BT.PICTURE_B,
                               BT.SHIRONARI_P, BT.KINARI_P,
                               BT.PHOTOLET, BT.PB];  //v14 fix
    var separatorOffset = 0;
    var separatorY         = new Array(2);
    var separatorIndex  = 0;
    //初期化   ver7 New
    for (var i = 0 ; i < m_BaseType.length ; i++){
        //仕様変更でファイル種類が歯抜けになるため全てnullで初期化しておく
        rdoBaseType[i] = null;
    }
	for (var i = 0 ; i < baseTypeDisposition.length ; i++){
		var curX = 10 + ((i % 2)  * (30+pnlWidth)  / 2);
		var curY = 10 + (Math.floor(i / 2)  * 21) + separatorOffset;
		var d = baseTypeDisposition[i]
		if (d >= 0){
            
            if (i % 2)  //右
                rdoBaseType[d]  = pnl2.add('radiobutton'  ,[curX, curY, curX + (pnlWidth / 2) - 25 , curY +  23],m_BaseType[d]);
            else    //左
                rdoBaseType[d]  = pnl2.add('radiobutton'  ,[curX, curY, curX + (10+pnlWidth / 2) , curY +  23],m_BaseType[d]);
		
			//Add Event Handler
			rdoBaseType[d].onClick = rdoBaseType_onClick;
		}
    
        //セパレータ表示用調整
        if (d == -2){
            curY += 5;
            separatorOffset -= 16;
            separatorY[separatorIndex] = curY;
            separatorIndex++;
        }
	}
	rdoBaseType[m_BaseTypeIdx].value = true;
    
    //セパレータ設置
    //ラジオボタン設置後に設定を行わないとラジオボタンのグループが正しく設定されない
    for (var i = 0 ; i < separatorY.length ; i++){
        var curX = 10;
	    var curY = separatorY[i];
        
        //パネルを高さ1で描画することでセパレータの代わりとする(公式スクリプトImage Processor.jsx参考)
        pnl2.add('panel', [curX, curY, pnlWidth - 5, curY +  1], '', {borderStyle: 'single'} );
    }
	
	//変換元ファイルのサイズ
//	cY += 290;
    cY  += baseSizeBoxH + 4;
	var pnl3        = wnd.add ('panel'       ,[ 20, cY, leftPnlWidth - 35,cY +  70], '変換元ファイルのサイズを選択して下さい',false);
    var rdoBaseSize = new Array(m_BaseSize.length);
    var sizeWidth   = 63;
	for (var i = 0 ; i < m_BaseSize.length ; i++){
		var curX = 5 + ((i % 7) * sizeWidth);
		var curY = 8 + (Math.floor(i / 7) * 25);
		rdoBaseSize[i] = pnl3.add('radiobutton'  ,[curX, curY,curX + sizeWidth, curY +  25],m_BaseSize[i]);

		//Add Event Handler
		rdoBaseSize[i].onClick = rdoBaseSize_onClick;
	}
	rdoBaseSize[m_BaseSizeIdx].value = true;
	
	//変換先ファイルのサイズ
	//cY += 85;
	var pnl4        = wnd.add ('panel'       ,[ secondoffset - 35, cY, pnlWidth + 30, cY +  70], '変換先のサイズを選択して下さい',false);
    var rdoConvSize = new Array(m_ConvSize.length);
    sizeWidth   = 50;
	for (var i = 0 ; i < m_ConvSize.length ; i++){
		var curX = 5 + ((i % 8) * (14 + sizeWidth));
		var curY = 8 + (Math.floor(i / 8) * 25);
		rdoConvSize[i] = pnl4.add('radiobutton'  ,[curX, curY, curX + sizeWidth, curY +  25],m_ConvSize[i]);
		
		//Add Event Handler
		rdoConvSize[i].onClick = rdoConvSize_onClick;
	}
	rdoConvSize[m_ConvSizeIdx].value = true;

	//変換ページ数
	cY += 74;
	var pnl_page1   = wnd.add ('panel'       ,[ 20, cY, 30 + pnlWidth,cY + 50], '変換するファイルのページ数を選択して下さい',false);
    var rdoPages    = new Array(m_Pages.length);
    var pWidth      = 55;
	for (var i = 0 ; i < m_Pages.length ; i++){
		var curX = 10 + ((i % m_Pages.length) * pWidth);
		var curY = 10 + (Math.floor(i / m_Pages.length) * 20);
		rdoPages[i] = pnl_page1.add('radiobutton'  ,[curX, curY, curX + pWidth, curY +  25],m_Pages[i].toString() + 'P');
		
		//Add Event Handler
		rdoPages[i].onClick = rdoPages_onClick;
	}
	rdoPages[m_PagesIdx].value = true;
    
    //変換ページ数（可変ページ）
    var pnl_page2   = wnd.add ('panel'       ,[ 20, cY, 30 + pnlWidth,cY + 50], '変換するファイルのページ数を選択して下さい',false);
    pnl_page2.hide();
    
	var rdoPages2   = new Array(m_Pages2.length);
    var page2Index  = 0;
    var p2Width     = 80;
	for (var i = 0 ; i < m_Pages2.length ; i++){
		var curX = 10 + ((page2Index % m_Pages2.length) * p2Width);
		var curY = 10 + (Math.floor(page2Index / m_Pages2.length) * 20);
		rdoPages2[i] = pnl_page2.add('radiobutton'  ,[curX, curY,curX + p2Width, curY +  25],m_Pages2[i][0].toString() + '-' + m_Pages2[i][1].toString() + 'P');
		
        if (m_Pages2[i][0] != 0) {
            //Add Event Handler
            rdoPages2[i].onClick = rdoPages2_onClick;
            page2Index++;
        } else {
            //ページ数が設定されていない項目は非表示にする
            rdoPages2[i].hide();
        }
	}
    rdoPages2[m_PagesIdx].value = true;
    
    //変換ページ数2（可変ページ）
    var pnl_page3   = wnd.add ('panel'       ,[ 20, cY, 30 + pnlWidth,cY + 50], '変換するファイルのページ数を選択して下さい',false);
    pnl_page3.hide();
    
	var rdoPages3   = new Array(m_Pages3.length);
    var page3Index  = 0;
    var p3Width     = 80;
	for (var i = 0 ; i < m_Pages3.length ; i++){
		var curX = 10 + ((page3Index % m_Pages3.length) * p3Width);
		var curY = 10 + (Math.floor(page3Index / m_Pages3.length) * 20);
		rdoPages3[i] = pnl_page3.add('radiobutton'  ,[curX, curY,curX + p3Width, curY +  25],m_Pages3[i][0].toString() + '-' + m_Pages3[i][1].toString() + 'P');
		
        if (m_Pages3[i][0] != 0) {
            //Add Event Handler
            rdoPages3[i].onClick = rdoPages3_onClick;
            page3Index++;
        } else {
            //ページ数が設定されていない項目は非表示にする
            rdoPages3[i].hide();
        }
	}
	rdoPages3[m_PagesIdx].value = true; 
    
	
	cY += 54;
	var lbl2        = wnd.add ('statictext'   ,[ 20, cY, secondoffset, cY +  20], '実行をクリックすると作成開始します。',false);
	cY += 19;
	var lbl3        = wnd.add ('statictext'   ,[ 20, cY, secondoffset, cY +  20], '途中で中止する場合は、Escキーを押して下さい。',false);

	// OK & Cancel
	//MacOS 10.3.X + CS の場合"OK"ボタン必須のためキャンセルに割り当て。
	cY -= 8;
    var btnWidth    = 100;
    var btnOffset   = wndWidth - btnWidth * 2 - 20 - 20;
    var btnCancel  = wnd.add    ('button'       ,[btnOffset, cY, btnOffset + btnWidth,cY +  25], 'キャンセル' , { name:'ok'});
    var btnExec     = wnd.add    ('button'       ,[btnOffset + btnWidth + 20 , cY, btnOffset + btnWidth*2 + 20, cY +  25], '実行');
	
	/************************************/
	/* rdoBaseType onChange Events      */
	/************************************/
	function rdoBaseType_onClick()
	{
		var index =0;
		for (var i = 0 ; i < rdoBaseType.length ; i++){
			if ( rdoBaseType[i] != null && rdoBaseType[i].value){   //比較演算子修正　v701Fix 
				index=i;
				break;
			}
		}
		m_BaseTypeIdx = index;
        
        //ページ数表記の切り替え v9 fix
        if (CheckVariablePageType(m_BaseTypeIdx) == true) {
            pnl_page1.hide();
            pnl_page2.show();
            pnl_page3.hide();
        } else if (CheckVariablePageType2(m_BaseTypeIdx) == true) {
            pnl_page1.hide();
            pnl_page2.hide();
            pnl_page3.show();
        } else {
            pnl_page1.show();
            pnl_page2.hide();
            pnl_page3.hide();
        }
		
		//変換元サイズのEnable設定
		for (var i = 0 ; i < m_BaseSizeEnable[m_BaseTypeIdx].length ; i++){
			rdoBaseSize[i].enabled = m_BaseSizeEnable[m_BaseTypeIdx][i];
			if (!rdoBaseSize[m_BaseSizeIdx].enabled){
				for (var j = 0 ; j < rdoBaseSize.length ; j++){
					if (rdoBaseSize[j].enabled){
						rdoBaseSize[j].value=1;
						m_BaseSizeIdx=j;
						break;
					}
				}
			}
		}
    
		rdoBaseSize_onClick();
	}
	
	/************************************/
	/* rdoBaseSize onChange Events      */
	/************************************/
	function rdoBaseSize_onClick()
	{
		for (var i = 0 ; i < rdoBaseSize.length ; i++){
			if ( rdoBaseSize[i].value){
				m_BaseSizeIdx = i;
				break;
			}
		}
		
		//変換先サイズのEnable設定
		for (var i = 0 ; i < m_ConvSizeEnable[m_BaseTypeIdx][m_BaseSizeIdx].length ; i++){
			rdoConvSize[i].enabled = m_ConvSizeEnable[m_BaseTypeIdx][m_BaseSizeIdx][i];
		}
		
		//変換先サイズのカレントがDisableの場合の処置
		if (!rdoConvSize[m_ConvSizeIdx].enabled){
			for (var j = 0 ; j < rdoConvSize.length ; j++){
				if (rdoConvSize[j].enabled){
					rdoConvSize[j].value=1;
					m_ConvSizeIdx=j;
					break;
				}
			}
		}
    
        rdoConvSize_onClick();
	}

	/************************************/
	/* rdoConvSize onChange Events      */
	/************************************/
	function rdoConvSize_onClick()
	{
		for (var i = 0 ; i < rdoConvSize.length ; i++){
			if ( rdoConvSize[i].value){
				m_ConvSizeIdx = i;
				break;
			}
		}
    
        //ページ数のEnable設定
        var pageIndex = 0;
        var pageIndex2 = 0;
        var pageIndex3 = 0;
		for (var i = 0 ; i < m_PagesEnable[m_BaseTypeIdx].length ; i++){
            
            var enabled = m_PagesEnable[m_BaseTypeIdx][i];            
			rdoPages[i].enabled = PagesEnableException(enabled,m_BaseTypeIdx,m_BaseSizeIdx,m_ConvSizeIdx,i);
            
            //CC(2015)にて描画が更新されないことがあるため全て一度隠す  v9 New
            rdoPages[i].hide();
            
            //Enableページのみ表示する v8 new
            var curX = 10 + ((pageIndex % m_Pages.length) * 56);
            if (rdoPages[i].enabled) {
                //表示しているものを先頭から詰めて表示する
                rdoPages[i].location = [curX, rdoPages[i].location[1]];
                rdoPages[i].show();
                pageIndex++;
            } else {
                rdoPages[i].hide();
            }
        
            //可変ページコントロールにも適応
            rdoPages2[i].enabled = PagesEnableException(enabled,m_BaseTypeIdx,m_BaseSizeIdx,m_ConvSizeIdx,i);

            //可変ページもEnableのページのみ表示する v11 new
            //CC(2015)にて描画が更新されないことがあるため全て一度隠す  v9 New
            rdoPages2[i].hide();

            var curX2 = 10 + ((pageIndex2 % m_Pages.length) * 80);
            if (rdoPages2[i].enabled) {
                //表示しているものを先頭から詰めて表示する
                rdoPages2[i].location = [curX2, rdoPages2[i].location[1]];
                rdoPages2[i].show();
                pageIndex2++;
            } else {
                rdoPages2[i].hide();
            }

            //可変ページコントロール2にも適応
            rdoPages3[i].enabled = PagesEnableException(enabled,m_BaseTypeIdx,m_BaseSizeIdx,m_ConvSizeIdx,i);

            //可変ページもEnableのページのみ表示する v11 new
            //CC(2015)にて描画が更新されないことがあるため全て一度隠す  v9 New
            rdoPages3[i].hide();

            var curX3 = 10 + ((pageIndex3 % m_Pages.length) * 80);
            if (rdoPages3[i].enabled) {
                //表示しているものを先頭から詰めて表示する
                rdoPages3[i].location = [curX2, rdoPages3[i].location[1]];
                rdoPages3[i].show();
                pageIndex3++;
            } else {
                rdoPages3[i].hide();
            }
        }
        
        //ページ数のカレントがDisableの場合の処置
        //固定ページと可変ページの有効状態は共通のため固定ページの状態を確認する
		if (!rdoPages[m_PagesIdx].enabled){
			for (var j = 0 ; j < rdoPages.length ; j++){
				if (rdoPages[j].enabled){
                    rdoPages[j].value=1;
                    //可変ページにも反映
                    rdoPages2[j].value=1;
                    //可変ページ2にも反映 //v12 new
                    rdoPages3[j].value=1;
					m_PagesIdx=j;
					break;
				}
			}
		}
	}

	/************************************/
	/* rdoPages onChange Events         */
	/************************************/
	function rdoPages_onClick(index)
	{
		for (var i = 0 ; i < rdoPages.length ; i++){
			if ( rdoPages[i].value){
                 rdoPages2[i].value = 1;  //可変ページコントロールにも反映 v8 new
                 rdoPages3[i].value = 1;  //可変ページコントロール2にも反映 v12 new
				m_PagesIdx = i;
				break;
			}
		}
	}

    /************************************/
	/* rdoPages2 onChange Events        */
    /* v8 new                           */
	/************************************/
    function rdoPages2_onClick(index)
	{
		for (var i = 0 ; i < rdoPages2.length ; i++){
			if ( rdoPages2[i].value){
                 rdoPages[i].value = 1;   //固定ページコントロールにも反映
                 rdoPages3[i].value = 1;  //可変ページコントロール2にも反映 v12 new
				m_PagesIdx = i;
				break;
			}
		}
    }
    
    /************************************/
	/* rdoPages3 onChange Events        */
    /* v12 new                           */
	/************************************/
    function rdoPages3_onClick(index)
	{
		for (var i = 0 ; i < rdoPages3.length ; i++){
			if ( rdoPages3[i].value){
                 rdoPages[i].value = 1;   //固定ページコントロールにも反映
                 rdoPages2[i].value = 1;  //可変ページコントロールにも反映
				m_PagesIdx = i;
				break;
			}
		}
	}
	
	/************************************/
	/* btnExec onClick Events           */
	/************************************/
	btnExec.onClick = function(){
		m_isCanceled = false;
		btnCancel.text = 'キャンセル';
		
		//変換元ディレクトリチェック
		if (orgDir == null){
			alert('変換する画像ファイルのあるフォルダを指定して下さい。');
			return null;
		}
		
		if ( !orgDir.exists ){
			alert('変換する画像ファイルのあるフォルダを指定して下さい。');
			return null;
		}
		
		//表紙のファイル名所得
		var cName = null;
        if (m_BaseTypeIdx == BT.CONTE || m_BaseTypeIdx == BT.ZEN_FBX ||
            m_BaseTypeIdx == BT.ZEN_F_ACX || m_BaseTypeIdx == BT.ZEN_F_ACX2BD_ACT ||
            m_BaseTypeIdx == BT.BD_ACX || m_BaseTypeIdx == BT.BD_ACX2ZEN_F_ACX ||
            m_BaseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_LAMI || m_BaseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_VNS ||
            m_BaseTypeIdx == BT.BD_ACX2ZEN_F_H_LAMI || m_BaseTypeIdx == BT.BD_ACX2ZEN_F_H_VNS || m_BaseTypeIdx == BT.CONTE2ZEN_F_H_LAMI) {
            //conte,ZEN_FBX,ZENレイフラット ART ACX,ボードACXは表紙(000000.*)ファイルが存在しないので1ページ目で判断する  //v14 fix
            cName = CheckFirstPage(orgDir);
            if ( cName == null ){
                alert('1ページ目のファイルの名前を確認してください。');
                return;
            }
            
         } else if (m_BaseTypeIdx == BT.PX2BDL || m_BaseTypeIdx == BT.BDLCLOTH) {
            //プラチナクロス七五三は表紙(000000.*)ファイルも1ページ目のファイルも存在しないので見開きページ1枚目で判断する //v11 new
            //ボードライトClothは表紙(000000.*)ファイルも1ページ目のファイルも存在しないので見開きページ1枚目で判断する //v13 new
            cName = CheckFirstFacingpage(orgDir);
            if ( cName == null ){
                alert('1ページ目のファイルの名前を確認してください。');
                return;
            }

         } else {
            cName = CheckCover(orgDir);
            if ( cName == null ){
                alert('表紙ファイルの名前を確認してください。');
                return;
            }
        }
		
		//拡張子取得
		var extension = GetExtension(cName);
		if ( extension == null ){
			alert('変換元ファイルの名前を確認してください。');
			return;
		}

		//ファイル桁数取得
		var digit = GetDigit(cName);
		if ( digit != 4 && digit != 6 ){
			alert('変換元ファイルの名前を確認してください。');
			return;
		}
		
		// A3Tを選択したときにのみ警告メッセージを表示
		if (m_BaseSize[m_BaseSizeIdx] == "A3T"){
			switch (m_ActionNameID[m_BaseTypeIdx]){
			case 'EXラミ' : alert("ART EX(ラミネート)A3Tからのリサイズは、ハードカバー(ラミネート)A5Tへの変換です。");break;
			case 'EXニス' : alert("ART EX(ニス)A3Tからのリサイズは、ハードカバー(ニス)A5Tへの変換です。");break;
			}
		}
		
		//アクション実行
		var defaultUnits = preferences.rulerUnits;
		preferences.rulerUnits = Units.PIXELS;
		if (!ActionExecute(orgDir,m_BaseTypeIdx,m_BaseSizeIdx,m_ConvSizeIdx,m_PagesIdx,m_Pages[m_PagesIdx],extension,digit)){
			preferences.rulerUnits = defaultUnits;
			return;
		}
		preferences.rulerUnits = defaultUnits;
		alert('ファイルサイズの変更が完了しました。\n背景紙、塗り足し領域などに若干のズレが生じる可能性があります。\nリサイズ後の画像は必ずご確認頂き、必要であれば修正をして下さい。');
		btnCancel.text = '終了';
		//フォルダを開く
		File(orgDir.fsName + '/' + m_ConvSize[m_ConvSizeIdx]).execute();
	}
	
	/************************************/
	/* btnCancel onClick Events         */
	/************************************/
	btnCancel.onClick = function()
	{
		m_isCanceled = true;
		wnd.close();
	}

	/************************************/
	/* btnRef onClick Events            */
	/************************************/
	btnRef.onClick = function(){
		var retDir = Folder.selectDialog('変換元ファイルのフォルダを選択して下さい。',orgDir);
		if (retDir != null){
			orgDir = retDir;
			lblDir.text = orgDir.fsName;
		}
	}
	
	//Enabel設定を反映
	rdoBaseType_onClick();
	rdoBaseSize_onClick();

	wnd.show();
}

/***********************************************************************
* 概要:	可変ページ対応ブックかどうか
* 引数:	long	baseTypeIdx	/ 変換種類Index
* 戻値:	True/False
***********************************************************************/
function CheckVariablePageType(baseTypeID) {
    //v9 New
    
    //ZEN_F_LX, ZEN_F_EXD_LAMI, ZEN_F_EXD_VNS,  ZEN_F_EX_SUC_LAMI, ZEN_F_EX_SUC_VNS, ZEN_F_EX_LAMI, ZEN_F_EX_VNS, ZEN_F_H_SUC_LAMI, ZEN_F_H_SUC_VNS, ZEN_F_H_LAMI, ZEN_F_H_VNS, ZEN_FBX 可変ページ対応
    //KINARI_P, SHIRONARI_P可変ページ対応  v10 fix
    //ZEN_F_ACX, ZEN_F_ACX2BD_ACT, BD_ACX, BD_ACX2ZEN_F_ACX追加 //v11 fix
    //ZEN_F_H_LAMI2BRI, ZEN_F_H_VNS2BRI // v12 fix
    //ZEN_F_MT,ZEN_F_MT2ZEN_F_H_LAMI,ZEN_F_MT2ZEN_F_H_VNS,ZEN_F_ACX2ZEN_F_H_LAMI,ZEN_F_ACX2ZEN_F_H_VNS,BD_ACX2ZEN_F_H_LAMI,BD_ACX2ZEN_F_H_VNS //v14 fix
    if ((baseTypeID >= BT.ZEN_F_LX && baseTypeID <= BT.ZEN_F_H_VNS) ||
        (baseTypeID == BT.ZEN_FBX) ||
         (baseTypeID == BT.KINARI_P || baseTypeID == BT.SHIRONARI_P) ||
         (baseTypeID >= BT.ZEN_F_ACX && baseTypeID <= BT.BD_ACX2ZEN_F_ACX) ||
         baseTypeID == BT.ZEN_F_H_LAMI2BRI || baseTypeID == BT.ZEN_F_H_VNS2BRI ||
         (baseTypeID >= BT.ZEN_F_MT && baseTypeID <= BT.BD_ACX2ZEN_F_H_VNS)) {
            
            return true;
    }
    
    return false;
}

/***********************************************************************
* 概要:	可変ページ対応ブック2かどうか
* 引数:	long	baseTypeIdx	/ 変換種類Index
* 戻値:	True/False
***********************************************************************/
function CheckVariablePageType2(baseTypeID) {
    //v12 New
    
    //BRILLIART, BRI2ZEN_F_H_LAMI, BRI2ZEN_F_H_VNS //v12 new
    if ((baseTypeID >= BT.BRI2ZEN_F_H_LAMI && baseTypeID <= BT.BRI2ZEN_F_H_VNS) ||
        (baseTypeID == BT.BRILLIART)) {
            return true;
    }
    
    return false;
}

/***********************************************************************
* 概要:	有効ページ数の例外判定、特定の組み合わせで有効状態が異なる場合はここで判定する
* 引数:	bool	inEnable	/ 通常の有効判定
*		long	baseTypeIdx	/ 変換種類Index
*		long	baseSizeIdx	/ 変換元サイズIndex
*		long	convSizeIdx	/ 変換先サイズIndex
*		long	pagesIdx	/ ページIndex
* 戻値:	True/False
***********************************************************************/
function PagesEnableException(inEnable,baseTypeIdx,baseSizeIdx,convSizeIdx,pagesIdx){
    var enabled = inEnable;
    var aBaseType  = m_ActionNameID[baseTypeIdx];
    var aBaseSize  = m_BaseSize[baseSizeIdx];
    var aConvSize  = m_ConvSize[convSizeIdx];
    var pages        = m_Pages[pagesIdx];

    //BOARD to BOARDのA3Q→A4Qの変換で28ページは変換できない
    if (aBaseType == 'BD2BD'){
        if (aBaseSize == 'A3Q' && aConvSize == 'A4Q' && pages == 28){
            enabled = false;
        }
    } else if (aBaseType == 'BD2ST') {  //v9 New
        //BOARD to STITCHのA4Q→B5Qの変換で28ページは変換できない
        if (aBaseSize == 'A4Q' && aConvSize == 'B5Q' && pages == 28){
            enabled = false;
        }
    }
    
    return enabled;
}

/***********************************************************************
* 概要:	表紙ファイル名から拡張子を取得
* 引数:	string	cName		/ 表紙ファイル名
* 戻値:	拡張子( .jpg  .jpeg etc. )
***********************************************************************/
function GetExtension(cName){
	if (cName == null) return null;
	var sp = '.';
	return sp + cName.split(sp)[1];
}

/***********************************************************************
* 概要:	表紙ファイル名から拡張子を除いた桁数を取得
* 引数:	Folder Dir		/ チェックするFolderオブジェクト
* 戻値:	ファイル名の桁数( 0000.jpg -> 4, 000000.jpg -> 6 )
***********************************************************************/
function GetDigit(cName){
	if (cName == null) return null;
	return cName.split('.')[0].length;
}

/***********************************************************************
* 概要:	表紙チェック
* 引数:	Folder Dir		/ チェックするFolderオブジェクト
* 戻値:	表紙のファイル名(0000.jpg etc.)
***********************************************************************/
function CheckCover(Dir){
	//表紙ファイルチェック4,6桁 (jpg or jpeg or psd)
	var list = new Array( '0000.jpg', '000000.jpg', '0000.jpeg', '000000.jpeg', '0000.psd', '000000.psd' );
	for (var i = 0 ; i < list.length ; i++){
		var f = list[i];
		fName = new File(Dir.fsName + "/" + f);
		if ( fName.exists ){
			return f;
		}
	}
	return null;
}

/***********************************************************************
* 概要:	1ページ目チェック
* 引数:	Folder Dir		/ チェックするFolderオブジェクト
* 戻値:	1ページ目のファイル名(0001.jpg etc.)
* conte、ZEN_FBXには表紙ファイルが存在しないため1ページ目でチェックする
***********************************************************************/
function CheckFirstPage(Dir){
	//表紙ファイルチェック4,6桁 (jpg or jpeg or psd)
	var list = new Array( '0001.jpg', '000001.jpg', '0001.jpeg', '000001.jpeg', '0001.psd', '000001.psd' );
	for (var i = 0 ; i < list.length ; i++){
		var f = list[i];
		fName = new File(Dir.fsName + "/" + f);
		if ( fName.exists ){
			return f;
		}
	}
	return null;
}

/***********************************************************************
* 概要:	見開き1ページ目チェック
* 引数:	Folder Dir		/ チェックするFolderオブジェクト
* 戻値:	1ページ目のファイル名(001002.jpg etc.)
* conte、ZEN_FBXには表紙ファイルが存在しないため1ページ目でチェックする
***********************************************************************/
function CheckFirstFacingpage(Dir){
    //表紙ファイルチェック (jpg or jpeg or psd)
	var list = new Array( '001002.jpg', '001002.jpeg', '001002.psd' );
	for (var i = 0 ; i < list.length ; i++){
		var f = list[i];
		fName = new File(Dir.fsName + "/" + f);
		if ( fName.exists ){
			return f;
		}
	}
	return null;
}

/***********************************************************************
* 概要:	アクションの実行
* 引数:	string	orgDir		/ 変換元ファイルのディレクトリ
* 引数:	long	baseTypeIdx	/ 変換種類Index
*		long	baseSizeIdx	/ 変換元サイズIndex
*		long	convSizeIdx	/ 変換先サイズIndex
*		long	pagesIdx	/ ページIndex
*		long	pages		/ ページ数
*		string	extension	/ 拡張子
*		int	extension	/ 桁数
* 戻値:	True/False
***********************************************************************/
function ActionExecute(orgDir,baseTypeIdx,baseSizeIdx,convSizeIdx,pagesIdx,pages,extension,digit){
	var ActionName = '';
	var checkPixelWidth  = 0;
	var checkPixelHeight = 0;
	var aName  = m_ActionNameID[baseTypeIdx];
	var newDir = null;
	var tFile  = null;
	var Doc    = null;
    var boardConvType = null;
    var baseConvType = null;

	// ページ数チェック
    //えほんBOOK対応   //v7 New
    //ボードライト対応  //v8 new
    //ボードライトからプラチナクロス七五三へ変換対応 //v11 new
    //ボードライトCloth対応 //v13 new
    var pageOffset      = 2;
    var hasHalfPage     = true;
    var withoutBinding  = false;    //表紙(000000.jpg)なし  //v8 new
    if (aName == 'PICTURE-B' || aName == 'BDL' || baseTypeIdx == BT.BDL2PX)
    {
        hasHalfPage = false;
        pageOffset  = 1;
    }
    else if (baseTypeIdx == BT.CONTE || baseTypeIdx == BT.CONTE2ZEN_F_H_LAMI)
    {
        //conteは表紙がない   v14  fix
        withoutBinding  = true;
        pageOffset      = 1;
    }
    else if (baseTypeIdx == BT.ZEN_FBX)
    {
        //ZEN_FBXは表紙がない   v9  new
        withoutBinding  = true;
        pageOffset      = 1;
    } 
    else if (baseTypeIdx == BT.ZEN_F_ACX ||
             baseTypeIdx == BT.ZEN_F_ACX2BD_ACT ||
             baseTypeIdx == BT.BD_ACX ||
             baseTypeIdx == BT.BD_ACX2ZEN_F_ACX ||
             baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_LAMI ||
             baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_VNS ||
             baseTypeIdx == BT.BD_ACX2ZEN_F_H_LAMI ||
             baseTypeIdx == BT.BD_ACX2ZEN_F_H_VNS)
    {
        //ZENレイフラット　ART ACX,ボードACX対応    v14 fix
        //表紙がない
        withoutBinding  = true;
        pageOffset      = 1;
    }
    else if (baseTypeIdx == BT.PX2BDL)
    {
        //プラチナクロス七五三対応 v11 new
        //表紙、半ページなし
        withoutBinding  = true;
        hasHalfPage     = false;
        pageOffset      = 0;
    }
    else if (baseTypeIdx == BT.PHOTOLET)
    {
        //Photolet対応 v11 new
        hasHalfPage = false;
        pageOffset  = 1;
    }
    else if (baseTypeIdx == BT.BDLCLOTH)
    {
        //ボードライトCloth対応 //v13 new
        //表紙、半ページなし
        withoutBinding  = true;
        hasHalfPage     = false;
        pageOffset      = 0;
    }
        
    //KINARI対応    //v7 Fix
    //SHIRONARI対応 //v9 Fix
    //ZEN_FBX対応   //v9 Fix
    //ZEN/ボード ACX,Photolet対応 //v11 fix
    //ボードmist対応 //v13 fix
    var exceptFiles = ['excase' + extension, 'premium-box' + extension, 'slideup-case' + extension, 'promotion-case' + extension,
                       'kinari-case' + extension, 'shironari-case' + extension, 'slideup-case-usb' + extension,
                       'futo-omote' + extension, 'futo-ura' + extension, 'asobigami' + extension, '000000_hyoushi' + extension, '000000_urabyoushi' + extension,
                       'maki-cover' + extension];
	var fileCount = getFileCount(orgDir, extension, exceptFiles);

    //可変ページ数への対応 v9 fix
    var files_num = 0;
    var bookPages = pages;
    if (CheckVariablePageType(baseTypeIdx) == true) {
        //可変ページタイプ
        var  files_num_min  = m_Pages2[m_PagesIdx][0];
        var  files_num_max  = m_Pages2[m_PagesIdx][1];
        var  findpage       = false;
        for (var checkPage = files_num_min; checkPage <= files_num_max; checkPage++) {
            var fileNum = (checkPage / 2) + pageOffset;
            if (fileCount == fileNum) {
                findpage    = true;
                bookPages   = checkPage;
                break;
             }
         }
        
        if ( findpage == false ) {
            alert('選択されたページ数が違います。');
            return false;
        }
    
        files_num = fileCount;
    } else if (CheckVariablePageType2(baseTypeIdx) == true) {
        //可変ページタイプ
        var  files_num_min  = m_Pages3[m_PagesIdx][0];
        var  files_num_max  = m_Pages3[m_PagesIdx][1];
        var  findpage       = false;
        for (var checkPage = files_num_min; checkPage <= files_num_max; checkPage++) {
            var fileNum = (checkPage / 2) + pageOffset;
            if (fileCount == fileNum) {
                findpage    = true;
                bookPages   = checkPage;
                break;
             }
         }
        
        if ( findpage == false ) {
            alert('選択されたページ数が違います。');
            return false;
        }
    
        files_num = fileCount;
    } else {
        //固定ページ対応（従来）
        files_num = (m_Pages[m_PagesIdx] / 2) + pageOffset;
        if ( fileCount != files_num ) {
            alert('選択されたページ数が違います。');
            return false;
        }
    }

    //表紙がない場合ファイル名に正しくファイルチェックが出来るよう調整  //v8    new
    if (withoutBinding) {
        files_num++;
    }

	// ファイル名チェック
	for ( var i = 0 ; i < files_num ; i++ ) {
		var pageNumber = '';
		if ( i == 0) {
            //表紙がない場合はスキップ  //v8    new
            if (withoutBinding) {
                continue;
            }
        
			// 表紙
			pageNumber = ZeroAdd(0, digit) + extension;
		} else if ( i == 1  && hasHalfPage == true) {
			// 1ページ目
			pageNumber = ZeroAdd(0, digit/2) + ZeroAdd((i*2)-1, digit/2) + extension;
		} else if ( i == files_num-1 && hasHalfPage == true) {
			// 最終ページ
			pageNumber = ZeroAdd((i*2)-2, digit/2) + ZeroAdd(0, digit/2) + extension;
		} else if (hasHalfPage == false) {
            // えほんBOOK本文
            // ボードライト   v8 new
			pageNumber = ZeroAdd((i*2)-1, digit/2) + ZeroAdd((i*2), digit/2) + extension;
         } else {
			// 本文
			pageNumber = ZeroAdd((i*2)-2, digit/2) + ZeroAdd((i*2)-1, digit/2) + extension;
		}
		var tFile = new File(orgDir + '/' + pageNumber);
		if ( ! tFile.exists ) {
			alert('ファイル名が不正です。ファイル名を確認して下さい。');
			return false;
		}
	}

    //case ファイルチェック
    var tCFile = null;
    switch (aName){
        case 'ZEN-FBX':    //v9 New
            tCFile = new File(orgDir + '/slideup-case-usb' + extension);
            break;
		case 'EXDcaseラミ':
		case 'EXDcaseニス':
        case 'ZEN-EXD-Fラミ':
        case 'ZEN-EXD-Fニス':
            tCFile = new File(orgDir + '/excase' + extension);
            break;
        case 'ZEN-EX-F-SUCラミ':
        case 'ZEN-EX-F-SUCニス':
        case 'ZEN-H-F-SUCラミ':
        case 'ZEN-H-F-SUCニス':
            tCFile = new File(orgDir + '/slideup-case' + extension);
            break;
		case 'PB':
            tCFile = new File(orgDir + '/promotion-case' + extension);
            break;
        case'KINARI-P':    //v7 New
            if (baseTypeIdx == BT.SHIRONARI_P) {
                //SHIRONARI対応   //v9 New  
                tCFile = new File(orgDir + '/shironari-case' + extension);
            } else {
                tCFile = new File(orgDir + '/kinari-case' + extension);
            }
            break;
        case 'ACX': //ZEN/ボード ACX v11 new
        case 'ZEN-F-ACX2ZEN-F-Hラミ':   //ZENレイフラット ART ACX v14 new
        case 'ZEN-F-ACX2ZEN-F-Hニス':
        case 'BDACX2ZEN-F-Hラミ':       //ボード ACX v14 new
        case 'BDACX2ZEN-F-Hニス':
            tCFile = File(orgDir + '/asobigami' + extension);
            if (tCFile != null){
                if(tCFile.exists) {
                    tCFile = File(orgDir + '/000000_hyoushi' + extension);
                    if (tCFile != null){
                        if(tCFile.exists) {
                            tCFile = File(orgDir + '/000000_urabyoushi' + extension);
                        }
                    }
                }
            }
            break;
        case 'PHOTOLET': //Photolet v11 new
            tCFile = File(orgDir + '/futo-omote' + extension);
            if (tCFile != null){
                if(tCFile.exists) {
                    tCFile = File(orgDir + '/futo-ura' + extension);
                }
            }   
            break;
        case 'BDMIST2ZEN-F-Hラミ':       //ボードmist v13 new
        case 'BDMIST2ZEN-F-Hニス':
        case 'ZEN-F-MIST':              //ZENレイフラット ART mist v14 new
        case 'ZEN-F-MIST2ZEN-F-Hラミ':
        case 'ZEN-F-MIST2ZEN-F-Hニス':
        case 'BDMIST':                  //ボードmist v14 new
            tCFile = File(orgDir + '/asobigami' + extension);
            if (tCFile != null){
                if(tCFile.exists) {
                    tCFile = File(orgDir + '/maki-cover' + extension);
                }
            }
            break;
		}
    
    if (tCFile != null){
        if ( ! tCFile.exists ) {
			alert('ファイル名が不正です。ファイル名を確認して下さい。');
			return false;
        }
     }
    
	// EXDの場合EXが選択された時のチェック
	if (aName.substr(0,4)=='EXラミ' || aName.substr(0,4)=='EXニス'){
		var tFile = new File(orgDir + '/excase' + extension);
		if ( tFile.exists ) {
			alert('選択したフォルダと、変換元ファイルの種類が異なります。確認して下さい。');
			return false;
		}
	}

    //EX-Fラミ,H-Fラミが選択された時のチェック
    if (aName=='EX-Fラミ' || aName=='H-Fラミ' 
        || aName == 'ZEN-EX-Fラミ' || aName == 'ZEN-EX-Fニス'
        || aName == 'ZEN-H-Fラミ' || aName == 'ZEN-H-Fニス'
        || aName == 'EXラミ' || aName == 'EXニス'
        || aName == 'Hラミ' || aName == 'Hニス'){
		var tFile = new File(orgDir + '/slideup-case' + extension);
		if ( tFile.exists ) {
			alert('選択したフォルダと、変換元ファイルの種類が異なります。確認して下さい。');
			return false;
		}
	}

	//アクションのチェック
	if (! ActionSetExists(ACTION_FILE_NAME) ){
		if ( !InstallActionSet('アクションファイル(' + ACTION_FILE_NAME + ')を選択して下さい。' 
							,ACTION_FILE_PATH,true,'Action File:' + ACTION_FILE_NAME) ){
			return false;
		}
	}
	
	try {
		//ディレクトリ作成
		newDir = new Folder(orgDir + '/' + m_ConvSize[convSizeIdx] + '/');
		if (newDir.exists){
			if ( confirm('フォルダがすでに存在します。上書きしますか？' + newDir.fsName) == false)
				return false;
		}else{
			newDir = CreatePath(orgDir,'/' + m_ConvSize[convSizeIdx] + '/');
		}

        // 種別変換
        switch (aName){
            case 'ZEN-EXD-Fラミ' : 
            case 'ZEN-EX-F-SUCラミ':
                aName= 'ZEN-EX-Fラミ';
                break;
            case 'ZEN-H-F-SUCラミ':
                aName= 'ZEN-H-Fラミ';
                break;
            case 'ZEN-EXD-Fニス':
            case 'ZEN-EX-F-SUCニス':
                aName= 'ZEN-EX-Fニス';
                break;
            case 'ZEN-H-F-SUCニス':
                aName= 'ZEN-H-Fニス';
                break;
            case 'EXDcaseラミ':	aName='EXラミ';break;
            case 'EXDcaseニス':	aName='EXニス';break;
            case 'BD2BD':	boardConvType='ボード';break;
            case 'BD2ST':	boardConvType='ステッチ';break;
            case 'BDPラミ':	boardConvType='ハード';break;
            case 'BDPZEN-H-Fラミ': boardConvType='ハード';break;
            case 'PICTURE-B' : aName= 'えほんBOOK'; break;    //v7 New
            case 'CONTE' : aName= 'conte'; break;  //v8 new
            case 'PHOTOLET' : aName= 'Photolet'; break;  //v11 new
            case 'BRILLIART' : aName= 'BrilliArt'; break;  //v12 new
            case 'BRI2ZEN-F-Hラミ' :  baseConvType= 'BrilliArt'; boardConvType='ZEN-H-Fラミ'; break;  //v12 new
            case 'BRI2ZEN-F-Hニス' :  baseConvType= 'BrilliArt'; boardConvType='ZEN-H-Fニス'; break;  //v12 new
            case 'ZEN-F-Hラミ2BRI' :  baseConvType= 'ZEN-H-Fラミ'; boardConvType='BrilliArt'; break;  //v12 new
            case 'ZEN-F-Hニス2BRI' :  baseConvType= 'ZEN-H-Fニス'; boardConvType='BrilliArt'; break;  //v12 new
            case 'BD2BDMIST' : baseConvType= 'ボード'; boardConvType='ボードmist'; break;  //v13 new
            case 'BDMIST2ZEN-F-Hラミ' : baseConvType= 'ボードmist'; boardConvType='ZEN-H-Fラミ'; break;  //v13 new
            case 'BDMIST2ZEN-F-Hニス' : baseConvType= 'ボードmist'; boardConvType='ZEN-H-Fニス'; break;  //v13 new
            case 'ZEN-F-MIST': baseConvType= 'ZEN-F-MIST';  //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hラミ': baseConvType= 'ZEN-F-MIST'; boardConvType='ZEN-H-Fラミ'; break;  //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hニス': baseConvType= 'ZEN-F-MIST'; boardConvType='ZEN-H-Fニス'; break;  //v14 new
            case 'BDMIST': baseConvType= 'ボードmist'; break;   //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hラミ': baseConvType= 'ACX'; boardConvType='ZEN-H-Fラミ'; break;  //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hニス': baseConvType= 'ACX'; boardConvType='ZEN-H-Fニス'; break;  //v14 new
            case 'BDACX2ZEN-F-Hラミ': baseConvType= 'ボードACX'; boardConvType='ZEN-H-Fラミ'; break;  //v14 new
            case 'BDACX2ZEN-F-Hニス': baseConvType= 'ボードACX'; boardConvType='ZEN-H-Fニス'; break;  //v14 new
            case 'CONTE2ZEN-F-Hラミ': baseConvType= 'conte'; boardConvType='ZEN-H-Fラミ'; break;  //v14 new
        }

        var createCover = false;    //v14 表紙の生成

        //以下の変換は表紙を生成する
        //プラチナクロス七五三→ボードライト　//v11 new
        //ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ラミネート)    //v14 new
        //ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ニス)         //v14 new     
        //ボード ACX  → ZENレイフラット ハードカバー(ラミネート)               //v14 new
        //ボード ACX  → ZENレイフラット ハードカバー(ニス)                    //v14 new
        //conté → ZENレイフラット ハードカバー（ラミネート）                   //v14 new
        if (baseTypeIdx == BT.PX2BDL ||
            baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_VNS ||
            baseTypeIdx == BT.BD_ACX2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.BD_ACX2ZEN_F_H_VNS ||
            baseTypeIdx == BT.CONTE2ZEN_F_H_LAMI) {
            createCover = true;
        }
        //ボードライト→プラチナクロス七五三へ変換する場合は表紙は変換しない //v11 new
        if (baseTypeIdx == BT.BDL2PX) {
            withoutBinding = true;
        }
		
        //表紙がない場合に対応    //v8    new
        if (withoutBinding == false || createCover == true) {
            
            //0000サイズチェック
            if (m_isCanceled) return showCancelMessage();
            tFile = new File(orgDir + '/' + ZeroAdd(0, digit) + extension);
            //表紙ファイルが存在しない場合は開かない
            if (withoutBinding == false) {
                Doc   = open(tFile);
            }
            
            
            //表紙ページのサイズチェック
            switch (aName){
             case 'ZEN-FBX': //ZENレイフラット ART FBX v9 New
                checkPixelWidth  = m_DocPixelsZENFBX[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFBX[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-LX-F': //ZENレイフラット ART LX 
                checkPixelWidth  = m_DocPixelsZENFLX[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFLX[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-EX-Fラミ':         //ZENレイフラット ART EX(ラミネート) or EXD lami
                checkPixelWidth  = m_DocPixelsZENFEXL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFEXL[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-EX-Fニス':         //ZENレイフラット ART EX(ニス) or EXD vns
                checkPixelWidth  = m_DocPixelsZENFEXV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFEXV[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-H-Fラミ':          //ZENレイフラット ハードカバー (ラミネート)
                checkPixelWidth  = m_DocPixelsZENFHL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFHL[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-H-Fニス':          //ZENレイフラット ハードカバー (ニス)
                checkPixelWidth  = m_DocPixelsZENFHV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFHV[baseSizeIdx][pagesIdx][1];
                break;
            case 'LX': //ART LX (G)
                checkPixelWidth  = m_DocPixelsLX[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsLX[baseSizeIdx][pagesIdx][1];
                break;
            case 'EX-Fラミ': //ART EX-F lami
                checkPixelWidth  = m_DocPixelsEXFL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsEXFL[baseSizeIdx][pagesIdx][1];
                break;
            case 'EXラミ': //ART EX lami or EXD lami
                checkPixelWidth  = m_DocPixelsEXL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsEXL[baseSizeIdx][pagesIdx][1];
                break;
            case 'EXニス': //ART EX vns or EXD vns
                checkPixelWidth  = m_DocPixelsEXV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsEXV[baseSizeIdx][pagesIdx][1];
                break;
            case 'H-Fラミ': //ART HARD-F lami
                checkPixelWidth  = m_DocPixelsHFL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsHFL[baseSizeIdx][pagesIdx][1];
                break;
            case 'Hラミ': //ART HARD lami
                checkPixelWidth  = m_DocPixelsHL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsHL[baseSizeIdx][pagesIdx][1];
                break;
            case 'Hニス': //ART HARD vns
                checkPixelWidth  = m_DocPixelsHV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsHV[baseSizeIdx][pagesIdx][1];
                break;
            case 'ATラミ': //ATTACH lami
                checkPixelWidth  = m_DocPixelsATL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsATL[baseSizeIdx][pagesIdx][1];
                break;
            case 'ATニス': //ATTACH vnss
                checkPixelWidth  = m_DocPixelsATV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsATV[baseSizeIdx][pagesIdx][1];
                break;
            case 'S': //SOFT
                checkPixelWidth  = m_DocPixelsS[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsS[baseSizeIdx][pagesIdx][1];
                break;
            case 'BDPラミ': //BOARD-P
                checkPixelWidth  = m_DocPixelsBDP[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBDP[baseSizeIdx][pagesIdx][1];
                break;
             case 'BDPZEN-H-Fラミ':   //BOARD-P v6 New
                checkPixelWidth  = m_DocPixelsBDP[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBDP[baseSizeIdx][pagesIdx][1];
                break;
            case 'BD2BD': //BOARD to BOARD
            case 'BD2ST': //BOARD to STITCH
            case 'BD2BDMIST': // ボード → ボードmist（ラミ） v13 new
                checkPixelWidth  = m_DocPixelsBD[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBD[baseSizeIdx][pagesIdx][1];
                break;
             case 'PB':      //プロモーションブックDVD/CD
                checkPixelWidth  = m_DocPixelsPB[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsPB[baseSizeIdx][pagesIdx][1];
                  break;
             case 'KINARI-P':   //KINARIプレミアム //v7 New
                 checkPixelWidth  = m_DocPixelsKINARIP[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsKINARIP[baseSizeIdx][pagesIdx][1];
                break;
             case 'えほんBOOK':   //えほんBOOK    //v7 New
                 checkPixelWidth  = m_DocPixelsPICBOOK[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsPICBOOK[baseSizeIdx][pagesIdx][1];
                break;
             case 'BDL':    //ボードライト    //v8    new 
                checkPixelWidth  = m_DocPixelsBDL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBDL[baseSizeIdx][pagesIdx][1];
                break;
            case 'Photolet':    //Photolet //v11 new
                checkPixelWidth  = m_DocPixelsPHOTOLET[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsPHOTOLET[baseSizeIdx][pagesIdx][1];
                break;
            case 'BrilliArt':   //BrilliArt //v12 new
                checkPixelWidth  = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][1];
                break;
            case 'BRI2ZEN-F-Hラミ':   //BRI2ZEN-F-Hラミ //v12 new
                checkPixelWidth  = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][1];
                break;
            case 'BRI2ZEN-F-Hニス':   //BRI2ZEN-F-Hラミ //v12 new
                checkPixelWidth  = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBrilliArt[baseSizeIdx][pagesIdx][1];
                break;
            case 'ZEN-F-Hラミ2BRI':  //ZENレイフラット ハードカバー (ラミネート)    //v12 new
                checkPixelWidth  = m_DocPixelsZENFHL[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFHL[baseSizeIdx][pagesIdx][1];
                break;
             case 'ZEN-F-Hニス2BRI': //ZENレイフラット ハードカバー (ニス)  //v12 new
                checkPixelWidth  = m_DocPixelsZENFHV[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFHV[baseSizeIdx][pagesIdx][1];
                break;
            case 'BDMIST2ZEN-F-Hラミ': //ボードmist //v13 new
            case 'BDMIST2ZEN-F-Hニス': //ボードmist //v13 new
            case 'BDMIST':                        //v14 new
                checkPixelWidth  = m_DocPixelsBDmist[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsBDmist[baseSizeIdx][pagesIdx][1];
                break;
            case 'ZEN-F-MIST':  //ZENレイフラット ART mist  //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hラミ':
            case 'ZEN-F-MIST2ZEN-F-Hニス':
                checkPixelWidth  = m_DocPixelsZENFmist[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsZENFmist[baseSizeIdx][pagesIdx][1];
                break;
            default:
                checkPixelWidth  = 0;
                checkPixelHeight = 0;
                break;
            }
    /*
            alert('DebugMessage : Size = ' + Doc.width.value + 'x' + Doc.height.value
                + ' TargetSize = ' + checkPixelWidth + 'x' + checkPixelHeight);
    */
            if (checkPixelWidth != 0 && checkPixelHeight != 0){
                if ( ( parseInt(Doc.width.value)  == checkPixelWidth) &&
                    ( parseInt(Doc.height.value) == checkPixelHeight) ){
                   // Match Size
                }else{
                    Doc.close();
                    alert('ファイルサイズが既定のサイズではありません。画像を確認して下さい。');
                    return false;
                }
            }

            //0000
            switch (aName){
            case 'ZEN-FBX' :    //v9 New
            case 'LX' : 
            case 'ZEN-LX-F':
                ActionName = aName + '表紙'
                           + '_'
                           + m_BaseSize[baseSizeIdx]
                           + '→' 
                           + m_ConvSize[convSizeIdx];
                break;
            case 'BD2BD' : 
            case 'BD2ST' : 
            case 'BD2BDMIST' : //v13 new
                ActionName = '表紙_ボード'
                           + m_BaseSize[baseSizeIdx]
                           + '→'
                           + boardConvType
                           + m_ConvSize[convSizeIdx]
                           + '_'
                           + pages
                           + 'P';
                break;
            case 'BDPラミ' : 
                ActionName = '表紙_ボードP'
                           + m_BaseSize[baseSizeIdx]
                           + '→'
                           + boardConvType
                           + m_ConvSize[convSizeIdx]
                           + '_'
                           + pages
                           + 'P';
                break;
            //v6 New
            case 'BDPZEN-H-Fラミ' : 
                ActionName = '表紙_ボードP'
                           + m_BaseSize[baseSizeIdx]
                           + '→'
                           + 'ZEN-H-Fラミ'
                           + m_ConvSize[convSizeIdx]
                           + '_'
                           + pages
                           + 'P';
                break;
            case 'ZEN-EX-Fラミ':
            case 'ZEN-H-Fラミ':
            case 'ZEN-EX-Fニス':
            case 'ZEN-H-Fニス':
            case 'BDL':         //v8  new
            case 'ZEN-F-MIST':  //v14 new
                ActionName =    aName + '表紙'
                                + '_'
                                + getActionPageFor0000 (aName, pages)
                                + 'P_'
                                + m_BaseSize[baseSizeIdx]
                           		+ '→' 
                           		+ m_ConvSize[convSizeIdx];
                break;
            case 'PX2BDL':
                ActionName =    'BDL表紙'
                                + '_'
                                + getActionPageFor0000 (aName, pages)
                                + 'P_'
                                + m_ConvSize[convSizeIdx];
                break;
            case 'BRI2ZEN-F-Hラミ': //v12 new
            case 'BRI2ZEN-F-Hニス': //v12 new
            case 'ZEN-F-Hラミ2BRI': //v12 new
            case 'ZEN-F-Hニス2BRI': //v12 new
                var pageCount = (fileCount - pageOffset) * 2
                ActionName =    '表紙_' +　baseConvType
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + boardConvType
                                + m_ConvSize[convSizeIdx]
                                + '_'
                                + getActionPageFor0000 (aName, pageCount)
                                + 'P';
                break;
            case 'BDMIST2ZEN-F-Hラミ': //v13 new
            case 'BDMIST2ZEN-F-Hニス': //v13 new
            case 'ZEN-F-MIST2ZEN-F-Hラミ':  //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hニス':  //v14 new
                ActionName =    '表紙_' +　baseConvType
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + boardConvType
                                + m_ConvSize[convSizeIdx]
                                + '_'
                                + pages
                                + 'P';
                break;
            case 'BDMIST': //v14 new
                ActionName = baseConvType + '表紙'
                           + '_'
                           + pages
                           + 'P_'
                           + m_BaseSize[baseSizeIdx]
                           + '→' 
                           + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-F-ACX2ZEN-F-Hラミ':   //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hニス':   //v14 new
            case 'BDACX2ZEN-F-Hラミ':       //v14 new
            case 'BDACX2ZEN-F-Hニス':       //v14 new
            case 'CONTE2ZEN-F-Hラミ':       //v14 new
                var pageCount = (fileCount - pageOffset) * 2
                ActionName =    boardConvType + '表紙'
                                + '_'
                                + getActionPageFor0000 (aName, pageCount)
                                + 'P_'
                                + m_ConvSize[convSizeIdx];
                break;
            default : 
                ActionName = aName + '表紙'
                           + '_'
                           + pages
                           + 'P_'
                           + m_BaseSize[baseSizeIdx]
                           + '→' 
                           + m_ConvSize[convSizeIdx];
                break;
            }
            doAction(ActionName,ACTION_FILE_NAME);
            doSave(newDir , ZeroAdd(0, digit) + extension);
        }
		
		//0001
        if (hasHalfPage == true)
        {
            if (m_isCanceled) return showCancelMessage();
            var pageNumber = ZeroAdd(1, digit) + extension;
            tFile = new File(orgDir + '/' + pageNumber);
            Doc   = open(tFile);
            
            //0001サイズチェック
            //ZEN  ART EX,EXDとART EX,EXD判別のため
            switch (aName){
             case 'ZEN-EX-Fラミ':     //ZENレイフラット ART EX(ラミネート) or EXD klami
             case 'ZEN-EX-Fニス':     //ZENレイフラット ART EX(ニス) or EXD vns
                checkPixelWidth  = m_HalfDocPixelsZENFEX[baseSizeIdx][0];
                checkPixelHeight = m_HalfDocPixelsZENFEX[baseSizeIdx][1];
                break;
            case 'EXラミ': //ART EX lami or EXD lami
            case 'EXニス': //ART EX vns or EXD vns
                checkPixelWidth  = m_HalfDocPixelsEX[baseSizeIdx][0];
                checkPixelHeight = m_HalfDocPixelsEX[baseSizeIdx][1];
                break;
            case 'conte':  //conte //v8    new
            case 'CONTE2ZEN-F-Hラミ':   //v14 new
                checkPixelWidth  = m_DocPixelsCONTE[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsCONTE[baseSizeIdx][pagesIdx][1];
                break;
            case 'ACX': //ZENレイフラット ART ACX/ボードACX //v11 new
            case 'ZEN-F-ACX2ZEN-F-Hラミ':   //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hニス':   //v14 new
            case 'BDACX2ZEN-F-Hラミ':       //v14 new
            case 'BDACX2ZEN-F-Hニス':       //v14 new
                checkPixelWidth  = m_DocPixelsACX[baseSizeIdx][pagesIdx][0];
                checkPixelHeight = m_DocPixelsACX[baseSizeIdx][pagesIdx][1];
                break;
            default:
                checkPixelWidth  = 0;
                checkPixelHeight = 0;
                  break;
            }
        
            if (checkPixelWidth != 0 && checkPixelHeight != 0){
                if ( ( parseInt(Doc.width.value)  == checkPixelWidth) &&
                    ( parseInt(Doc.height.value) == checkPixelHeight) ){
                    // Match Size
                }else{
                    Doc.close();
                    alert('ファイルサイズが既定のサイズではありません。画像を確認して下さい。');
                    return false;
                }
            }
            
            switch (aName){
            case 'BD2BD' : 
            case 'BD2ST' : 
                ActionName = 'BD1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + boardConvType
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BDPラミ' : 
                ActionName = 'BDP1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + boardConvType
                        + m_ConvSize[convSizeIdx];
                break;
             //v6 New
            case 'BDPZEN-H-Fラミ' : 
                ActionName = 'BDP1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'ZEN-H-Fラミ'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-FBX' :    //v9 New
            case 'ZEN-LX-F':
            case 'ZEN-EX-Fラミ':
            case 'ZEN-EX-Fニス':
            case 'ZEN-H-Fラミ':
            case 'ZEN-H-Fニス':
                ActionName = 'ZEN1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'PB':
                ActionName = 'PB1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'KINARI-P':   //v7 New
                ActionName = 'KINARI-P1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'えほんBOOK':    //v7 New
                ActionName = null;
                break;
            case 'BDL':         //ボードライトも片面ページがない  //v8    new
                ActionName = null;
                break;
            case 'conte':      //v8    new
                ActionName = 'conte_片面'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'ACX':     //v11 new
                ActionName = 'ACX1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'PX2BDL':  //v11 new
            case 'BDL2PX753':
                ActionName = null;
                break;
            case 'Photolet':    //v11 new
                ActionName = null;
                break;
            case 'BrilliArt':    //v12 new
                ActionName = 'BrilliArt1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BRI2ZEN-F-Hラミ':
            case 'BRI2ZEN-F-Hニス':
                    ActionName = 'BrilliArt1ページ目'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                    break;
            case 'ZEN-F-Hラミ2BRI':
            case 'ZEN-F-Hニス2BRI':
                ActionName = 'ZEN-H-F1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'BrilliArt'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BD2BDMIST': //v13 new
                ActionName = 'ボード1ページ目'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'ボードmist'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BDMIST2ZEN-F-Hラミ': //v13 new
            case 'BDMIST2ZEN-F-Hニス': //v13 new
                ActionName = 'ボードmist1ページ目'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-F-MIST':  //v14 new
            case 'BDMIST':      //v14 new
                ActionName = baseConvType + '1ページ目'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-F-MIST2ZEN-F-Hラミ':      //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hニス':      //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hラミ':       //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hニス':       //v14 new
            case 'BDACX2ZEN-F-Hラミ':           //v14 new
            case 'BDACX2ZEN-F-Hニス':           //v14 new
            case 'CONTE2ZEN-F-Hラミ':           //v14 new
                ActionName = baseConvType + '1ページ目'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                break;
            default :
                ActionName = '片面'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            }
    
            //0001がない場合に対応 v7 fix
            if (ActionName != null)
            {
                doAction(ActionName,ACTION_FILE_NAME);
                doSave(newDir , pageNumber);
            }
        }
		
		//0203 ... mmnn
        var start = 2;  //えほんBOOKは0102となるため v7 New
        var facingpage = bookPages;  //見開きページ  v11 new
        var skipAction = false;      //変換をかけない場合に対応 v11 new

        //ボードライトは0102スタートの汎用タイプ    //v8 new
        //プラチナクロス七五三、Photoletは0102スタートの汎用タイプ  //v11 new
        //ボードライトClothは0102スタートの汎用タイプ  //v13 new
        if (baseTypeIdx == BT.BDLIGHT ||
            baseTypeIdx == BT.PX2BDL ||
            baseTypeIdx == BT.BDL2PX ||
            baseTypeIdx == BT.BDLCLOTH) {
            start = 1;
        }

        //プラチナクロス七五三→ボードライト、ボードライト→プラチナクロス七五三で同サイズの場合は変換を行わない  v11 new
        if (baseTypeIdx == BT.PX2BDL ||
            baseTypeIdx == BT.BDL2PX) {
            if (m_BaseSize[baseSizeIdx] == m_ConvSize[convSizeIdx]) {
                skipAction = true;
            }
        }

        //以下の変換では同サイズの場合は変換を行わない
        //ボードmist→ZENハード（ニス/ラミ） v13 new
        //ZENレイフラット ART mist → ZENレイフラット ハードカバー(ラミネート）  v14 new
        //ZENレイフラット ART mist → ZENレイフラット ハードカバー(ニス) v14 new
        //ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ラミネート)    v14 new
        //ZENレイフラット ART ACX → ZENレイフラット ハードカバー(ニス)  v14 new
        //ボード ACX  → ZENレイフラット ハードカバー(ラミネート)    v14 new
        //ボード ACX  → ZENレイフラット ハードカバー(ニス)  v14 new
        //CONTE2ZEN_F_H_LAMI    v14 new
        if (baseTypeIdx == BT.BDMT2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.BDMT2ZEN_F_H_VNS ||
            baseTypeIdx == BT.ZEN_F_MT2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.ZEN_F_MT2ZEN_F_H_VNS ||
            baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.ZEN_F_ACX2ZEN_F_H_VNS ||
            baseTypeIdx == BT.BD_ACX2ZEN_F_H_LAMI ||
            baseTypeIdx == BT.BD_ACX2ZEN_F_H_VNS ||
            baseTypeIdx == BT.CONTE2ZEN_F_H_LAMI) {
            if (m_BaseSize[baseSizeIdx] == m_ConvSize[convSizeIdx]) {
                skipAction = true;
            }
        }													

        //ボード→ボードmistでA3Qの場合は同じサイズのため変換を行わない  v13 new
        if (baseTypeIdx == BT.BD2BDMIST) {
            if (m_BaseSize[baseSizeIdx] == 'A3Q' && m_ConvSize[convSizeIdx] == 'A3Q') {
                skipAction = true;
            }
        }
        
		switch (aName){
		case 'BD2BD' : 
		case 'BD2ST' :
        case 'BD2BDMIST' : //v13 new
			ActionName = 'BD見開き'
					+ '_'
					+ m_BaseSize[baseSizeIdx]
					+ '→'
					+ boardConvType
					+ m_ConvSize[convSizeIdx];
		    break;
		case 'BDPラミ' : 
			ActionName = 'BDP見開き'
					+ '_'
					+ m_BaseSize[baseSizeIdx]
					+ '→'
					+ boardConvType
					+ m_ConvSize[convSizeIdx];
		    break;
        case 'KINARI-P':    //v7 New
            ActionName = 'KINARI-P見開き'
					+ '_'
					+ m_BaseSize[baseSizeIdx]
					+ '→'
					+ m_ConvSize[convSizeIdx];
            break;
        case 'えほんBOOK':   //v7 New
            ActionName = 'えほんBOOK見開き'
					+ '_'
					+ m_BaseSize[baseSizeIdx]
					+ '→'
					+ m_ConvSize[convSizeIdx];
            start = 1; //絵本ブックは片面がなく001002.jpgとなるため
            break;
        case 'Photolet':    //v11 new
            ActionName = 'Photolet見開き'
                    + '_'
                    + m_BaseSize[baseSizeIdx]
                    + '→'
                    + m_ConvSize[convSizeIdx];
            start = 1;          //片面がない
            break;
        case 'BrilliArt':    //v12 new
            ActionName = 'BrilliArt見開き'
                    + '_'
                    + m_BaseSize[baseSizeIdx]
                    + '→'
                    + m_ConvSize[convSizeIdx];
            break;
        case 'BRI2ZEN-F-Hラミ':
        case 'BRI2ZEN-F-Hニス':
            ActionName = 'BrilliArt見開き'
                    + '_'
                    + m_BaseSize[baseSizeIdx]
                    + '→'
                    + 'ZEN-H-F'
                    + m_ConvSize[convSizeIdx];
                    break;
        case 'ZEN-F-Hラミ2BRI':
        case 'ZEN-F-Hニス2BRI':
            ActionName = 'ZEN-H-F見開き'
                    + '_'
                    + m_BaseSize[baseSizeIdx]
                    + '→'
                    + 'BrilliArt'
                    + m_ConvSize[convSizeIdx];
                break;
        case 'BDMIST2ZEN-F-Hラミ': //v13 new
        case 'BDMIST2ZEN-F-Hニス': //v13 new
            ActionName = baseConvType + '見開き'
                    + '_'
                    + m_BaseSize[baseSizeIdx]
                    + '→'
                    + 'ZEN-H-F'
                    + m_ConvSize[convSizeIdx];
            break;
		default : 
			ActionName = '見開き'
					+ '_'
					+ m_BaseSize[baseSizeIdx]
					+ '→'
					+ m_ConvSize[convSizeIdx];
				break;
		}
        //絵本ブックは片面がなく001002.jpgとなるためスタートページを変更できないようにする v7 fix
        //可変ページに対応 v8 fix
		for (var i = start ; i < facingpage ; i+=2){
			if (m_isCanceled) return showCancelMessage();
			var pageNumber = ZeroAdd(i,digit/2) + ZeroAdd(i+1,digit/2) + extension;
			tFile = new File(orgDir + '/' + pageNumber);
            Doc   = open(tFile);

            if (i == start) {
                //プラチナクロス七五三は見開きページしかないため見開きページの1ページ目でサイズチェックを行う   v11 new
                if (baseTypeIdx == BT.PX2BDL) {
                    checkPixelWidth  = m_DocPixelsPX753[baseSizeIdx][pagesIdx][0];
                    checkPixelHeight = m_DocPixelsPX753[baseSizeIdx][pagesIdx][1];
                    if ( ( parseInt(Doc.width.value)  == checkPixelWidth) &&
                        ( parseInt(Doc.height.value) == checkPixelHeight) ){
                       // Match Size
                    }else{
                        Doc.close();
                        alert('ファイルサイズが既定のサイズではありません。画像を確認して下さい。');
                        return false;
                    }
                }

                //ボードライト Clothは見開きページしかないため見開きページの1ページ目でサイズチェックを行う   v13 new
                if (baseTypeIdx == BT.BDLCLOTH) {
                    checkPixelWidth  = m_DocPixelsBDLCloth[baseSizeIdx][pagesIdx][0];
                    checkPixelHeight = m_DocPixelsBDLCloth[baseSizeIdx][pagesIdx][1];
                    if ( ( parseInt(Doc.width.value)  == checkPixelWidth) &&
                        ( parseInt(Doc.height.value) == checkPixelHeight) ){
                       // Match Size
                    }else{
                        Doc.close();
                        alert('ファイルサイズが既定のサイズではありません。画像を確認して下さい。');
                        return false;
                    }
                }
            }

            //同一サイズの場合に変換しない場合に対応    //v11 fix
            if (skipAction == false) {
                doAction(ActionName,ACTION_FILE_NAME);
            }
			doSave(newDir , pageNumber);
		}
		
        if (hasHalfPage == true)
        {
            //nn00
            if (m_isCanceled) return showCancelMessage();
            var pageNumber = ZeroAdd(bookPages,digit/2) + ZeroAdd(0,digit/2) + extension;
            tFile = new File(orgDir + '/' + pageNumber);
            Doc   = open(tFile);
            
            switch (aName){
            case 'BD2BD' : 
            case 'BD2ST' : 
                ActionName = 'BD最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + boardConvType
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BDPラミ' : 
                ActionName = 'BDP最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + boardConvType
                        + m_ConvSize[convSizeIdx];
                break;
            //v6 New
            case 'BDPZEN-H-Fラミ' : 
                ActionName = 'BDP最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'ZEN-H-Fラミ'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-FBX' :    //v9 New
            case 'ZEN-LX-F':
            case 'ZEN-EX-Fラミ':
            case 'ZEN-EX-Fニス':
            case 'ZEN-H-Fラミ':
            case 'ZEN-H-Fニス':
                ActionName = 'ZEN最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'PB':
                ActionName = 'PB最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'KINARI-P':   //v7 New
                ActionName = 'KINARI-P最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'えほんBOOK':    //v7 New
                ActionName = null;
                break;
            case 'BDL':         //ボードライトも片面ページがない  //v8    new
                ActionName = null;
                break;
            case 'conte':      //v8    new
                ActionName = 'conte_片面'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'ACX':     //v11 new
                ActionName = 'ACX最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'PX2BDL':  //v11 new
            case 'BDL2PX753':
                ActionName = null;
                break;
            case 'Photolet':    //v11 new
                ActionName = null;
                break;
            case 'BrilliArt':    //v12 new
                ActionName = 'BrilliArt最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BRI2ZEN-F-Hラミ':
            case 'BRI2ZEN-F-Hニス':
                    ActionName = 'BrilliArt最終ページ'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                    break;
            case 'ZEN-F-Hラミ2BRI':
            case 'ZEN-F-Hニス2BRI':
                ActionName = 'ZEN-H-F最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'BrilliArt'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BD2BDMIST': //v13 new
                ActionName = 'ボード最終ページ'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + 'ボードmist'
                        + m_ConvSize[convSizeIdx];
                break;
            case 'BDMIST2ZEN-F-Hラミ': //v13 new
            case 'BDMIST2ZEN-F-Hニス': //v13 new
                ActionName = 'ボードmist最終ページ'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-F-MIST':  //v14 new
            case 'BDMIST':      //v14 new
                ActionName = baseConvType + '最終ページ'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + m_ConvSize[convSizeIdx];
                break;
            case 'ZEN-F-MIST2ZEN-F-Hラミ':      //v14 new
            case 'ZEN-F-MIST2ZEN-F-Hニス':      //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hラミ':       //v14 new
            case 'ZEN-F-ACX2ZEN-F-Hニス':       //v14 new
            case 'BDACX2ZEN-F-Hラミ':           //v14 new
            case 'BDACX2ZEN-F-Hニス':           //v14 new
            case 'CONTE2ZEN-F-Hラミ':           //v14 new
                ActionName = baseConvType + '最終ページ'
                            + '_'
                            + m_BaseSize[baseSizeIdx]
                            + '→'
                            + 'ZEN-H-F'
                            + m_ConvSize[convSizeIdx];
                break;
            default : 
                ActionName = '片面'
                        + '_'
                        + m_BaseSize[baseSizeIdx]
                        + '→'
                        + m_ConvSize[convSizeIdx];
                break;
            }
        
            //えほんBOOKの最終片面ページがない場合に対応 //v7 fix
            if (ActionName != null)
            {
                doAction(ActionName,ACTION_FILE_NAME);
                doSave(newDir , pageNumber);
            }
        }
		
        // excase
        var caseName = null;
        aName  = m_ActionNameID[baseTypeIdx];
        tFile      = null;
        var caseNames = null;    //v11 new
        var actionNames = null;  //v11 new
        var withoutOpen = false; //v13 new
        
        switch (aName){
            case 'ZEN-FBX':    //v9 New
                caseName    =   'slideup-case-usb';
                ActionName  =   aName + 'case'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'EXDcaseラミ':
		    case 'EXDcaseニス':
                caseName    =   'excase';
                ActionName  =   aName
                                + '_'
                                + pages
                                + 'P'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'ZEN-EXD-Fラミ':
                caseName    =   'excase';
                ActionName  =   'ZEN-EXD-Fcaseラミ'
                                + '_'
                                + getActionPageForCase(aName,pages)
                                + 'P'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'ZEN-EXD-Fニス':
                caseName    =   'excase';
                ActionName  =   'ZEN-EXD-Fcaseニス'
                                + '_'
                                + getActionPageForCase(aName,pages)
                                + 'P'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'ZEN-EX-F-SUCラミ':
            case 'ZEN-EX-F-SUCニス':
            case 'ZEN-H-F-SUCラミ':
            case 'ZEN-H-F-SUCニス':
                caseName    =   'slideup-case';
                ActionName  =   'ZEN-F-SUcase'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'PB':
                caseName    =   'promotion-case';
                ActionName  =   aName + 'case'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'KINARI-P':   //v7 New
                if (baseTypeIdx == BT.SHIRONARI_P) {
                    //SHIRONARI対応   //v9 New  
                    caseName      = 'shironari-case';
                } else {
                    caseName      = 'kinari-case';
                }
			    ActionName  =   'KINARI-Pcase'
                                + '_'
                                + getActionPageForCase(aName,pages)
                                + 'P'
                                + '_'
                                + m_BaseSize[baseSizeIdx]
                                + '→'
                                + m_ConvSize[convSizeIdx];
                caseNames = new Array(caseName)
                actionNames = new Array(ActionName)
                break;
            case 'ACX':     //v11 new
                var sizeName = m_BaseSize[baseSizeIdx] + '→' + m_ConvSize[convSizeIdx];
                caseNames = new Array("asobigami","000000_hyoushi","000000_urabyoushi");
                actionNames = new Array('ACXasobi_' + sizeName, 'ACX表紙_' + sizeName, 'ACX表紙_' + sizeName);
                break;
            case 'PHOTOLET':
                var sizeName = m_BaseSize[baseSizeIdx] + '→' + m_ConvSize[convSizeIdx];
                caseNames = new Array("futo-omote","futo-ura");
                actionNames = new Array('Photolet封筒表_' + sizeName, 'Photolet封筒裏_' + sizeName);
                break;
            case 'BD2BDMIST': //v13 new
                //ボードmistの場合はasobigamiとmaki-coverを生成する
                withoutOpen = true;
                var sizeName = m_ConvSize[convSizeIdx];
                var pageName = pages;
                caseNames = new Array("asobigami","maki-cover");
                actionNames = new Array('ボードmist遊び紙_' + sizeName, 'ボードmist巻カバー_' + pageName + 'P_' + sizeName);
                break;
            case 'ZEN-F-MIST':  //v14 new
                var baseSizeName = m_BaseSize[baseSizeIdx];
                var sizeName = m_ConvSize[convSizeIdx];
                var pageName = pages;
                caseNames = new Array("asobigami","maki-cover");
                actionNames = new Array('mist遊び紙_' + baseSizeName + "→" + sizeName, 'ZEN-F-MIST巻カバー_' + pageName + 'P_' + baseSizeName + "→" + sizeName);
                break;
            case 'BDMIST':  //v14 new
                var baseSizeName = m_BaseSize[baseSizeIdx];
                var sizeName = m_ConvSize[convSizeIdx];
                var pageName = pages;
                caseNames = new Array("asobigami","maki-cover");
                actionNames = new Array('mist遊び紙_' + baseSizeName + "→" + sizeName, 'ボードmist巻カバー_' + pageName + 'P_' + baseSizeName + "→" + sizeName);
                break;
		    default : 
			    break;
		}
        
        if (caseNames != null){
            for ( var i = 0 ; i < caseNames.length ; i++ ) {
                tFile = new File(orgDir + '/' + caseNames[i] + extension);
                //生成のみする場合は開かない v13 new
                if (withoutOpen == false) {
                    Doc   = open(tFile);
                }
            
                //caseサイズチェック
                //ZEN-FBXは表紙が存在しないためケースでサイズチェック v9 New
                switch (aName){
                case 'ZEN-FBX':
                    checkPixelWidth  = m_DocPixelsZENFBX[baseSizeIdx][pagesIdx][0];
                    checkPixelHeight = m_DocPixelsZENFBX[baseSizeIdx][pagesIdx][1];
                    break;
                default:
                    checkPixelWidth  = 0;
                    checkPixelHeight = 0;
                    break;
                }
        
                if (checkPixelWidth != 0 && checkPixelHeight != 0){
                    if ( ( parseInt(Doc.width.value)  == checkPixelWidth) &&
                        ( parseInt(Doc.height.value) == checkPixelHeight) ){
                        // Match Size
                    }else{
                        Doc.close();
                        alert('ファイルサイズが既定のサイズではありません。画像を確認して下さい。');
                        return false;
                    }
                }
        
                doAction(actionNames[i],ACTION_FILE_NAME);
                doSave(newDir , caseNames[i]+extension);
            }
        }
    
		return true;
	}catch(ex){
		alert('エラーが発生しました。' + ex + 'スクリプトを中断します。');
		return false;
	}
}

/***********************************************************************
* 概要:	指定フォルダ内のファイル数を返却する。
* 		除外指定するファイル名は大文字小文字区別されない。
* 引数:	Folder	dir			/ チェックするディレクトリ
*		string	extension	/ 抽出する拡張子
*		Array	exceptFiles	/ 除外するファイル名リスト(拡張子を含む)
* 戻値:	
***********************************************************************/
function getFileCount(dir,extension,exceptFiles)
{
	var count = 0;
	var fileList = dir.getFiles("*"+extension);
	for(var i = 0 ; i < fileList.length ; i++){
		var addFlag = true
		for(var j = 0 ; j < exceptFiles.length ; j++){
			if (fileList[i].name.toLowerCase() == exceptFiles[j].toLowerCase()){
				addFlag = false
				break;
			}
		}
		if(addFlag){
			count++;
		}
	}
	return count;
}

/***********************************************************************
* 概要:	表紙用アクション名のページ数を返却する。
* 引数:	string	inName	     / タイプ名
*              int	    inPage		/ 選択ページ数
* 戻値:	
***********************************************************************/
function getActionPageFor0000(inName, inPage)
{
    var actPage = inPage;
    
    switch (inName){
    case 'ZEN-EXD-Fラミ' : 
    case 'ZEN-EX-F-SUCラミ':
    case 'ZEN-EX-Fラミ':
    case 'ZEN-H-F-SUCラミ':
    case 'ZEN-H-Fラミ':
             if (inPage > 40 && inPage < 70){
                 actPage = 50;
             } else if (inPage > 60 && inPage < 90){
                 actPage = 70;
             } else if (inPage > 80){
                 actPage = 90;
             }
			break;
    case 'ZEN-EXD-Fニス':
    case 'ZEN-EX-F-SUCニス':
    case 'ZEN-EX-Fニス':
    case 'ZEN-H-F-SUCニス':
    case 'ZEN-H-Fニス':
             if (inPage > 20 && inPage < 50){
                 actPage = 30;
             } else if (inPage > 40 && inPage < 70){
                 actPage = 50;
             } else if (inPage > 60 && inPage < 90){
                 actPage = 70;
             } else if (inPage > 80){
                 actPage = 90;
             }
              break;
    case 'BDL':    //v8    new
    case 'PX2BDL': //v11   new
            if (inPage < 12){
                 actPage = 4;
             } else if (inPage < 18){
                 actPage = 12;
             } else {
                 actPage = 18;
             }
            break;
    case 'BRI2ZEN-F-Hラミ': //v12 new
    case 'ZEN-F-Hラミ2BRI': //v12 new
            if (inPage <= 12){
                actPage = 10;
            } else if (inPage <= 14) {
                actPage = 14;
            } else if (inPage <= 20) {
                actPage = 20;
            } else if (inPage <= 24) {
                actPage = 24;
            } else if (inPage <= 26) {
                actPage = 26;
            } else if (inPage <= 34) {
                actPage = 30;
            } else if (inPage <= 38) {
                actPage = 38;
            } else if (inPage <= 44) {
                actPage = 40;
            } else if (inPage <= 56) {
                actPage = 50;
            } else if (inPage <= 64) {
                actPage = 60;
            } else if (inPage <= 66) {
                actPage = 66;
            } else if (inPage <= 76) {
                actPage = 70;
            } else if (inPage <= 84) {
                actPage = 80;
            } else if (inPage <= 86) {
                actPage = 86;
            } else {
                actPage = 100;
            }
            break;
    case 'BRI2ZEN-F-Hニス': //v12 new
    case 'ZEN-F-Hニス2BRI': //v12 new
            if (inPage <= 12){
                actPage = 10;
            } else if (inPage <= 14) {
                actPage = 14;
            } else if (inPage <= 20) {
                actPage = 20;
            } else if (inPage <= 24) {
                actPage = 24;
            } else if (inPage <= 26) {
                actPage = 26;
            } else if (inPage <= 38) {
                actPage = 30;
            } else if (inPage <= 44) {
                actPage = 40;
            } else if (inPage <= 56) {
                actPage = 50;
            } else if (inPage <= 64) {
                actPage = 60;
            } else if (inPage <= 66) {
                actPage = 66;
            } else if (inPage <= 76) {
                actPage = 70;
            } else if (inPage <= 84) {
                actPage = 80;
            } else if (inPage <= 86) {
                actPage = 86;
            } else {
                actPage = 100;
            }
            break;
    case 'ZEN-F-ACX2ZEN-F-Hラミ': //v14 new
    case 'ZEN-F-ACX2ZEN-F-Hニス': //v14 new
    case 'BDACX2ZEN-F-Hラミ':     //v14 new
    case 'BDACX2ZEN-F-Hニス':     //v14 new
            if (inPage <= 14){
                actPage = 10;
            } else if (inPage <= 24) {
                actPage = 20;
            } else if (inPage <= 34) {
                actPage = 30;
            } else if (inPage <= 44) {
                actPage = 40;
            } else if (inPage <= 54) {
                actPage = 50;
            } else if (inPage <= 64) {
                actPage = 60;
            } else if (inPage <= 74) {
                actPage = 70;
            } else if (inPage <= 84) {
                actPage = 80;
            } else if (inPage <= 94) {
                actPage = 90;
            } else {
                actPage = 100;
            }
            break;
	default : 
			break;
    }
    
    return actPage;
}

/***********************************************************************
* 概要:	ケース用アクション名のページ数を返却する。
* 引数:	string	inName	     / タイプ名
*              int	    inPage		/ 選択ページ数
* 戻値:	
***********************************************************************/
function getActionPageForCase(inName, inPage)
{
    var actPage = inPage;
    
    switch (inName){
    case 'ZEN-EXD-Fラミ' : 
             if (inPage < 40){
                 actPage = 10;
             } else if (inPage > 30 && inPage < 90){
                 actPage = 40;
             } else if (inPage > 80){
                 actPage = 90;
             }
			break;
     case 'ZEN-EXD-Fニス':
             if (inPage < 50){
                 actPage = 10;
             } else if (inPage > 40){
                 actPage = 50;
             }
              break;
     case 'KINARI-P':   //v7 New
            if (inPage < 60)
                actPage = 10;
            else
                actPage = 60;
            break;
		default : 
			break;
		}
    
    return actPage;
}

/***********************************************************************
* 概要:	保存時の振り分け処理
* 引数:	Folder	dir			/ 保存先ディレクトリ
*		string	filename	/ ファイル名
* 戻値:	
***********************************************************************/
function doSave(dir,filename)
{
	switch (GetExtension(filename).toUpperCase()){
	case '.PSD':return SaveAndCloseActiveDocumentPsd(dir,filename);
	default:	return SaveAndCloseActiveDocumentJpg(dir,filename);
	}
}

/***********************************************************************
* 概要:	Jpegファイルの保存
* 引数:	Folder	dir			/ 保存先ディレクトリ
*		string	filename	/ ファイル名
* 戻値:	
***********************************************************************/
function SaveAndCloseActiveDocumentJpg(dir,filename)
{
	var doc = activeDocument;
	var SaveOpt = new JPEGSaveOptions();
	SaveOpt.formatOptions = FormatOptions.OPTIMIZEDBASELINE;
	SaveOpt.quality = 12;
	doc.saveAs(new File(dir.fsName + '/' + filename), SaveOpt );
	doc.close(SaveOptions.DONOTSAVECHANGES);
}

/***********************************************************************
* 概要:	PSDファイルの保存
* 引数:	Folder	dir			/ 保存先ディレクトリ
*		string	filename	/ ファイル名
* 戻値:	
***********************************************************************/
function SaveAndCloseActiveDocumentPsd(dir,filename)
{
	var doc = activeDocument;
	var SaveOpt = new PhotoshopSaveOptions();
	SaveOpt.alphaChannels = true;
	SaveOpt.annotations = true;
	SaveOpt.embedColorProfile = true;
	SaveOpt.layers = true;
	SaveOpt.spotColors = true;
	doc.saveAs(new File(dir.fsName + '/' + filename), SaveOpt, true, Extension.LOWERCASE);
	doc.close(SaveOptions.DONOTSAVECHANGES);
}

/***********************************************************************
* 概要:	キャンセルメッセージの表示
* 引数:	
* 戻値:	False
***********************************************************************/
function showCancelMessage()
{
	var CANCEL_MESSAGE = '処理がキャンセルされました。';
	alert(CANCEL_MESSAGE);
	return false;
}
/*----- common functions -----*/

/********************************************************************
 It converts it from the numerical value into the string. 
 ex: valNumber = 1 , Place = 3 converts to '001'
********************************************************************/
function ZeroAdd(valNumber,Place){
	var ret = '';
	for ( var i = valNumber.toString().length ; i < Place ; i++){
		ret += '0';
	}
	
	ret += valNumber.toString();

	return ret;
}

/********************************************************************
Returns the character to use as the file system path delimiter.
This is necessary because certain OS/PS version combinations
require a different delimiter. Stupid, eh?
********************************************************************/
function GetPathDelimiter()

{
	// Get the system folder.
	var path = new String(Folder.system.fsName);

	DbgMsg('Determining path delimiter from the system path: \n' + path);

	// Does the system folder path contain a ':'?
	var index = path.indexOf(':');
	DbgMsg('Index of : = ' + index);

	if (index != -1)
	{
		if (index == 1)
		{
			index = path.indexOf('\\');
			DbgMsg('Index of \\ = ' + index);

			if (index == 2)
			{
				DbgMsg('Delimiter = /');
				return '/';
			}

			DbgMsg('Delimiter = :');
			return ':';
		}

		DbgMsg('Delimiter = :');
		return ':';
	}

	DbgMsg('Delimiter = /');
	return '/';
}

/********************************************************************
 Returns an operating system specific folder in which we know we have
 write permissions to.
********************************************************************/
function GetInstallFolder()
{
	// Get the OS system folder.
	var osFolder = Folder.system;
	DbgMsg('osFolder = ' + osFolder.fsName);

	// Get the root (drive) of the OS folder.
	var rootFolder = GetRootFolder(osFolder);

	// Silly hack.  On the Mac (CS), the System folder seems to think it's the root :-(
	if (rootFolder.fsName == "/System")
	{
		rootFolder = new Folder("/");
	}
	
	DbgMsg('rootFolder = ' + rootFolder.fsName);

	// Look for a Mac folder.
	installFolder = new Folder(rootFolder.fsName + '/users/Shared');

	if (installFolder.exists)
	{
		DbgMsg('InstallFolder is MacOS folder');
		return installFolder;
	}
	else
	{
		DbgMsg('InstallFolder is Windows folder');

		// Look for a Windows folder.
		var installFolder = new Folder(rootFolder.fsName + '/Documents and Settings/All Users/Application Data');
		
		if (!installFolder.exists)
		{
			DbgMsg('Windows folder not found: ' + installFolder.fsName);
			throw('Could not find a folder with write permissions.');
		}
	}

	return installFolder;

}

/********************************************************************
 Returns the root of the target folder specified.
********************************************************************/
function GetRootFolder(targetFolder)
{
	DbgMsg('Getting parent of folder: ' + targetFolder.fsName);
	var parentFolder = targetFolder.parent;

	// On the Mac, when there is no parent, null is returned.
	if (parentFolder != null)
	{	
		if (parentFolder.exists)
		{
			// On the PC, when there is no parent, the same (root) folder is returned.
			if (parentFolder.fsName != targetFolder.fsName)
			{
				return GetRootFolder(parentFolder);
			}
		}
	}

	DbgMsg('Found root folder: ' + targetFolder.fsName);
	return targetFolder;
}

/********************************************************************
 Creates a folder tree described as a "/" delimited string.
 The folder tree is created under the specified parentFolder object.
********************************************************************/
function CreatePath(parentFolder, path)
{
	var str = new String(path);
	var tokens = str.split('/', 255);
	var fdr = parentFolder;
	
	for (i = 0; i < tokens.length; i++)
	{
		fdr = CreateFolder(fdr, tokens[i]);
	}
	return fdr;
}

/********************************************************************
 Creates a folder with the specified folderName.
 The folder is created under the specified parentFolder object
********************************************************************/
function CreateFolder(parentFolder, folderName)
{
	if (!parentFolder.exists)
	{
		throw('Could not create folder\n' + folderName + '\nwithin non-existant folder\n' + parentFolder.fsName);
	}

	DbgMsg('Creating folder ' + folderName + ' in ' + parentFolder.fsName);	

	var parentName = new String(parentFolder.fsName);
	if (parentName.length > 0)
	{
		parentName += _pathDelimiter;
	}
	
	var folder = new Folder(parentName + folderName);
	if (folder.exists)
	{
		DbgMsg('Folder to create already exists');
		return folder;
	}
	else
	{
		if (folder.create())
		{
			return folder;
		}
		else
		{
			throw('Error creating folder: ' + folder.error);
		}
	}
}

/********************************************************************
 Saves and closes the active document to the folder specified
 in saveFolder.
********************************************************************/
function SaveAndCloseActiveDocument(saveFolder,documentName)
{
	
	// Create the File object specifying the save location.
	var fileSave = new File(saveFolder.fsName + _pathDelimiter + documentName);
	
	// Save options (none thus far).
	var ops;
	
	// Save the document.
	activeDocument.saveAs(fileSave, ops, true, Extension.LOWERCASE);
	
	// Close the document.
	activeDocument.close(SaveOptions.DONOTSAVECHANGES);
}

/********************************************************************
 check a actionname
********************************************************************/
function ActionExists(ActionName,SetName)
{
	var ref = new ActionReference();
	var id1 = charIDToTypeID( "Actn" );
	ref.putName( id1, ActionName );
	var id2 = charIDToTypeID( "ASet" );
	ref.putName( id2, SetName );
	
	try{
		executeActionGet(ref);
		DbgMsg('action exsist : ' + SetName + '->' + ActionName);
		return true;
	}catch (ex){
		DbgMsg('action not found : ' + SetName + '->' + ActionName);
		return false;
	}
}

/********************************************************************
 check a actionset
********************************************************************/
function ActionSetExists(SetName)
{
	var ref = new ActionReference();
	var id  = charIDToTypeID( "ASet" );
	ref.putName( id, SetName );
	
	try{
		executeActionGet(ref);
		DbgMsg('actionset exsist : ' + SetName);
		return true;
	}catch (ex){
		DbgMsg('actionset not found : ' + SetName);
		return false;
	}
}

/********************************************************************
 install actionset(read a actionfile(*.atn))
 if SelectMode is true when file is not found show select dialog window.
 (over ScriptVersion 8 (Photoshop CS) only)
********************************************************************/
var m_MacFilters = '';
function InstallActionSet(Prompt,FilePath,SelectMode,Filters)
{
	DbgMsg('install actionset : ' + FilePath);
	
	var atnFile = new File(FilePath)
	//ファイル存在チェック
	if (atnFile.exists){
		DbgMsg('Action found : ' + FilePath);
	}else{
		DbgMsg('Action not found : ' + FilePath);
		//ダイアログの表示
		if (SelectMode){
			// over ScriptVersion 8 (Photoshop CS) only 
			if (isMacOS()){
				//フィルタ設定
				var FilterElements = Filters.split(';');
				m_MacFilters = new Array(FilterElements.length);
				for (var i = 0 ; i < FilterElements.length ; i++){
					var Filter = FilterElements[i].split(':');
					m_MacFilters[i] = Filter[1].toLowerCase();
				}
				atnFile = File.openDialog(Prompt,pluginFilter);
			}else{
				atnFile = File.openDialog(Prompt,Filters);
			}
		}
	}
	
	//アクションファイルの読み込み
	if(atnFile){
		try{
			open(atnFile);
			DbgMsg('Action file installed : ' + FilePath);
		}catch(ex){
			//読み込みは行われるが、エラーになるため回避する
		}
		return true;
	}else{
		return false;
	}
}

function pluginFilter(f)
{
	var lcName = f.fsName.toLowerCase();

	for (var i = 0 ; i < m_MacFilters.length ; i++){
		if ( lcName.indexOf(m_MacFilters[i]) == (lcName.length - m_MacFilters[i].length) ) {
			return true;
		}
	}
	
	if ( f instanceof Folder ) {
	return true;
	} else {
	return false;
	}
}

function isWindowsOS()
{
	var Os = $.os;
	var lowerStr = Os.toLowerCase();
	
	if (lowerStr.indexOf('windows') >= 0){
		return true;
	}
	return false;
}

function isMacOS()
{
	return !isWindowsOS();
}

/********************************************************************
 Displays a message box for debugging.  For ease of disabling.
********************************************************************/
function DbgMsg(msg)
{
	if (SHOW_DEBUG_MESSAGES)
	{
		var proceed = confirm(msg + '\n\nContinue?');
		if (!proceed)
		{
			throw 'User requested exit';
		}
	}
}
